<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'atto_cloudpoodll', language 'en', version '4.0'.
 *
 * @package     atto_cloudpoodll
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Actions';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Atto Cloud Poodll is authorised for this site.';
$string['appnotauthorised'] = 'Atto Cloud Poodll  is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['audio'] = 'Audio';
$string['audio_desc'] = 'Audio recorder';
$string['audioskin'] = 'Audio recorder';
$string['awsregion'] = 'AWS Region';
$string['bahrain'] = 'Bahrain';
$string['cancel'] = 'Cancel';
$string['cannotsubtitle'] = 'Subtitling is disabled. Check transcode, subtitle and region settings.';
$string['capetown'] = 'Capetown, South Africa';
$string['chooseinsert'] = 'What do you want to insert?';
$string['cloudpoodll'] = 'Cloud Poodll';
$string['cloudpoodll:allowaudio'] = 'Allow Audio Recording';
$string['cloudpoodll:allowexpiredays'] = 'Allow Expire Days';
$string['cloudpoodll:allowhistory'] = 'Allow History Tab';
$string['cloudpoodll:allowoptions'] = 'Allow Options Tab';
$string['cloudpoodll:allowscreen'] = 'Allow Screen Recording';
$string['cloudpoodll:allowsubtitling'] = 'Allow Subtitling';
$string['cloudpoodll:allowupload'] = 'Allow Upload';
$string['cloudpoodll:allowvideo'] = 'Allow Video Recording';
$string['cloudpoodll:allowwidgets'] = 'Allow visibility of widgets icon';
$string['cloudpoodll:visible'] = 'Visible';
$string['confirmdelete'] = 'Do you really want to delete? Deleting only removes the item from history, not from the server.';
$string['createaudio'] = 'Create Audio';
$string['createscreen'] = 'Create Screen Recording';
$string['createvideo'] = 'Create Video';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['currentsubmission'] = 'Current Submission:';
$string['date'] = 'Date';
$string['de-ch'] = 'German (Swiss)';
$string['de-de'] = 'German (DE)';
$string['decimal'] = '';
$string['deleteitem'] = 'Delete item';
$string['dialogtitle'] = 'Choose a widget';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['dublin'] = 'Dublin, Ireland';
$string['emptyTable'] = 'No items in history';
$string['en-ab'] = 'English (Scotland)';
$string['en-au'] = 'English (AU)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['enableaudio'] = 'Enable audio recording';
$string['enablescreen'] = 'Enable screen recording';
$string['enablesubtitling'] = 'Enable Subtitling';
$string['enablesubtitling_details'] = 'Cloud Poodll can create subtitles automatically if required. See language settings';
$string['enablevideo'] = 'Enable video recording';
$string['enablewidgets'] = 'Enable widgets';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['expiredays'] = 'Days to keep the file:';
$string['fa-ir'] = 'Farsi';
$string['fallback'] = 'non-HTML5 Fallback';
$string['fallbackdetails'] = 'If the browser does not support HTML5 recording for the selected mediatype, fallback to an upload screen or a warning.';
$string['fallbackiosupload'] = 'iOS: upload, else warning';
$string['fallbackupload'] = 'Upload';
$string['fallbackwarning'] = 'Warning';
$string['fieldsheader'] = 'Enter details for :';
$string['fillcredentials'] = 'Set API user and secret with existing credentials';
$string['first'] = 'First';
$string['forever'] = 'Never expire';
$string['fr-ca'] = 'French (CA)';
$string['fr-fr'] = 'French (FR.)';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['freetrial'] = 'Get Cloud Poodll API Credentials and a Free Trial';
$string['freetrial_desc'] = 'A dialog should appear that allows you to register for a free trial with Poodll. After registering you should login to the members dashboard to get your API user and secret. And to register your site URL.';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi';
$string['history'] = 'History';
$string['historyback'] = 'Back to history';
$string['id-id'] = 'Indonesian';
$string['info'] = 'Showing _START_ to _END_ of _TOTAL_ entries';
$string['infoEmpty'] = 'Showing 0 to 0 of 0 entries';
$string['infoFiltered'] = '(filtered from _MAX_ total entries)';
$string['infoPostFix'] = '';
$string['insert'] = 'Insert';
$string['insertlinks'] = 'Media links';
$string['insertmethod'] = 'Insert method';
$string['insertmethod_details'] = 'Insert media links or media tags. Either way a Moodle filter will show a player when the page is displayed.';
$string['inserttags'] = 'Audio/video tags';
$string['it-it'] = 'Italian';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['language'] = 'Transcription language';
$string['last'] = 'Last';
$string['lengthMenu'] = 'Show _MENU_ entries';
$string['loading'] = 'Loading...';
$string['loadingRecords'] = 'Loading...';
$string['london'] = 'London, U.K (slow)';
$string['mediainsertcheckbox'] = 'Insert media player into editor. Otherwise insert a media link.';
$string['ms-my'] = 'Malay';
$string['mumbai'] = 'Mumbai, India';
$string['next'] = 'Next';
$string['nl-nl'] = 'Dutch';
$string['no'] = 'no';
$string['noapisecret'] = 'No API secret entered. Cloud Poodll for Atto will not work correctly.';
$string['noapiuser'] = 'No API user entered. Cloud Poodll for Atto will not work correctly.';
$string['nofieldsheader'] = 'Insert :';
$string['notoken'] = 'API user and secret were rejected and could not gain access. Please check the Atto Cloud Poodll plugin settings page.';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['options'] = 'Options';
$string['ottawa'] = 'Ottawa, Canada';
$string['pluginname'] = 'Cloud Poodll';
$string['previous'] = 'Previous';
$string['privacy:metadata:cloudpoodllcom'] = 'The atto_cloudpoodll plugin stores recordings in AWS S3 buckets via cloud.poodll.com.';
$string['privacy:metadata:cloudpoodllcom:userid'] = 'The atto_cloudpoodll plugin includes the moodle userid in the urls of recordings.';
$string['processing'] = 'Processing...';
$string['pt-br'] = 'Portuguese(BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['recorder'] = 'Recorder Type';
$string['recorderaudio'] = 'Audio Recorder';
$string['recorderscreen'] = 'Screen Recorder';
$string['recorderskin'] = 'Recorder Skin';
$string['recordertype'] = 'Recorder Type';
$string['recordervideo'] = 'Video Recorder';
$string['recorderwidgets'] = 'Widgets';
$string['refreshtoken'] = 'Refresh license information';
$string['region'] = 'AWS Region';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['screen'] = 'Screen';
$string['screen_desc'] = 'Screen recorder';
$string['search'] = 'Search:';
$string['showhistory'] = 'Show history tab';
$string['showhistory_details'] = 'The history tab allows users to select from their previously recorded audio or video.';
$string['showoptions'] = 'Show options tab';
$string['showoptions_details'] = 'The options tab allows users to set expiredays, subtitling and embed options';
$string['showupload'] = 'Show upload tab';
$string['showupload_details'] = 'The upload tab allows users to upload a media file from their device instead of recording.';
$string['singapore'] = 'Singapore';
$string['skin123'] = 'One Two Three';
$string['skinbmr'] = 'Burnt Rose';
$string['skinfresh'] = 'Fresh';
$string['skinonce'] = 'Once';
$string['skinplain'] = 'Plain';
$string['skinscreen'] = 'Screen';
$string['sortAscending'] = ': activate to sort column ascending';
$string['sortDescending'] = ': activate to sort column descending';
$string['speakerlanguage'] = 'Speaker language';
$string['subtitle'] = 'Subtitles';
$string['subtitleaudiobydefault'] = 'Subtitle Audio by default';
$string['subtitlebydefault_details'] = 'If true Cloud Poodll will check subtitling by default. It can be turned off from the options tab on the popup. Only subtitle by default if you need to.';
$string['subtitlecheckbox'] = 'Request subtitles for this recording';
$string['subtitleinstructions'] = 'Requested subtitles are ready about 5 minutes after recording. You must request before recording.';
$string['subtitlevideobydefault'] = 'Subtitle Video by default';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['te-in'] = 'Telugu';
$string['thousands'] = ',';
$string['timelimit'] = 'Recording Time Limit';
$string['title'] = 'Title';
$string['tokyo'] = 'Tokyo, Japan';
$string['tr-tr'] = 'Turkish';
$string['transcode'] = 'Transcode';
$string['transcode_details'] = 'CloudPoodll can transcode audio to mp3 and video to mp4';
$string['upload'] = 'Upload';
$string['uploadinstructions'] = 'Drag and drop, or choose a media file, to upload it.';
$string['useast1'] = 'US East';
$string['video'] = 'Video';
$string['video_desc'] = 'Video recorder';
$string['videoskin'] = 'Video recorder';
$string['widgets'] = 'Widgets';
$string['widgets_desc'] = 'Insert a Widget';
$string['yes'] = 'yes';
$string['zeroRecords'] = 'No matching records found';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
