<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'aulaplanetateacher', language 'en', version '4.0'.
 *
 * @package     aulaplanetateacher
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['all_courses'] = 'All courses';
$string['all_subjects'] = 'All subjects';
$string['all_topics'] = 'All topics';
$string['always'] = 'Always';
$string['aulaplaneta'] = 'AulaPlaneta - Didactic sequence';
$string['aulaplaneta_activities'] = 'AulaPlaneta - Didactic sequence Activities';
$string['aulaplaneta_administration'] = 'AulaPlaneta - Didactic sequence Administration';
$string['aulaplaneta_endpoint'] = 'AulaPlaneta - Didactic sequence Launch Endpoint';
$string['aulaplaneta_errormsg'] = 'The tool returned the following error message: "{$a}"';
$string['aulaplaneta_in_new_window'] = 'Your activity has opened in a new window';
$string['aulaplaneta_intro'] = 'Activity Description';
$string['aulaplaneta_launch_error'] = 'An error occurred when launching the AulaPlaneta - Didactic sequence:';
$string['aulaplaneta_launch_error_tool_request'] = '<p>
To submit a request for an administrator to complete the tool configuration, click <a href="{$a->admin_request_url}" target="_top">here</a>.
</p>';
$string['aulaplaneta_launch_error_unsigned_help'] = '<p>
        This error may be a result of a missing consumer key and shared secret for the tool provider.
    </p>
    <p>
        If you have a consumer key and shared secret, you may enter it when editing the AulaPlaneta - Didactic sequence instance (make sure advanced options are visible).<br />
        Alternatively, you may create a course level tool provider configuration <a href="{$a->course_tool_editor}">here</a>.
    </p>';
$string['aulaplaneta_name'] = 'Activity Name';
$string['aulaplaneta_parameters'] = 'AulaPlaneta - Didactic sequence Launch Parameters';
$string['aulaplaneta_resource_title'] = 'AulaPlaneta - Didactic sequence Title';
$string['aulaplanetateacher'] = 'AulaPlaneta - Didactic sequence';
$string['aulaplanetateacher:addcoursetool'] = 'Add new AulaPlaneta - Didactic sequence activities';
$string['aulaplanetateacher:addinstance'] = 'Add new AulaPlaneta - Didactic sequence activities';
$string['aulaplanetateacher:create_from_ap'] = 'Create an AulaPlaneta - Didactic sequence Notebook on Moodle from aP platform';
$string['aulaplanetateacher:delete_from_ap'] = 'Delete an AulaPlaneta - Didactic sequence Notebook  on Moodle from aP platform';
$string['aulaplanetateacher:manage'] = 'Be an Instructor when the tool is launched';
$string['aulaplanetateacher:modify_from_ap'] = 'Customize AulaPlaneta - Didactic sequence Notebook  on Moodle from aP platform';
$string['aulaplanetateacher:view'] = 'Launch AulaPlaneta - Didactic sequence activities';
$string['baseurl'] = 'Base URL';
$string['basicaulaplaneta_base_string'] = 'AulaPlaneta - Didactic sequence OAuth Base String';
$string['course'] = 'Course';
$string['default'] = 'Default';
$string['delete'] = 'Delete';
$string['display_description'] = 'Display activity description when launched';
$string['display_description_help'] = 'If selected, the activity description (specified above) will display above the tool provider\'s content.

The description may be used to provide additional instructions for launchers of the tool, but it is not required.

The description is never displayed when the tool\'s launch container is in a new window.';
$string['display_name'] = 'Display activity name when launched';
$string['display_name_help'] = 'If selected, the activity name (specified above) will display above the tool provider\'s content.

It is possible that the tool provider may also display the title. This option can prevent the activity title from
being displayed twice.

The title is never displayed when the tool\'s launch container is in a new window.';
$string['embed'] = 'Embed';
$string['embed_no_blocks'] = 'Embed, without blocks';
$string['errormisconfig'] = 'Misconfigured tool. Please ask your Moodle administrator to fix the configuration of the tool.';
$string['event_course_module_launched'] = 'Course module launched';
$string['event_course_module_viewed'] = 'Course module viewed';
$string['event_instances_list_viewed'] = 'Instances list viewed';
$string['extensions'] = 'AulaPlaneta - Didactic sequence Extension Services';
$string['filterconfig'] = 'AulaPlaneta - Didactic sequence administration';
$string['filtername'] = 'AulaPlaneta - Didactic sequence';
$string['id'] = 'id';
$string['indicate_course_at_least'] = 'You must indicate the course to be able to access the preview';
$string['miscellaneous'] = 'Miscellaneous';
$string['modulename'] = 'AulaPlaneta - Didactic Sequence';
$string['modulename_help'] = 'The aulaPlaneta Didactic Sequence or Teacher\'s Notebook allows the teachers to have the classroom programming proposal of each unit with the sequencing of resources and their proposals for didactic use. It has reinforcement and extension materials to adapt the proposal to the students’ needs. It can be easily and quickly modified.

<p>It uses the search engine to locate the Teacher\'s Notebook of each unit. Select Course, Subject and Topic, and you will access the list of all the units that cover the whole curriculum.</p>';
$string['modulename_link'] = 'https://bit.ly/2GHJiof';
$string['modulenameplural'] = 'Teaching Sequence aulaPlaneta';
$string['modulenamepluralformatted'] = 'AulaPlaneta - Didactic sequence Instances';
$string['never'] = 'Never';
$string['new_window'] = 'New window';
$string['noaulaplanetas'] = 'There are no aulaplaneta instances';
$string['pluginadministration'] = 'AulaPlaneta - Didactic sequence administration';
$string['pluginname'] = 'aulaPlaneta - Teaching Sequence';
$string['press_to_submit'] = 'Press to launch this activity';
$string['preview'] = 'Preview';
$string['return_to_course'] = 'Click <a href="{$a->link}" target="_top">here</a> to return to the course.';
$string['select_one'] = 'Select one';
$string['subject'] = 'Subject';
$string['toggle_debug_data'] = 'Toggle Debug Data';
$string['topic'] = 'Topic';
$string['update'] = 'Update';
