<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'auth_leeloolxp_tracking_sso', language 'en', version '4.0'.
 *
 * @package     auth_leeloolxp_tracking_sso
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['auth_leeloolxp_tracking_ssodescription'] = '<p>Sync users to your Leeloo LXP install automatically so users can use SSO.</p>';
$string['auth_leeloolxp_tracking_ssosettings'] = 'Settings';
$string['create_new_user_student_lable'] = 'Create a new STUDENT in Leeloo LXP';
$string['create_new_user_teacher_lable'] = 'Create a new TEACHER in Leeloo LXP';
$string['default_position_leelo'] = 'Default Position in Leeloo';
$string['default_position_leelo_description'] = 'Default Position in Leeloo is none of the combination is matched.';
$string['help_txt_new_student'] = 'Open mode: a new STUDENT will be created in
Leeloo LXP matching the Moodle user, if the student doesn’t exist already in Leeloo LXP.';
$string['help_txt_new_teacher'] = 'Open mode: a new TEACHER will be created in Leeloo LXP matching the Moodle user, if the
teacher doesn’t exist already in Leeloo LXP.';
$string['help_txt_required_aproval_student'] = 'The new student requires manual approval on Leeloo LXP to activate the account.';
$string['help_txt_required_aproval_teacher'] = 'The new teacher requires manual approval on Leeloo LXP to activate the account.';
$string['lable_logout_time_on_activity'] = 'Idle time auto-logout (in minutes):';
$string['leeloolxp_license'] = 'Leeloo LXP License ID';
$string['leeloolxp_license_desc'] = 'Enter Valid License ID to see further settings.';
$string['login_redirectpage'] = 'Select Leeloo LXP Dashboard tab on log in';
$string['login_redirectpage_description'] = 'Select Leeloo LXP Dashboard tab on log in.';
$string['logout_time_on_activity_help'] = 'Leeloo LXP will first show the idle time pop-up if
no activity is registered, according to Leeloo LXP backend settings.
Then it will log the user out from Moodle after the selected amount of time.';
$string['pluginname'] = 'Leeloo LXP SSO';
$string['privacy:metadata'] = 'In order to integrate with Leeloo LXP, some user
data need to be sent to the Leeloo LXP client application (remote system).';
$string['privacy:metadata:address'] = 'The address of the user.';
$string['privacy:metadata:alternatename'] = 'An alternative name for the user.';
$string['privacy:metadata:city'] = 'The city of the user.';
$string['privacy:metadata:country'] = 'The country that the user is in.';
$string['privacy:metadata:department'] = 'The department that this user can be found in.';
$string['privacy:metadata:description'] = 'General details about this user.';
$string['privacy:metadata:email'] = 'The user\'s email is sent to Leeloo LXP to allow a better user experience.';
$string['privacy:metadata:firstaccess'] = 'The time that this user first accessed the site.';
$string['privacy:metadata:fullname'] = 'The user\'s full name is sent to Leeloo LXP to allow a better user experience.';
$string['privacy:metadata:id'] = 'The user ID';
$string['privacy:metadata:idnumber'] = 'An identification number given by the institution';
$string['privacy:metadata:imagealt'] = 'Alternative text for the user\'s image.';
$string['privacy:metadata:institution'] = 'The institution that this user is a member of.';
$string['privacy:metadata:lastaccess'] = 'The time that the user last accessed the site.';
$string['privacy:metadata:lastip'] = 'The last login ip of this user.';
$string['privacy:metadata:lastlogin'] = 'The last login of this user.';
$string['privacy:metadata:leeloolxp_tracking_sso'] = 'In order to integrate with Leeloo LXP, some user
data need to be sent to the Leeloo LXP client application (remote system).';
$string['privacy:metadata:phone1'] = 'A phone number for the user.';
$string['privacy:metadata:phone2'] = 'An additional phone number for the user.';
$string['privacy:metadata:skype'] = 'The Skype identifier of the user';
$string['privacy:metadata:timezone'] = 'The timezone of the user';
$string['privacy:metadata:url'] = 'A URL related to this user.';
$string['privacy:metadata:username'] = 'The user\'s username is sent to Leeloo LXP to allow a better user experience.';
$string['required_aproval_student_lable'] = 'Require administrator approval';
$string['required_aproval_teacher_lable'] = 'Require administrator approval';
$string['role'] = 'Role';
$string['sso_required_admin_approval_student_desc'] = 'The new student requires manual approval on Leeloo LXP to activate the account.';
$string['sso_required_admin_approval_student_label'] = 'Require administrator approval';
$string['studdent_position_help_txt'] = '';
$string['student_degree_help_txt'] = 'Degree';
$string['student_degree_lable'] = 'Degree';
$string['student_department_help_txt'] = 'Department';
$string['student_department_lable'] = 'Department';
$string['student_institution_help_txt'] = 'Institutions';
$string['student_institution_lable'] = 'Institutions';
$string['student_num_of_comb'] = 'Automatically match custom roles, institutions,departments and degrees to positions in Leeloo LXP';
$string['student_num_of_role'] = 'Number of Roles';
$string['student_position_lable_moodle'] = 'Select Moodle roles and the corresponding student position in Leeloo LXP';
$string['student_position_lable_t'] = 'Corresponding Student Position in Leeloo LXP';
$string['student_position_leelo_text'] = 'Will be added to this position in Leeloo LXP';
$string['student_role_heading_1'] = 'Student with these criteria in Moodle:';
$string['teacher_degree_help_txt'] = 'Degree';
$string['teacher_degree_lable'] = 'Degree';
$string['teacher_department_help_txt'] = 'Department';
$string['teacher_department_lable'] = 'Department';
$string['teacher_institution_help_txt'] = 'Institutions';
$string['teacher_institution_lable'] = 'Institutions';
$string['teacher_num_of_comb'] = 'Automatically match custom roles, institutions,departments and degrees to positions in Leeloo LXP';
$string['teacher_num_of_role'] = 'Number of Roles';
$string['teacher_position_help_txt'] = '';
$string['teacher_position_lable_moodle'] = 'Select Moodle roles and the corresponding staff position in Leeloo LXP';
$string['teacher_position_lable_t'] = 'Create a new Teacher in Leeloo LXP';
$string['teacher_role_heading_1'] = 'Staff with these criteria in Moodle:';
$string['web_createuseronteamnio'] = 'Enable creating a new user on Leeloo LXP';
$string['web_createuseronteamnioexplain'] = 'A new user will be created on Leeloo LXP
matching the Moodle user, if the user does not exist on Leeloo LXP.';
$string['web_teamnio_license'] = 'Leeloo LXP License ID';
