<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_aulaplanetarepo', language 'en', version '4.0'.
 *
 * @package     block_aulaplanetarepo
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access'] = 'Access';
$string['addcontent_heading'] = 'Add content to your AulaVirtual';
$string['addcontents'] = 'Add content';
$string['addedfollowingresources'] = 'The following resources have been added to your course';
$string['apoyo_docente'] = 'Teacher support';
$string['aulaplanetarepo:addcontent'] = '';
$string['aulaplanetarepo:addinstance'] = 'Add an instance of aulaPlaneta';
$string['block_text'] = 'Add subjects, units or resources to your VirtualClassroom';
$string['cancel'] = 'Cancel';
$string['changedone'] = 'Change made';
$string['changesdone'] = 'Change made';
$string['check_adapt'] = 'See how the units are structured, adapted and used in the classroom.';
$string['check_adapt_resources'] = 'See what kind of resources you have and how to use them in the classroom.';
$string['check_adapt_subject'] = 'See how the materials of a course are structured and how to reorder them.';
$string['check_contents'] = 'See what kind of resources are available and how to use them in the classroom.';
$string['check_sort_order'] = 'Consulta cómo se estructuran los materiales de una asignatura y cómo reordenarlos';
$string['check_subjects'] = 'Check the courses available in each course';
$string['confirm'] = 'Confirm';
$string['confirmaddcoursebtnlabel'] = 'Add subject and show changes';
$string['confirmaddcourseinstructions'] = 'This is the subject that will be added to your course:';
$string['confirmaddcoursesubinstructions'] = 'The course units will be placed at the end of your course. If you wish, you can reorder them.';
$string['confirmaddresource'] = 'Add resources and display changes';
$string['confirmaddunitbtnlabel'] = 'Add the unit and display the changes';
$string['course'] = 'Course';
$string['course_description'] = 'Add all units of a complete subject to your course';
$string['course_title'] = 'Asignatura';
$string['discover_contents'] = 'Find out what content you can add to your course and how to do it';
$string['first_steps'] = 'First steps and FAQ';
$string['gotocourse'] = 'Go to the course';
$string['helplinks'] = 'Configuration help links';
$string['helplinks_help'] = 'Customize the help links provided on each screen of the wizard';
$string['helps_you'] = 'helps you:';
$string['home'] = 'Home';
$string['join_telegram'] = 'Join our Telegram teaching community';
$string['link_faq_block'] = 'Block link:';
$string['mustselectsection'] = 'You must choose the section to which you want to add';
$string['next'] = 'Next';
$string['pluginname'] = 'aulaPlaneta Repository';
$string['preview'] = 'Preview';
$string['previous'] = 'Previous';
$string['repository_organization_id'] = 'Tree reference center';
$string['repository_organization_id_desc'] = 'Plant whose hierarchical tree will be taken as reference in the Block, if left empty, the Center Id (aulaplaneta | aulaplaneta_organizationid) field will be taken.';
$string['repository_token'] = 'Repository Token';
$string['repository_token_desc'] = 'Token assigned to access resources';
$string['repository_url'] = 'Repository URL';
$string['repository_url_desc'] = 'URL of the repository containing the resources';
$string['resource_description'] = 'Add resources and activities to your course';
$string['resource_title'] = 'Resource';
$string['section'] = 'Section';
$string['selectcontentinstructions'] = 'Select the content you want to add:';
$string['selectcourse'] = 'Source course';
$string['selectcourseinstructions'] = 'Select the course of the subject:';
$string['selectcourselabel'] = 'Choose course';
$string['selectcourseplaceholder'] = 'Course...';
$string['selectcoursetitle'] = 'Add a subject to your course';
$string['selectresource'] = 'Source resource';
$string['selectresourcetitle'] = 'Add a resource to your course';
$string['selectsectionaddresources'] = 'Choose the section in which to add the resources:';
$string['selectsectionaddresources_help'] = 'The resources will be placed at the end of the section. If you wish, you can reorder them.';
$string['selectsectioninstructions'] = 'Choose the section in which to add the unit:';
$string['selectsectionsubinstructions'] = 'The unit will be placed at the end of the section. If you wish, you can reorder it.';
$string['selectsubject'] = 'Source subject';
$string['selectsubjectinstructions'] = 'Select the <strong>{$a->coursename}</strong> course you want to add to your course:';
$string['selectsubjectlabel'] = 'Choose subject';
$string['selectsubjectplaceholder'] = 'Subject...';
$string['selectunit'] = 'Source unit';
$string['selectunitinstructions'] = 'Select the unit you want to add to your course';
$string['selectunitlabel'] = 'Choose unit';
$string['selectunitplaceholder'] = 'Unit...';
$string['selectunittitle'] = 'Add a unit to your course';
$string['selectunittypelabel'] = 'Choose which type of unit you want to add';
$string['selectunittypenotebooklabel'] = 'Learning notebook for students';
$string['selectunittypesequencelabel'] = 'Teaching sequence for teachers';
$string['subject'] = 'Subject';
$string['subject_added_confirmation'] = 'The following subject has been added to your course:';
$string['subscribe_apoyo_docente'] = 'Sign up for <i>webinars</i> and training sessions, and contact the faculty support service.';
$string['targetsection'] = 'Destination section';
$string['unit'] = 'Unit';
$string['unit_added_confirmation'] = 'The following unit has been added to your course:';
$string['unit_description'] = 'Add the didactic sequence or the learning notebook of a unit.';
$string['unit_title'] = 'Unit';
$string['unittype'] = 'Unit type';
$string['youhaveselectedresources'] = 'You have selected the following resources:';
$string['youhaveselectedunit'] = 'You have selected the next unit:';
