<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_dash', language 'en', version '4.0'.
 *
 * @package     block_dash
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accordionfield1'] = 'Top left field';
$string['accordionfield1icon'] = 'Top left field icon';
$string['accordionfield2'] = 'Top right field';
$string['accordionfield2icon'] = 'Top right field icon';
$string['accordionfield3'] = 'Bottom left field';
$string['accordionfield3icon'] = 'Bottom left field icon';
$string['accordionfield4'] = 'Bottom right field';
$string['accordionfield4icon'] = 'Bottom right field icon';
$string['activityprogress'] = 'Progress (completed / total activities)';
$string['activityprogressbar'] = 'Progress bar (completed / total activities)';
$string['addnewfield'] = 'Add new field';
$string['availablefields'] = 'Available fields';
$string['availablefields_help'] = 'Choose all possible fields this data source will utilize. The user will be able to select which fields to include for their own purposes. For example, if you are displaying user information, try to include as many user fields as possible.';
$string['backgroundgradient'] = 'Background gradient';
$string['backgroundgradient_help'] = 'Generate a gradient: <a href="https://cssgradient.io/" target="_blank">cssgradient.io</a>. Paste the background property (linear-gradient)';
$string['backgroundimage'] = 'Background image';
$string['backgroundimage_help'] = 'Cover entire block background with this image';
$string['backgroundimagefield'] = 'Background image';
$string['badgecolorfield'] = 'Badge color field';
$string['badgecolorfield_help'] = 'Choose a field that returns colors to be used for timeline item badges.';
$string['badges'] = 'Badges';
$string['badgestitle'] = 'Badges';
$string['blocktitle'] = 'Block title';
$string['blocktitle_help'] = 'Title displayed in block heading. Enter a short and descriptive title for what this block displays to the user.';
$string['blockwidth'] = 'Block width';
$string['bodyfield'] = 'Body field';
$string['bootstrapversion'] = 'Theme bootstrap version';
$string['bootstrapversion_desc'] = 'Choose the version of Bootstrap your theme supports. Moodle is typically 4, and Totara is 3.';
$string['border'] = 'Border';
$string['border_help'] = 'CSS border property value. Set to <b>none</b> for no borders.';
$string['buildown'] = 'Build your own';
$string['buildown_help'] = 'Datasources are highly configurable, You can use the datasources in various purpose. Filter, Sorting, Pagination features are supported';
$string['category'] = 'Category name';
$string['choosedatasource'] = 'Choose data source';
$string['choosefeature'] = 'Choose Feature';
$string['columns'] = 'Columns';
$string['columns_help'] = 'The number of columns to display per row in the grid.';
$string['completedactivities'] = 'Completed activities';
$string['confirmleavegroup'] = 'Do you really want to leave the group {$a}';
$string['contacts'] = 'Contacts';
$string['contextid'] = 'Context';
$string['contextid_help'] = 'The context for this dashboard. Choose a specific course if you plan on limiting data results (Example: "Current course" filter). Otherwise choose System for general purposes.';
$string['contextmissing'] = 'Missing context';
$string['coursebutton'] = 'Course button';
$string['coursecategories'] = 'Course categories';
$string['coursecontent'] = 'Course content';
$string['courseimage'] = 'Course default image';
$string['courseimagedesc'] = 'Upload placeholder image to display as course image for empty course image.';
$string['courseimagelink'] = 'Course image link';
$string['courseoverviewfilesurl'] = 'Course image URL';
$string['courseredirecturl'] = 'Course redirect URL';
$string['courseredirecturldesc'] = 'Enter the URL to redirect the users from course index page.';
$string['coursestafftitle'] = 'Course staff';
$string['coursesummary'] = 'Course summary';
$string['courseurl'] = 'Course URL';
$string['createcustomdatasource'] = 'Create custom data source';
$string['createcustomlayout'] = 'Create custom layout';
$string['createdashboard'] = 'Create dashboard';
$string['createlayout'] = 'Create custom layout';
$string['cssclass'] = 'CSS Class';
$string['currentcourse'] = 'Current course';
$string['currentcoursecontext'] = 'Current course context';
$string['currentcoursegroups'] = 'Current course groups';
$string['custom'] = 'Custom';
$string['customdatasource'] = 'Custom data source';
$string['customdatasourcecreated'] = 'Data source <b>{$a->name}</b> successfully created.';
$string['customdatasourcedeleted'] = 'Delete custom data source';
$string['customdatasourceedited'] = 'Data source <b>{$a->name}</b> successfully edited.';
$string['customdatasources'] = 'Custom data sources';
$string['customfield'] = '{$a->name}';
$string['customfields'] = 'Custom fields';
$string['customlayoutcreated'] = 'Custom layout <b>{$a->name}</b> successfully created.';
$string['customlayoutdeleted'] = 'Custom layout <b>{$a->name}</b> successfully deleted.';
$string['customlayoutedited'] = 'Custom layout <b>{$a->name}</b> successfully edited.';
$string['customsqlfield'] = 'SQL field';
$string['customsqlselect'] = 'SQL select';
$string['dash:addinstance'] = 'Add a new Dash block';
$string['dash:myaddinstance'] = 'Add a new Dash block to dashboard';
$string['dash:mygroups_addusers'] = 'Add users into groups';
$string['dash:mygroups_creategroup'] = 'Create groups in enrolled courses';
$string['dash:mygroups_leavegroup'] = 'Leave from groups';
$string['dash:mygroups_view'] = 'View my own groups';
$string['dash:mygroups_viewmembers'] = 'View members in assigned groups';
$string['dashboard'] = 'Dashboard';
$string['dashboardcreated'] = 'Dashboard <b>{$a->name}</b> successfully created';
$string['dashboarddeleted'] = 'Dashboard <b>{$a->name}</b> successfully deleted';
$string['dashboardedited'] = 'Dashboard <b>{$a->name}</b> successfully edited';
$string['dashboardlink'] = 'Dashboard link';
$string['dashboards'] = 'Dashboards';
$string['databaseerror'] = 'Database error. The content cannot be displayed.';
$string['datasource'] = 'Data source';
$string['datasource:completions_data_source'] = 'Course completions';
$string['datasource:completions_data_source_help'] = 'Users compelted courses list.';
$string['datasource:courses_data_source'] = 'Courses';
$string['datasource:courses_data_source_help'] = 'List of available courses for the current user.';
$string['datasource:dashboard_data_source'] = 'Dashboards';
$string['datasource:dashboard_data_source_help'] = 'List of Dashboard';
$string['datasource:logstore_data_source'] = 'Site logs';
$string['datasource:logstore_data_source_help'] = 'Datasource of site logs';
$string['datasourcemissing'] = 'Data source missing';
$string['datasourcename'] = 'Data source name';
$string['datasources'] = 'Datasources';
$string['datecompleted'] = 'Date completed';
$string['daysuntilend'] = 'Days until end date';
$string['daysuntilstart'] = 'Days until start date';
$string['defaultsortdirection'] = 'Sort direction';
$string['defaultsortfield'] = 'Sort by';
$string['defaultsortfield_help'] = 'Sort database results by this field. If layout supports user sorting, this will be the default.';
$string['delete'] = 'Delete';
$string['deleteconfirm'] = 'Are you sure you want to delete dashboard <b>{$a->name}</b>?';
$string['deleteconfirmcustomdatasource'] = 'Are you sure you want to delete the <b>{$a->name}</b> custom data source?';
$string['deleteconfirmcustomlayout'] = 'Are you sure you want to delete the <b>{$a->name}</b> custom layout?';
$string['deletecustomdatasource'] = 'Delete custom data source';
$string['deletecustomlayout'] = 'Delete custom layout';
$string['deletedashboard'] = 'Delete dashboard';
$string['disableall'] = 'Disable all Dash output';
$string['disableall_help'] = 'Warning: For troubleshooting purposes or troubleshooting broken pages';
$string['disableallmessage'] = 'Dash output is disabled. Check Dash settings.';
$string['dragitem'] = 'Drag item';
$string['edit'] = 'Edit';
$string['editcustomdatasource'] = 'Edit data source';
$string['editcustomlayout'] = 'Edit custom layout';
$string['editdashboard'] = 'Edit dashboard';
$string['editpreferences'] = 'Edit preferences';
$string['editthisblock'] = 'Edit this block\'s settings to finish configuration.';
$string['enabledconditions'] = 'Limit data to';
$string['enabledfields'] = 'Enabled fields';
$string['enabledfilters'] = 'Enabled filters';
$string['enrollment'] = 'Enrollment';
$string['enrollmentmethod'] = 'Enrollment method';
$string['enrollmentmethodstatus'] = 'Enrollment method status';
$string['enrollments'] = 'Enrollments';
$string['enrollmentself'] = 'Self enrollments';
$string['enrollmentsnotself'] = 'Non-self enrollments';
$string['enrollmentstatus'] = 'Enrollment status';
$string['enrollmenttimeend'] = 'Enrollment end date';
$string['enrollmenttimestart'] = 'Enrollment start date';
$string['event_desc_core_event_user_enrolment_created'] = '{$a->relateduserfullname} was enrolled in <a href="{$a->eventurl}" title="View {$a->contextname}">{$a->contextname}</a>';
$string['event_desc_generic'] = '{$a->userfullname} {$a->action} <a href="{$a->eventurl}" title="View {$a->contextname}">{$a->contextname}</a>';
$string['eventbutton'] = 'Event button';
$string['eventclass'] = 'Event class';
$string['eventcolor'] = 'Event color';
$string['eventdescription'] = 'Event description';
$string['eventicon'] = 'Event icon';
$string['eventlink'] = 'Event link';
$string['events'] = 'Events';
$string['eventtime'] = 'Event time';
$string['eventurl'] = 'Event URL';
$string['extracontent'] = 'Extra content';
$string['fieldalert'] = 'The chosen layout can not be customised';
$string['fieldname'] = 'Field name';
$string['fieldnotfound'] = 'Field not found.';
$string['fields'] = 'Fields';
$string['fieldselect'] = 'Field SQL select';
$string['fontcolor'] = 'Font color';
$string['fontcolor_help'] = 'CSS font color property (e.g. #ffffff, rgb(255, 255, 255), etc)';
$string['footercontent'] = 'Footer content';
$string['footercontent_help'] = 'Content displayed in the block footer.';
$string['footerfield'] = 'Footer field';
$string['footerrightfield'] = 'Footer field (right)';
$string['fullnamelinked'] = 'Full name (linked to profile)';
$string['generalsettings'] = 'General settings';
$string['gotoevent'] = 'Go to event';
$string['groupby'] = 'Group by';
$string['grouplabel'] = 'Group label';
$string['headercontent'] = 'Header content';
$string['headercontent_help'] = 'Content displayed in the block header.';
$string['headerfooter'] = 'Header & Footer';
$string['headingfield'] = 'Heading field';
$string['hidecoursecategory'] = 'Do not show category/course index';
$string['hidecoursecategorydesc'] = 'When a user tries to access the URL /course/index.php, they will be automatically
redirected to the site\'s home page, unless a custom URL is specified below.
If a URL is specified, users shall be redirected to that URL';
$string['hidewhenempty'] = 'Hide when empty';
$string['iconfield'] = 'Icon field';
$string['imageoverlayfield'] = 'Image overlay field';
$string['imageoverlayfield_help'] = 'Content to display over image with solid background.';
$string['imageurlfield'] = 'Image URL field';
$string['imageurlfield_help'] = 'Choose an image URL field that will be used in each card in the grid.';
$string['includesubcategories'] = 'Include subcategories';
$string['includesubcategories_help'] = 'If checked, subcategories of chosen categories will also be included in results.';
$string['invalididnumberunique'] = 'ID Number already exists.';
$string['invalidoperator'] = 'Invalid operator {$a->operator}.';
$string['invalidshortname'] = 'Invalid shortname. It must only contain letters a-zA-Z or hyphens (-).';
$string['invalidshortnametoolong'] = 'Invalid Shortname. Must be 16 characters or less.';
$string['invalidshortnameunique'] = 'This shortname is already used by another dashboard.';
$string['invalidwhereclause'] = 'Invalid where clause. No values provided.';
$string['label'] = 'Label';
$string['layout'] = 'Layout';
$string['layoutaccordion'] = 'Accordion layout (with tables)';
$string['layoutaccordion2'] = 'Accordion layout';
$string['layoutcards'] = 'Grid layout';
$string['layoutdoesnotsupportfiltering'] = 'The chosen layout does not support filtering';
$string['layoutgrid'] = 'Table layout';
$string['layoutonestat'] = 'One figure + label layout';
$string['layouttimeline'] = 'Timeline layout';
$string['layouttwostat'] = 'One figure / other figure layout';
$string['layouttype'] = 'Layout type';
$string['loggedinuser'] = 'Logged in user';
$string['managecustomdatasources'] = 'Manage custom data sources';
$string['managedashboards'] = 'Manage dashboards';
$string['managedatasources'] = 'Manage data sources';
$string['managelayouts'] = 'Manage layouts';
$string['maxlimit'] = 'Limit to';
$string['maxlimit_help'] = 'Limit query results to this maximum amount.';
$string['messageurl'] = 'Message URL';
$string['minheight'] = 'Minimum height';
$string['minheight_help'] = 'Minimum height in pixels for block.';
$string['missingmustachetemplate'] = 'Missing mustache template.';
$string['mustachetemplate'] = 'Mustache template';
$string['mydashboards'] = 'My dashboards';
$string['myenrolledcourses'] = 'My enrolled courses';
$string['myparticipants'] = 'My participants / students';
$string['newblock'] = 'New Dash';
$string['nocontactsavailable'] = 'No contacts available';
$string['nodashboardsforuser'] = 'No dashboards are available at this time.';
$string['nogroupsavailable'] = 'No groups available';
$string['none'] = 'None';
$string['nonpublicdashboards'] = 'Hide public dashboards';
$string['notauthorized'] = 'You do not have access to this dashboard.';
$string['openmodule'] = 'Open module';
$string['pagination_summary'] = 'Showing {$a->limit_from} - {$a->limit_to} of {$a->total}';
$string['parentrole'] = 'Users I manage';
$string['parentrole_help'] = 'Only includes users that the current user has a role assigned to. See "<a href="https://docs.moodle.org/39/en/Parent_role" target="_blank">Parent role</a>."';
$string['parseerror'] = 'Parse error. The content cannot be displayed.';
$string['permissions'] = 'Restrict access to';
$string['permissionscohort'] = 'Cohort';
$string['permissionsloggedin'] = 'Must be logged in';
$string['permissionspublic'] = 'Public';
$string['perpage'] = 'Per page';
$string['perpage_help'] = 'Number of cards to display in grid per page.';
$string['pictureofuserlinked'] = 'User picture (linked to profile)';
$string['pictureofuserurl'] = 'User picture URL';
$string['pluginname'] = 'Dash';
$string['privacy:metadata'] = 'The Dash block only shows information about courses and does not store data itself.';
$string['querydebug'] = 'Query debug';
$string['querytemplate'] = 'Query template';
$string['querytemplate_help'] = 'This query will be used to';
$string['querytemplateinstructions'] = 'Placeholders: <ul><li><b>%%SELECT%%</b> - Replaced with all selects based on field definitions. Do not include your own selects!</li><li><b>%%WHERE%%</b> - Replaced with clauses generated from filters. You can safely add more clauses by appending AND after %%WHERE%%</li><li><b>%%GROUPBY%%</b> - Replaced with grouping field(s) depending on data source</li><li><b>%%ORDERBY%%</b> - Replaced with default sort or user selected sort (clicking the column heading in a table for example)</li></ul>';
$string['querytemplatetip'] = 'Tip: Press Ctrl + Space to show intellisense / autocomplete when typing your query.';
$string['readymatewidgets'] = 'Ready to use widgets';
$string['readymatewidgets_help'] = 'Use the bellow widgets, widgets are easy to use, there is no need to setup additional configurations.';
$string['secondarynav'] = 'Add to course navigation';
$string['source'] = 'Source';
$string['stattodisplay'] = 'Figure to display';
$string['stattodisplayother'] = 'Other figure to display';
$string['status'] = 'Status';
$string['status:completed'] = 'Completed';
$string['status:enrolled'] = 'Enrolled';
$string['status:inprogress'] = 'In Progress';
$string['subheadingfield'] = 'Subheading field';
$string['subheadingfieldicon'] = 'Subheading icon';
$string['supportsfieldvisibility'] = 'Supports field visibility';
$string['supportsfieldvisibility_help'] = 'When enabled, allow admin to conditionally enable and disable fields.';
$string['supportsfiltering'] = 'Supports filtering';
$string['supportsfiltering_help'] = 'When enabled allow filtering results. This is handled by data source.';
$string['supportspagination'] = 'Supports pagination';
$string['supportspagination_help'] = 'When enabled, results will be automatically paginated. Pagination bar will be displayed.';
$string['supportssorting'] = 'Supports sorting';
$string['supportssorting_help'] = 'When enabled, sorting is allowed (only with tables).';
$string['system'] = 'System';
$string['tabconditions'] = 'Conditions';
$string['tabfields'] = 'Fields';
$string['tabfilters'] = 'Filters';
$string['tabgeneral'] = 'General';
$string['tablealias_c'] = 'Course';
$string['tablealias_cc'] = 'Course category';
$string['tablealias_ccp'] = 'Course completion';
$string['tablealias_dd'] = 'Dashboard';
$string['tablealias_e'] = 'Enrollment method';
$string['tablealias_g'] = 'Group';
$string['tablealias_sl'] = 'Site logs';
$string['tablealias_u'] = 'User';
$string['tablealias_ue'] = 'User enrollment';
$string['tags'] = 'Tags';
$string['timesinceevent'] = 'Time since event';
$string['titleoverride'] = 'Title override';
$string['totalactivities'] = 'Total activities';
$string['totalactivitiescompletion'] = 'Total activities (completion relevant)';
$string['userprofilelink'] = 'User profile link';
$string['userprofileurl'] = 'User profile URL';
$string['users'] = 'Users';
$string['users_help'] = 'Users Datasource display the list of available users from the LMS';
$string['userscompleted'] = 'Users completed';
$string['usersnotcompleted'] = 'Users not completed';
$string['userstat'] = 'User stat';
$string['viewcourse'] = 'View course';
$string['viewprofile'] = 'View profile';
$string['widget'] = 'Widget';
$string['widget:groups:adduser'] = 'Add user';
$string['widget:groups:chat'] = 'Chat';
$string['widget:groups:creategroup'] = 'Create Group';
$string['widget:groups:groupmembers'] = 'View Members';
$string['widget:groups:leavegroup'] = 'Leave Group';
$string['widget:mycontacts'] = 'My Contacts';
$string['widget:mycontacts_help'] = 'List of users available in the contacts list.';
$string['widget:mygroups'] = 'My groups';
$string['widget:mygroups_help'] = 'List of assigned groups for the user, Can able to view other members in the group, add memebers to the group, Leave from the groups and more';
$string['widget:mylearning'] = 'My learning';
$string['widget:mylearning_help'] = 'List of user enrolled courses with basic course informations such as staffs and available badges and list of course sections and modules';
$string['withroles'] = 'With role(s)';
