<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'block_game', language 'en', version '4.0'.
 *
 * @package     block_game
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['abbreviate_score'] = 'sco';
$string['activity_points'] = 'Points for completing activity';
$string['activity_points_help'] = '<p>Define how many points students will receive after complete this activity.</p><p>You need to configure the activity completion to enable this field.</p>';
$string['block_game:addinstance'] = 'Add a new Game block';
$string['block_game:myaddinstance'] = 'Add a new Game block to the My Moodle page';
$string['cleargametask'] = 'Task to clear deleted users and courses from the block game.';
$string['config_avatar'] = 'Use Avatar';
$string['config_avatar_course'] = 'Allow avatar change in course';
$string['config_avatar_help'] = '<p>Using Avatar.</p>';
$string['config_bonus_badge'] = 'Bonus for badge';
$string['config_bonus_badge_help'] = '<p>Bonus value per badge.</p>';
$string['config_bonus_day'] = 'Bonus of the day';
$string['config_bonus_day_help'] = '<p>Badge bonus of the day, set points per day of access.</p>';
$string['config_icons_help'] = '<p>Showing the icons.</p>';
$string['config_identity'] = 'Preserve user identity';
$string['config_identity_help'] = '<p>Preserve user identity in sorting list.</p>';
$string['config_info'] = 'Show player information';
$string['config_info_help'] = 'Show player information for all courses attended';
$string['config_level'] = 'Show Level';
$string['config_level_help'] = '<p>Showing the Level.</p>';
$string['config_level_number'] = 'Number of levels';
$string['config_level_number_help'] = '<p>Sets the number of levels.</p>';
$string['config_level_up1'] = 'Score for level 1';
$string['config_level_up10'] = 'Score for level 10';
$string['config_level_up10_help'] = '<p>Sets the score to get level 10.</p>';
$string['config_level_up11'] = 'Score for level 11';
$string['config_level_up11_help'] = '<p>Sets the score to get level 11.</p>';
$string['config_level_up12'] = 'Score for level 12';
$string['config_level_up12_help'] = '<p>Sets the score to get level 12.</p>';
$string['config_level_up13'] = 'Score for level 13';
$string['config_level_up13_help'] = '<p>Sets the score to get level 13.</p>';
$string['config_level_up14'] = 'Score for level 14';
$string['config_level_up14_help'] = '<p>Sets the score to get level 14.</p>';
$string['config_level_up15'] = 'Score for level 15';
$string['config_level_up15_help'] = '<p>Sets the score to get level 15.</p>';
$string['config_level_up1_help'] = '<p>Sets the score to get level 1.</p>';
$string['config_level_up2'] = 'Score for level 2';
$string['config_level_up2_help'] = '<p>Sets the score to get level 2.</p>';
$string['config_level_up3'] = 'Score for level 3';
$string['config_level_up3_help'] = '<p>Sets the score to get level 3.</p>';
$string['config_level_up4'] = 'Score for level 4';
$string['config_level_up4_help'] = '<p>Sets the score to get level 4.</p>';
$string['config_level_up5'] = 'Score for level 5';
$string['config_level_up5_help'] = '<p>Sets the score to get level 5.</p>';
$string['config_level_up6'] = 'Score for level 6';
$string['config_level_up6_help'] = '<p>Sets the score to get level 6.</p>';
$string['config_level_up7'] = 'Score for level 7';
$string['config_level_up7_help'] = '<p>Sets the score to get level 7.</p>';
$string['config_level_up8'] = 'Score for level 8';
$string['config_level_up8_help'] = '<p>Sets the score to get level 8.</p>';
$string['config_level_up9'] = 'Score for level 9';
$string['config_level_up9_help'] = '<p>Sets the score to get level 9.</p>';
$string['config_limit_rank'] = 'Ranking list limit (0 to unlimited)';
$string['config_limit_rank_help'] = '<p>Controls the amount of players to be displayed on the leaderboard. Select 0 (zero) to list them all.</p>';
$string['config_module'] = 'Configure points for module completion.';
$string['config_module_help'] = 'Configure points for module completion.';
$string['config_name_course'] = 'Show name course';
$string['config_name_course_help'] = 'Show name course in block';
$string['config_rank'] = 'Show Rank';
$string['config_rank_group'] = 'Show Group Rank';
$string['config_rank_group_calc'] = 'Calculation for group points';
$string['config_rank_group_calc_help'] = '<p>Select the calculation method for group points.</p>';
$string['config_rank_group_help'] = '<p>Showing the Group Ranking.</p>';
$string['config_rank_help'] = '<p>Showing the Ranking.</p>';
$string['config_score'] = 'Show Score';
$string['config_score_activities'] = 'Score activity notes';
$string['config_score_activities_help'] = '<p>use activity notes to score. For numerical scales only!</p>';
$string['config_score_help'] = '<p>Showing the Score.</p>';
$string['config_section'] = 'Configure section completion points.';
$string['config_section_help'] = 'Configure section completion points.';
$string['config_select_activitys'] = '<legend>Scoring by Activity / Resource Completion (completion criteria required):</legend>';
$string['config_title'] = 'Edit title';
$string['config_title_help'] = '<p>Editing the title of the block.</p>';
$string['defaultdisplaysettings'] = 'Game pack general settings';
$string['downloadthis'] = 'Download as';
$string['game:addinstance'] = 'Add a new Game block';
$string['game:myaddinstance'] = 'Add a new Game block to the My Moodle page';
$string['game_points'] = 'Game points';
$string['game_title_default'] = 'Game';
$string['general'] = 'General';
$string['help'] = 'Help';
$string['help_avatar_text'] = 'The game allows you to choose or change your avatar whenever you want. When the icon shown on the side appears, it means that you have not yet chosen your, by clicking on it or on your avatar, it takes you to the Avatar Selection page, just click on the desired avatar to make your choice.<br/>
<br/><strong>Avatar tips :</strong><br/>
- You can only change your avatar on the homepage or the dashboard page! <br/>
- The Gray-tone avatar will only be available when you reach the required level!<br/>';
$string['help_avatar_text_course'] = 'The game allows you to choose or change your avatar whenever you want. When The dotted icon appears means you have not yet chosen your avatar by clicking on it, or on your avatar, it takes you to the Avatar Selection page, just click on the desired avatar to make your choice.<br/>
<br/><strong>Avatar tips :</strong><br/>
- You can change your avatar on the main page of the course! <br/>
- The Gray-tone avatar will only be available when you reach the required level!<br/>';
$string['help_avatar_titulo'] = 'About avatar';
$string['help_bonus_badge'] = '<strong>Bonus per badge</strong> - Badges are used to reward the user for completing a goal or challenge, completing an activity or set of activities, filling in a profile field, completing a course, among others. When you earn an emblem, a great bonus will be added to your score!<br/>';
$string['help_bonus_badge_value'] = 'Current bonus amount per badge:';
$string['help_bonus_day_text'] = '<strong>Bonus of the day</strong> - Just to access the environment or your course you will receive, once a day, a bonus that will be added to your score!<br/>';
$string['help_bonus_day_text_value'] = 'Current Bonus Value of the Day:';
$string['help_game_title'] = 'Help of game';
$string['help_info_user_text'] = 'By clicking on the player information icon you can see what your situation (Rating, Score and Level) in each course that is registered, that uses the Block Game plugin! You can still know your situation in the ambinte as a whole (General). And at the end it shows when badges the player has already won!';
$string['help_info_user_titulo'] = 'Player Information';
$string['help_level_text'] = 'The player level is defined by the total score he reached! We can say that the higher the level reached, the greater is your degree of maturity in the game! In the game the level is also used to release avatars that are initially blocked. The more you participate in the courses, the more points you earn and consequently you will reach higher levels!<br/><br/><strong>See the score needed to reach each level:</strong><br/>';
$string['help_level_titulo'] = 'About Level';
$string['help_progress_level_text'] = 'The progress bar indicates how much is left to reach the next level.';
$string['help_rank_criterion_text'] = '<strong>Tiebreaker Criteria</strong> - The total of points defines the classification of the users, but in some situations this total may be the same as other players with a tie occurring, in this case the players position is defined as following the following criteria:<br/><br/><strong>1&ordm; </strong> - The player with the highest earned badge score;<br/><strong>2&ordm; </strong> - The player with the highest score achieved by activities;<br/><strong>3&ordm; </strong> - The player with the highest score for completing activities/resources;<br/><strong>4&ordm; </strong> - The oldest player in the environment, that is, who was registered first.<br/>';
$string['help_rank_list_restrict_text'] = '<strong>Ranking list</strong> - The ranking list displays not only your position but also that of other players, following the tiebreaker criteria. In this listing you can see the position, the avatar and their respective score! The player name is not shown, preserving the player identity!<br/>';
$string['help_rank_list_text'] = '<strong>Ranking list</strong> - The ranking list displays not only your position but also that of other players, following the tiebreaker criteria. In this listing you can see the position, the avatar, the name and their respective score!<br/>';
$string['help_rank_text'] = 'Your position in relation to other players is calculated by the total number of points you have reached. This position can vary within the courses, in the areas out of the course the position is calculated by adding up the points earned in the courses you are enrolled in and out of them (General)!';
$string['help_rank_titulo'] = 'About Classification';
$string['help_score_activities_text'] = '<strong>Activity Points</strong> - when doing the proposed activities in the courses that are enrolled, the grade achieved will be converted into points of the game! So get the best grades in the activities to earn more points!<br/>';
$string['help_score_modules_text'] = '<strong>Points for completion of activities/resources</strong> - when completing the activities/resources proposed in the courses you are enrolled in, a score can be assigned, as defined by the teacher! So be sure to complete all course activities/resources to earn more points!<br/>';
$string['help_score_sections_text'] = '<strong>Scoring for section completion</strong> - When you have completed all the activities provided for in a section, you will be able to receive a score! See how many points you can earn in each section:<br/>';
$string['help_score_text'] = 'The game has a scoring system because the score of the player will define their rank and the level that is. So it is very important that you know how to earn points to improve your placement and your level.<br/>
<br/><strong>How to get points:</strong><br/>';
$string['help_score_titulo'] = 'About points';
$string['imagemavatar'] = 'Replacing Avatars Images';
$string['imagemavatardesc'] = '<h5 style=\'color:red\'>Important: (SVG files only)</h5> avatars files must follow the following nomenclature <b><span style=\'font-family: Courier\'>a1.svg, a2.svg, a3.svg... up to a68.svg</span></b>. There is no need to replace all avatars, it is possible to replace only <b><span style=\'font-family: Courier\'>a30.svg</span></b> for example, just upload only the desired files following the nomenclature.';
$string['imagemlevels'] = 'Replace Levels images';
$string['imagemlevelsdesc'] = '<h5 style = \'color: red\'> Important: (SVG files only) </h5> The level files must follow the following nomenclature <b> <span style = \'font-family: Courier\'>lv0.svg, lv1.svg, lv2.svg, lv3.svg... to lv15.svg </span> </b>. There is no need to replace all levels, you can just replace <b> <span style = \'font-family: Courier\'> lv5.svg </span> </b> for example, just upload only the files you want following nomenclature.';
$string['label_avatar'] = 'Avatar';
$string['label_badge'] = 'Badges';
$string['label_confirm_reset_points'] = 'When resetting the course points, all users lost their points. <br/> Do you really want to do this? <br/> <br/>';
$string['label_course'] = 'Course';
$string['label_level'] = 'Level';
$string['label_rank'] = 'Ranking';
$string['label_rank_group'] = 'Groups Ranking';
$string['label_score'] = 'Score';
$string['label_you'] = 'You';
$string['level_10_required'] = 'Level 10 required';
$string['level_11_required'] = 'Level 11 required';
$string['level_12_required'] = 'Level 12 required';
$string['level_13_required'] = 'Level 13 required';
$string['level_14_required'] = 'Level 14 required';
$string['level_15_required'] = 'Level 15 required';
$string['level_1_required'] = 'Level 1 required';
$string['level_2_required'] = 'Level 2 required';
$string['level_3_required'] = 'Level 3 required';
$string['level_4_required'] = 'Level 4 required';
$string['level_5_required'] = 'Level 5 required';
$string['level_6_required'] = 'Level 6 required';
$string['level_7_required'] = 'Level 7 required';
$string['level_8_required'] = 'Level 8 required';
$string['level_9_required'] = 'Level 9 required';
$string['level_max_ok'] = 'Maximum level reached!';
$string['med'] = 'Average';
$string['name'] = 'Name';
$string['next_level'] = 'Next level';
$string['no'] = 'No';
$string['not_initial_config_game'] = '<p>It is necessary to make the initial settings of the Game Block in the course.</p>';
$string['not_start_game'] = 'User did not start playing';
$string['not_start_game_s'] = 'Users they did not start playing';
$string['ok'] = 'Ok';
$string['order'] = 'Order';
$string['perfil_gamer_title'] = 'Player information';
$string['pluginname'] = 'Game';
$string['privacy:metadata:avatar_game_database:avatar'] = 'Avatars range from 0 to 51, each with a corresponding image in the Game block.';
$string['privacy:metadata:block_game'] = 'The Game block stores the avatar chosen by the user in the environment or course and records the score in the game according to the platform configuration.';
$string['privacy:metadata:score_game_database:cmid'] = 'Course activity ID';
$string['privacy:metadata:score_game_database:courseid'] = 'Course ID';
$string['privacy:metadata:score_game_database:userid'] = 'User ID';
$string['rank_game_title'] = 'Ranking list';
$string['rank_group_game_title'] = 'Groups ranking list';
$string['reset_points_btn'] = 'Reset ponits';
$string['reset_points_error'] = 'Error when resetting course points!';
$string['reset_points_not_permission'] = 'You are not allowed to do this!';
$string['reset_points_sucess'] = 'Course points reset for all users successfully !!';
$string['reset_points_title'] = 'Reset course points';
$string['score_atv'] = 'Activities';
$string['score_bonus_day'] = 'Bonus of day';
$string['score_detail'] = 'Score detail';
$string['score_mod'] = 'Modules';
$string['score_section'] = 'Sections';
$string['score_total'] = 'Total';
$string['section'] = 'Section Completion Points';
$string['set_avatar_title'] = 'Select your Avatar';
$string['sum'] = 'Sum';
$string['title_config_section'] = '<legend>Score section completion (completion criteria required):</legend>';
$string['yes'] = 'Yes';
