<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'concordance', language 'en', version '4.0'.
 *
 * @package     concordance
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addnewpanelist'] = 'Add new panelist';
$string['atleastpanelistnotcontacted'] = 'At least one panelist was not contacted';
$string['bibliographiespanelists'] = 'Biographies of panelists';
$string['bibliography'] = 'Biography';
$string['cannotremoveallsectionslots'] = 'It is not allowed to remove all questions under a section heading.';
$string['categorypanelcourses'] = 'Category for courses for panels of experts';
$string['concordance:addinstance'] = 'Add a new learning by concordance management';
$string['concordance:view'] = 'View learning by concordance management';
$string['configcategorypanelcourses'] = 'Courses used by the panels of experts in the Concordance activity will be placed in this category';
$string['configpanelistsrole'] = 'The panelists in the Concordance activity will be given this role in the course generated for them';
$string['defaultemailbody'] = 'As a panelist, you are invited to answer a questionnaire. A link is provided to you at the bottom of this email to access it.
Your answers will then be collated with those of other panelists, to allow students to carry out a training activity by concordance.';
$string['defaultemailsubject'] = 'Online quiz - Learning by concordance';
$string['deletepanelistconfirm'] = 'Are you sure you want to delete this panelist&nbsp;?';
$string['descriptionpanelist'] = 'Description for the panelists';
$string['descriptionstudent'] = 'Description for the students';
$string['editpanelist'] = 'Edit panelist';
$string['errorincludepanelist'] = '- You must include at least one panelist';
$string['errorincludequestion'] = '- You must include at least one question';
$string['eventconcordanceupdated'] = 'Concordance updated';
$string['eventemailsent'] = 'Email sent to panelist';
$string['generate'] = 'Generate';
$string['generatedquizname'] = 'Generated quiz name';
$string['gotogeneratedquiz'] = 'Go to the generated quiz';
$string['includebibliography'] = 'Include panelists\' biographies in the introduction';
$string['indicator:cognitivedepth'] = 'Concordance cognitive';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the student in a Concordance activity.';
$string['indicator:socialbreadth'] = 'Concordance social';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the student in a Concordance activity.';
$string['message'] = 'Message';
$string['modulename'] = 'Learning by concordance management';
$string['modulename_help'] = 'Learning by concordance (LbC) is an online training modality which places the participants in professional situation and which requests micro-judgments on frequently encountered questions in practice. The LbC module of management allows you to carry out the key stages of the pedagogical scenario of a LbC.
<p>For each question to which the participant answers, an automated feedback appears, based on the answers previously given by members of a reference panel. The participant can thus:</p>
<ul>
    <li>self-calibrate by discovering how their response is compared to those of the panel;</li>
    <li>explore the reasoning of the panel members using the justifications they gave for their responses;</li>
    <li>discover educational summaries after a certain number of questions.</li>
</ul>
The LbC module of management simplifies the process of setting up an LBC which is carried out in three phases:
<ol>
    <li>Setting up an LbC</li>
    <li>Collecting responses from panelists</li>
    <li>Generating the quiz for students</li>
</ol>';
$string['modulenameplural'] = 'Learning by concordance management';
$string['nbemailssent'] = 'Nb. emails sent';
$string['nopanelists'] = 'No panelist have been created yet.';
$string['noquizselected_cantcontact'] = 'It is not possible to contact the panelists because the quiz for panelists is not selected.';
$string['notcompleted'] = 'Not completed';
$string['page-mod-concordance-view'] = 'Concordance module main page';
$string['page-mod-concordance-x'] = 'Any concordance module page';
$string['panelistcreated'] = 'Panelist created';
$string['panelistdeleted'] = 'Panelist successfully deleted';
$string['panelistmanagement'] = 'Panelist management';
$string['panelistslist'] = 'List of panelists';
$string['panelistsquiznotfound'] = 'No quiz found for panelists';
$string['panelistsrole'] = 'Role for the panelists';
$string['paneliststoinclude'] = 'Panelists to include';
$string['panelistupdated'] = 'Panelist updated';
$string['phase'] = 'Phase';
$string['phase_panelists'] = 'Answers by panelists phase';
$string['phase_setup'] = 'Setup phase';
$string['phase_students'] = 'Generation for students phase';
$string['pluginadministration'] = 'Concordance administration';
$string['pluginname'] = 'Concordance';
$string['privacy:metadata'] = 'The Concordance activity plugin does not store any personal data.';
$string['privacy:metadata:concordance_panelist'] = 'A record of the state of panelist';
$string['privacy:metadata:panelist:bibliography'] = 'The biography of the panelist';
$string['privacy:metadata:panelist:email'] = 'The email of the panelist';
$string['privacy:metadata:panelist:firstname'] = 'The firstname of the panelist';
$string['privacy:metadata:panelist:lastname'] = 'The lastname of the panelist';
$string['privacy:metadata:panelist:userid'] = 'The ID of the user linked to the panelist';
$string['privacy:metadata:timemodified'] = 'The time when the record was edited';
$string['questionscategoryinfo'] = 'Questions in the quiz generated for students on {$a}';
$string['questionscategoryname'] = 'Concordance - Quiz "{$a}"';
$string['questionstoinclude'] = 'Questions to include';
$string['quizcontainsconcordancequestion'] = 'The quiz contains Concordance questions';
$string['quizcontainsotherquestion'] = 'The quiz contains certain questions of a type other than Concordance (the answers to these questions by the panelists will not be compiled or made visible to students)';
$string['quizdoesnotcontainconcordancequestion'] = 'The quiz does not contain Concordance questions';
$string['quizselection'] = 'Selection of the quiz for panelists';
$string['quizstate'] = 'Quiz state';
$string['quiztype'] = 'Quiz type';
$string['quiztype_help'] = 'A formative quiz will not appear in the gradebook and will show students immediate feedback for each question.

A summative quiz will appear in the gradebook. Deferred feedback  will be shown to students immediately after the attempt ("summative with feedback") or not at all ("summative without feedback").

In all cases, it will always be possible to modify the behavior of the quiz by modifying its parameters.';
$string['quiztypeformative'] = 'Formative';
$string['quiztypesummativewithfeedback'] = 'Summative with feedback';
$string['quiztypesummativewithoutfeedback'] = 'Summative without feedback';
$string['quizvisibletostudent'] = 'The selected quiz is currently visible to students of the course';
$string['search:activity'] = 'Learning by concordance management';
$string['selectquiz_panelistcontacted'] = 'It is not possible to change the quiz because at least one panelist was already contacted. To be able to select a new quiz, you need to delete the contacted panelists. The link they already received by email will not work anymore, and you will need to re-create and re-contact them.';
$string['sendemailnote'] = 'Note: A personalized link will be added automatically at the end of each email to allow the panelist to connect automatically to the quiz to answer.';
$string['shouldnotmodifyquiz'] = 'You should not change the content of the currently selected quiz since these changes will not be reflected in the quiz for panelists.';
$string['studentquizgenerated'] = 'A new quiz has been generated for students, it is not visible to students for now.';
$string['subject'] = 'Subject';
$string['switchphase'] = 'Switch phase';
$string['switchtonextphase'] = 'Switch to the next phase';
$string['task_contactpanelists'] = 'Contact panelists';
$string['task_editsettings'] = 'Edit settings';
$string['task_generatequiz'] = 'Generate the quiz for students';
$string['task_panelistsmanagement'] = 'Manage panelists';
$string['task_quizselection'] = 'Select the quiz for panelists';
$string['taskdone'] = 'Task done';
$string['taskfail'] = 'Task fail';
$string['taskinfo'] = 'Task info';
$string['tasktodo'] = 'Task to do';
$string['unfilledfield'] = 'The field \'{$a}\' is not filled';
