<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'courselinks', language 'en', version '4.0'.
 *
 * @package     courselinks
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['back'] = 'Back to course';
$string['by_line'] = 'by line';
$string['card_disposition'] = 'Cards disposition';
$string['card_disposition_help'] = 'Option to choose the cards number and disposition on each line. If you select "Automatic" this number will be automatically updated
                                in function of the final number of displayed cards and avalaible space in this course.<br/>
                                Warning, this choice will be used by default but it will be automatically adapted in function of your device or your resolution to keep good cards readability (responsive).';
$string['courselinks:addinstance'] = 'Add course links in the course';
$string['courselinks:view'] = 'View course links';
$string['display'] = 'Links display';
$string['display:card'] = 'Card';
$string['display:list'] = 'List';
$string['display:nav'] = 'Navigation menu';
$string['display_help'] = 'Permit to select the way the links will be displayed on this course.
                            <p><ul><li>Card: links to courses will be display as cards with their own course image.</li>
                            <li>List : links to courses will be listed one below the other.</li>
                            <li>Navigation menu: links to courses will be displayed on a menu where each course will be a menu item.</li></ul></p>';
$string['error_courses'] = '<div class="alert alert-danger">Impossible to create links to other courses because you do not have manager rights on courses except this current course.</div>';
$string['error_links'] = 'Please select at least one course to link.';
$string['links'] = 'Linked courses';
$string['links_help'] = 'Courses you want to add a link to it. Only courses where you have management right will be displayed and selectable in the form field.';
$string['modulename'] = 'Courses links';
$string['modulename_help'] = 'Mod which permits to add links to others moodle courses';
$string['modulenameplural'] = 'Courses links';
$string['open:new_tab'] = 'Open in a new tab';
$string['open:new_window'] = 'Open in a new window';
$string['open:same'] = 'Open in the current tab';
$string['opentype'] = 'Links opening';
$string['opentype_help'] = 'Permit to select the way the links will be opened from this course. They will be consulted throw three ways:
                            <p><ul><li>Open the link in the current tab.</li>
                            <li>Open the link in a new tab.</li>
                            <li>Open the link in a new window.</li></ul></p>';
$string['pluginadministration'] = 'Courselinks resource';
$string['pluginname'] = 'Courses links';
$string['privacy:metadata'] = 'Courselinks resource plugin does not store or transmit any personal data.';
$string['show_all_courses'] = 'Force to display all chosen courses';
$string['show_all_courses_help'] = 'If checked all chosen courses will be displayed in the activity. No test will be made to check courses\' access.';
