<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_designer', language 'en', version '4.0'.
 *
 * @package     format_designer
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accordion'] = 'Accordion';
$string['activitiescompleted'] = '{$a->completed} of {$a->count} activities completed';
$string['activity:calltoaction'] = 'Activity call to action';
$string['activity:completionbadge'] = 'Activity completion badge';
$string['activity:description'] = 'Activity description';
$string['activity:icon'] = 'Activity icon';
$string['activity:modname'] = 'Activity mod name';
$string['activity:title'] = 'Activity title';
$string['activity:visits'] = 'Activity visits';
$string['activitydesign'] = 'Design';
$string['activityelementsdisplay'] = '<h5 class="font-weight-normal font-italic pt-2 pb-2" > Activity Elements Visibility Styles </h5>';
$string['activitymasking'] = 'Activity masking';
$string['activityprogress'] = 'Activity progress';
$string['activityprogress_help'] = 'Activities completion progress.';
$string['activitysettings'] = 'Activity';
$string['addsections'] = 'Add designer sections';
$string['applyto'] = 'Apply the background to';
$string['backgroundcolor'] = 'Background color';
$string['backgroundgradient'] = 'Background gradient';
$string['backgroundgradient_help'] = 'Generate a gradient: <a href=\' https://cssgradient.io/\'>https://cssgradient.io/</a>. Paste the background property (linear-gradient).';
$string['backgroundimage'] = 'Background image';
$string['backgroundmasksection'] = '<h5 class="font-weight-normal font-italic pt-2 pb-2" > Module Background MASK Styles </h5>';
$string['backgroundposition'] = 'Background Position';
$string['backgroundposition_help'] = 'Background image will focused on the given position';
$string['backgroundrepeat'] = 'Background Repeat';
$string['backgroundrepeat_help'] = 'Background image will displayed repeated if not fit with section block';
$string['backgroundsection'] = '<h5 class="font-weight-normal font-italic pt-2 pb-2"  > Module Background Styles </h5>';
$string['backgroundsize'] = 'Background Size';
$string['backgroundsize_help'] = 'Background image will displayed in the size';
$string['boxed'] = 'Boxed';
$string['calltoactioncontinue'] = 'Review {$a} <i class="fa fa-angle-double-right"></i>';
$string['calltoactionrestricted'] = '<i class="fa fa-lock"></i>';
$string['calltoactionstart'] = 'Open {$a} <i class="fa fa-angle-double-right"></i>';
$string['calltoactionview'] = 'Review {$a} <i class="fa fa-angle-double-right"></i>';
$string['cards'] = 'Cards';
$string['categoriseheader'] = 'Section type';
$string['circles'] = 'Circles';
$string['circlesize'] = 'Circle size';
$string['collapse'] = 'Collapsed';
$string['collapsiblesections'] = 'Collapsible sections';
$string['completeby'] = 'Complete by';
$string['completed'] = 'Completed on';
$string['completion-alt-auto-enabled'] = 'The system marks this item complete according to conditions';
$string['completion-alt-auto-fail'] = 'Completed (did not achieve pass grade)';
$string['completion-alt-auto-n'] = 'Not completed';
$string['completion-alt-auto-n-override'] = 'Not completed (set by {$a->overrideuser})';
$string['completion-alt-auto-pass'] = 'Completed (achieved pass grade)';
$string['completion-alt-auto-y'] = 'Completed';
$string['completion-alt-auto-y-override'] = 'Completed (set by {$a->overrideuser})';
$string['completion-alt-manual-enabled'] = 'Students can manually mark this item complete';
$string['completion-alt-manual-n'] = 'Not completed. Select to mark as complete.';
$string['completion-alt-manual-n-override'] = 'Not completed (set by {$a->overrideuser}). Select to mark as complete.';
$string['completion-alt-manual-y'] = 'Completed. Select to mark as not complete.';
$string['completion-alt-manual-y-override'] = 'Completed (set by {$a->overrideuser}). Select to mark as not complete.';
$string['completion-fail'] = 'Completed (did not achieve pass grade)';
$string['completion-n'] = 'Not completed';
$string['completion-n-override'] = 'Not completed (set by {$a->overrideuser})';
$string['completion-pass'] = 'Completed (achieved pass grade)';
$string['completion-shorthand-alt-auto-enabled'] = 'The system marks this item complete according to conditions';
$string['completion-shorthand-alt-auto-fail'] = 'Failed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-alt-auto-n'] = 'Not completed';
$string['completion-shorthand-alt-auto-n-override'] = 'Not completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-alt-auto-pass'] = 'Completed (achieved pass grade)';
$string['completion-shorthand-alt-auto-y'] = 'Completed';
$string['completion-shorthand-alt-auto-y-override'] = 'Completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-alt-manual-enabled'] = 'Students can manually mark this item complete';
$string['completion-shorthand-alt-manual-n'] = 'Not completed';
$string['completion-shorthand-alt-manual-n-override'] = 'Not completed';
$string['completion-shorthand-alt-manual-y'] = 'Completed';
$string['completion-shorthand-alt-manual-y-override'] = 'Completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-fail'] = 'Completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-n'] = 'Not completed';
$string['completion-shorthand-n-override'] = 'Not completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-shorthand-pass'] = 'Completed (achieved pass grade)';
$string['completion-shorthand-y'] = 'Completed';
$string['completion-shorthand-y-override'] = 'Completed <i class="fa fa-exclamation-triangle text-white"></i>';
$string['completion-y'] = 'Completed';
$string['completion-y-override'] = 'Completed (set by {$a->overrideuser})';
$string['completion_manual:aria:done'] = '{$a} is marked as done. Press to undo.';
$string['completion_manual:aria:markdone'] = 'Mark {$a} as done';
$string['completion_manual:done'] = 'Done on';
$string['completion_manual:markdone'] = 'Mark as done';
$string['completion_manual:markdone:completeby'] = 'Mark as done by';
$string['completion_manual:markdone:duetoday'] = 'Mark as done today';
$string['completion_manual:markdone:overdue'] = 'Mark as done overdue';
$string['completionbackgroundimage'] = 'Background image (completed)';
$string['completionicons'] = 'Completion tick boxes';
$string['completionicons_help'] = 'Completion info based on designer format';
$string['completiontrackingautomatic'] = 'Automatic completion';
$string['completiontrackingmanual'] = 'Manual completion';
$string['completiontrackingmissing'] = 'Turn on completion tracking to display completion date.';
$string['configtitle'] = 'Designer default options';
$string['coursecompletiondate'] = 'Course completion date';
$string['coursecompletiondate_help'] = 'Student date of course completion displayed in time section.';
$string['courseduedate'] = 'Course due date';
$string['courseduedate_help'] = 'Course due date will shown in course timesection,
it only works when Learning tools and time management tool will be installed and enabled';
$string['courseexpirationdate'] = 'Course expiration date';
$string['courseheader'] = 'Course header';
$string['courseindex'] = 'Course index visibility';
$string['courseindex_help'] = 'Manage the visibility of the course index menu';
$string['coursesettings'] = 'Course';
$string['coursestartdate'] = 'Course start date';
$string['coursetype'] = 'Course type';
$string['coursetype_help'] = 'Kanban board sets as course type, course sections will displayed horizontally.
Collapsible sections are not working in kanban mode.';
$string['currentsection'] = 'This designer section';
$string['dateformat'] = 'Date format';
$string['dateformat_help'] = 'Date format for completion info (e.g. Complete by x date)';
$string['deletesection'] = 'Delete designer section';
$string['designer:changesectionoptions'] = 'Change section options, such as type.';
$string['desktopcolumn'] = 'Layout columns - Desktop';
$string['desktopwidth'] = 'Section width in desktop size';
$string['desktopwidth_help'] = 'Section will be displayed in the selected width in desktop size,
Only works for the one section per page.';
$string['displayprogress'] = 'Display Progress';
$string['done'] = 'Done';
$string['duetoday'] = 'Due today';
$string['editsection'] = 'Edit designer section';
$string['editsectionname'] = 'Edit designer section name';
$string['enrolmentenddate'] = 'Enrolment end date';
$string['enrolmentenddate_help'] = 'User course enrolment end date will be displayed in top of the coures.';
$string['enrolmentstartdate'] = 'Enrolment start date';
$string['enrolmentstartdate_help'] = 'User current course enrolment start date will be displayed in top of the course.';
$string['expand'] = 'Expanded';
$string['failed'] = 'Failed on';
$string['firstexpand'] = 'First expanded';
$string['fivecolumn'] = 'Five column';
$string['flowanimationduration'] = 'Flow animation duration';
$string['flowanimationduration_help'] = 'Change the animation duration for the flow animation';
$string['fourcolumn'] = 'Four column';
$string['full'] = 'Full';
$string['general'] = 'General';
$string['generalsectionconfig'] = '<h5 class="font-weight-normal font-italic pt-2 pb-2" > Module General Styles </h5>';
$string['generalsettings'] = 'General designer settings';
$string['gotosection'] = 'Go to section';
$string['hideeverywhere'] = 'Hide everywhere';
$string['hidefromothers'] = 'Hide designer section';
$string['hideoncourses'] = 'Hide on course pages';
$string['hideonhover'] = 'Hide on hover';
$string['hidesectiontitle'] = 'Hide section title';
$string['horizontal_circles'] = 'Horizontal Circles';
$string['initialstate'] = 'Initial State';
$string['kanbanboard'] = 'Kanban Board';
$string['large'] = 'Large';
$string['less'] = 'Less';
$string['link'] = 'Text links (Default)';
$string['list'] = 'List';
$string['listwidth'] = 'List width';
$string['markasdone'] = 'Mark as done';
$string['maskimage'] = 'Mask image';
$string['maskimage_help'] = 'Selected mask image will displayed in section block.';
$string['maskimg_desc'] = 'Upload multiple mask images. These images are refleacted in the form, You can select any of mask image.';
$string['maskposition'] = 'Mask position';
$string['maskposition_desc'] = 'Enter one of the CSS background position property values to display the mask image where you want to display';
$string['maskposition_help'] = 'Use any of background position property to display the mask in that position';
$string['masksize'] = 'Mask size';
$string['masksize_desc'] = 'Enter one of the CSS background size properties to fix the size of mask image.';
$string['masksize_help'] = 'Enter any of background size property to display the mask in that size.';
$string['medium'] = 'Medium';
$string['minheight'] = 'Minimum height';
$string['minheight_help'] = 'Activity blocks will be displayed in the given height. Use values like 200px, auto, 4rem ...';
$string['mobilecolumn'] = 'Layout columns - Mobile';
$string['mobilewidth'] = 'Section width in phone size';
$string['mobilewidth_help'] = 'Section will be displayed in the selected width in phone size,
Only works for the one section per page.';
$string['modmaskimage'] = 'Activity mask image';
$string['modmaskposition'] = 'Activity mask position';
$string['modmasksize'] = 'Activity mask size';
$string['modvisit'] = 'Visited {$a} times';
$string['monthandday'] = '%b %e';
$string['newsectionname'] = 'New name for designer section {$a}';
$string['normal'] = 'Normal';
$string['notvisit'] = 'Not visited yet';
$string['notyetcompleted'] = 'Not yet completed';
$string['onecolumn'] = 'Single column';
$string['overdue'] = 'Overdue';
$string['overdues'] = '{$a->overdues} overdues';
$string['page-course-view-designer'] = 'Any course main page in Designer format';
$string['page-course-view-designer-x'] = 'Any course page in Designer format';
$string['passed'] = 'Passed on';
$string['pluginname'] = 'Designer format';
$string['popupactivities'] = 'Display activities in popups';
$string['popupactivities_help'] = 'Display the resources in popup, if enabled some type of resources will display in the popup.';
$string['popupactivitiesnotinstalled'] = 'Popup format must be installed in order to display the activities in popup.';
$string['privacy:metadata'] = 'The Designer format plugin does not store any personal data.';
$string['section0name'] = 'General';
$string['sectionbackdesignheader'] = 'Design';
$string['sectionbackgroundheader'] = '<h5 class="font-weight-normal font-italic pt-2 pb-2" > Section background styles </h5>';
$string['sectionbackgroundtype'] = '<b> Section header selected </b>, The background and the text color shall be applied only to the header content.
<b> Whole section selected </b>, The background shall be applied to the whole section';
$string['sectionbackgroundtype_help'] = '<b> Section header selected </b>, The background and the text color shall be applied only to the header content.
<b> Whole section selected </b>, The background shall be applied to the whole section';
$string['sectioncompleted'] = 'Section completed';
$string['sectioncontainer'] = 'Section container';
$string['sectioncontainerwidth'] = 'Section container width';
$string['sectioncontent'] = 'Section content';
$string['sectioncontentwidth'] = 'Section content width';
$string['sectiondesignertextcolor'] = 'Text color shall be only applied to the section title and section summary';
$string['sectiondesignertextcolor_help'] = 'Text color shall be only applied to the section title and section summary';
$string['sectiondesignheader'] = 'Design';
$string['sectionheader'] = 'Section header';
$string['sectionlayouts'] = 'Layouts';
$string['sectionmaskimage'] = 'Section mask image';
$string['sectionmasking'] = 'Section masking';
$string['sectionmaskposition'] = 'Section mask position';
$string['sectionmasksize'] = 'Section mask size';
$string['sectionname'] = 'Designer section';
$string['sectionsettings'] = 'Section';
$string['sectiontype'] = 'Section type';
$string['showanimation'] = 'Flow animation';
$string['showanimation_help'] = 'Enable to reveal the modules with animation effect.';
$string['showfromothers'] = 'Show designer section';
$string['showonhover'] = 'Show on hover';
$string['small'] = 'Small';
$string['start'] = 'Start';
$string['tabletcolumn'] = 'Layout columns - Tablet';
$string['tabletwidth'] = 'Section width in tablet size';
$string['tabletwidth_help'] = 'Section will be displayed in the selected width in tablet size,
Only works for the one section per page.';
$string['textcolor'] = 'Text color';
$string['threecolumn'] = 'Three column';
$string['timeago'] = 'ago';
$string['timeagoday'] = 'day';
$string['timeagohour'] = 'hour';
$string['timeagojustnow'] = 'just now';
$string['timeagominute'] = 'minute';
$string['timeagomonth'] = 'month';
$string['timeagosecond'] = 'second';
$string['timeagoweek'] = 'week';
$string['timeagoyear'] = 'year';
$string['timemanagementmissing'] = 'Learning Tools Pro required for this feature. <a href="https://bdecent.de/product/learning-tools-pro/">Learn more</a>.';
$string['title'] = 'Title';
$string['todaydue'] = '{$a->due} due today';
$string['twocolumn'] = 'Two column';
$string['type_flow'] = 'Flow';
$string['useactivityimage'] = 'Use activity image';
$string['usecompletionbg'] = 'Use different background for completion';
$string['usstandarddate'] = '%m-%d-%Y %I:%M %p';
$string['verticalcircles'] = 'Vertical circles';
$string['wholesection'] = 'Whole section';
