<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_ludic', language 'en', version '4.0'.
 *
 * @package     format_ludic
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['access-accessible'] = 'Always accessible';
$string['access-accessible-desc'] = 'As it says on the tin – an activity is always accessible';
$string['access-chained'] = 'Chained';
$string['access-chained-and-grouped'] = 'Chained and grouped with predecessor';
$string['access-chained-and-grouped-desc'] = 'The item will become visible at the same moment as it\'s predecessor but will only become available after the predecessor has been completed.';
$string['access-chained-desc'] = 'An activity is visible but not accessible until the previous activity has been completed.';
$string['access-controlled'] = 'Teacher-controlled';
$string['access-controlled-desc'] = 'The activity is not visible or accessible unless and until the teacher manually open up access to selected students.';
$string['access-discoverable'] = 'Discoverable';
$string['access-discoverable-desc'] = 'An activity is not visible or accessible until the previous activity has been completed, at which time it appears and becomes accessible.';
$string['access-grouped'] = 'Grouped with predecessor';
$string['access-grouped-desc'] = 'The item will become visible and available at the same moment as it\'s predecessor. (allowing one \'gateway\' activity followed by freely available activity set, teacher control of access by activity group, ...)';
$string['addcm-button'] = 'Add content';
$string['addsection-button'] = 'Add section';
$string['assign'] = 'Assign roles';
$string['close-button-alt'] = 'Close';
$string['cm-score-targetmax-help'] = 'If the value of this field is non-zero then it overrides the default highest grade pass threshold';
$string['cm-score-targetmax-title'] = 'Highest grade pass [0..100]';
$string['cm-score-targetmin-help'] = 'If the value of this field is non-zero then it overrides the default lowest grade pass threshold';
$string['cm-score-targetmin-title'] = 'Lowest grade pass [0..100]';
$string['cm-skin-inline-description'] = 'Allows labels and other such content to be displayed inline';
$string['cm-skin-inline-title'] = 'In page';
$string['cm-skin-menubar-description'] = 'Allows forums and other such content to be accessed from the menu bar';
$string['cm-skin-menubar-title'] = 'Menu bar';
$string['cm-skin-stealth-description'] = 'Allows labels and other such content to be stealth in course';
$string['cm-skin-stealth-title'] = 'Stealth';
$string['collapsed-alt'] = 'Collapsed';
$string['confirmation-button-cancel'] = 'Cancel';
$string['confirmation-button-confirm'] = 'OK';
$string['confirmation-form-exit-content'] = 'If you leave any unsaved edits will be lost.Are you sure that you wish to leave ?';
$string['confirmation-form-exit-title'] = 'Are you certain that you want to leave ?';
$string['confirmation-popup-content'] = 'Are you certain that you want to perform this action ?';
$string['confirmation-popup-title'] = 'Confirmation';
$string['course-module-skin-selection'] = 'Select an appearance for the course module';
$string['cs-avatar-buy'] = 'Buy now !';
$string['cs-avatar-inventory'] = 'Inventory';
$string['cs-avatar-notmoney'] = 'Not enough money !';
$string['cs-avatar-target-help'] = 'If the value of thie field is non-zero then it can be used to set the target value explicitly, for ues when students are not required to complete all possible activities';
$string['cs-avatar-target-title'] = 'Target Value (Or 0 for none)';
$string['cs-progress-target-help'] = 'If the value of thie field is non-zero then it can be used to set the target value explicitly, for ues when students are not required to complete all possible activities';
$string['cs-progress-target-title'] = 'Target Value (Or 0 for none)';
$string['cs-score-target-help'] = 'If the value of thie field is non-zero then it can be used to set the target value explicitly, for ues when students are not required to complete all possible activities';
$string['cs-score-target-title'] = 'Target Value (Or 0 for none)';
$string['cs-skin-noludic-description'] = 'No gamification';
$string['cs-skin-noludic-title'] = 'Static';
$string['default-error'] = 'An error has occurred.';
$string['default-section-title'] = 'Section {$a}';
$string['delete'] = 'Delete';
$string['duplicate'] = 'Duplicate';
$string['duplicate-suffix'] = '(copy)';
$string['edit'] = 'Edit';
$string['edit-settings'] = 'Settings';
$string['edit-skin-config'] = 'Skin Configuration';
$string['edit-skin-form-error-config'] = 'ERROR: Invlid data. Save failed.';
$string['edit-skin-images'] = 'Image Library';
$string['edit-skin-new'] = 'New Skin';
$string['edit-skins-title'] = 'Skin customization';
$string['edit-title-coursemodule'] = 'Content :';
$string['edit-title-section'] = 'Sections :';
$string['editcourse'] = 'Back to course';
$string['editskins'] = 'Customize skins';
$string['error-int-max'] = 'The value must be less than {$a}.';
$string['error-int-min'] = 'The value must be greater than {$a}.';
$string['error-int-step'] = 'The value must be a multiple of {$a}.';
$string['error-popup-content'] = 'Error, please press OK to refresh the page.';
$string['error-popup-title'] = 'An error occurred';
$string['error-required'] = 'You must supply a value here.';
$string['error-str-max-length'] = 'You must enter no more than {$a} characters here.';
$string['error-str-min-length'] = 'You must enter at least {$a} characters here.';
$string['errors'] = 'Errors';
$string['form-delete-skin'] = 'Delete skin';
$string['form-duplicate-skin'] = 'Duplicate skin';
$string['form-revert'] = 'Revert';
$string['form-save'] = 'Save';
$string['form-success'] = 'Changes saved';
$string['header-bar-edit-course'] = 'Back to course';
$string['header-bar-edit-skins'] = 'Edit skins';
$string['header-bar-menu'] = 'Useful links';
$string['header-bar-preview-section'] = 'Preview section';
$string['header-bar-view-course'] = 'View course';
$string['header-no-content'] = 'No content available';
$string['hidefromothers'] = 'Hide section';
$string['item-open'] = 'Go to';
$string['item-preview'] = 'Preview';
$string['label-course-module-title'] = 'Title';
$string['label-course-module-visible'] = 'Visible';
$string['label-move-section'] = 'Move to section';
$string['label-section-title'] = 'Title';
$string['label-section-visible'] = 'Visible';
$string['label-select-access'] = 'Accessibility';
$string['label-skin-selection'] = 'Appearance';
$string['label-weight'] = 'Value';
$string['ludic:editludicconfig'] = 'Can customize skins';
$string['ludicconfiglabel'] = 'Ludic course configuration data';
$string['ludicsharingkeylabel'] = 'Value for management of sharing of skin and bravo definitions';
$string['no-section'] = 'No sections available';
$string['no-section-help'] = 'No sections available.';
$string['pluginname'] = 'Ludic';
$string['privacy:metadata:format_ludic_user_cs_state'] = 'Informations regarding users\'s personal choices while viewing courses (such as avatar customisation choices)';
$string['privacy:metadata:format_ludic_user_cs_state:courseid'] = 'Unique identifier of the course';
$string['privacy:metadata:format_ludic_user_cs_state:sectionid'] = 'Unique identifier of the section';
$string['privacy:metadata:format_ludic_user_cs_state:userid'] = 'Unique identifier of the user';
$string['section-no-cm'] = 'No content available';
$string['section-preview'] = 'Section preview';
$string['section-skin-selection'] = 'Select an appearance for the section';
$string['section0name'] = 'Overview';
$string['sectionname'] = 'Section';
$string['setting-weight-description'] = 'A comma separated list of values for activities to populate teacher menus.';
$string['setting-weight-title'] = 'Activity Values';
$string['showfromothers'] = 'Show section';
$string['skins-list'] = 'Skins';
$string['skins-types-list'] = 'Skins types';
$string['topicoutline'] = 'Section';
