<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'format_topcoll', language 'en', version '4.0'.
 *
 * @package     format_topcoll
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addsection'] = 'Add section';
$string['arrow'] = 'Arrow';
$string['bulb'] = 'Bulb';
$string['cachedef_activitymodulecountcache'] = 'Caches the number of students who can access a given module on a given course.';
$string['cachedef_activitystudentrolescache'] = 'Caches the student roles.';
$string['cachedef_activitystudentscache'] = 'Caches the ids of the students on a given course.';
$string['cachedef_activityusercreatedcache'] = 'Caches the ids of the new users on a given course.';
$string['cannotgetactivitycacheslock'] = 'Cannot get activity caches lock for course id {$a}.';
$string['center'] = 'Centre';
$string['cloud'] = 'Cloud';
$string['colourrule'] = 'Please enter a valid RGB colour, six hexadecimal digits or \'-\' for default.';
$string['columndynamic'] = 'Dynamic';
$string['columnhorizontal'] = 'Horizontal';
$string['columnvertical'] = 'Vertical';
$string['configurationheadingsub'] = 'Configuration';
$string['configurationheadingsubdesc'] = 'Site level configuration settings';
$string['courseadditionalmoddatamaxstudents'] = 'Set the maximum number of students on a course that \'Show additional information\' will apply to';
$string['courseadditionalmoddatamaxstudentsdesc'] = 'Additional information can take time to calculate, especially on large courses, so here you can set the maximum number of students that a couse can have for the functionality to show on that course.  Above that value, the \'Additional information\' will NOT be calculated or show regardless of the course settings!  A value of \'0\' means \'unlimited\'.  Note: Purges the cache caches when changed.';
$string['courseadditionalmoddatastudentsinfo'] = 'Additional information status:';
$string['courseadditionalmoddatastudentsinfolimitednoshow'] = 'Additional information will NOT show for the enabled activities for {$a->students} students as the number exceededs the maximum \'{$a->maxstudents}\' set by the administrator on the Collapsed Topics course format setting \'courseadditionalmoddatamaxstudents\'.';
$string['courseadditionalmoddatastudentsinfolimitedshow'] = 'Additional information will show for the enabled activities for {$a->students} students as the number does not exceed the maximum \'{$a->maxstudents}\' set by the administrator on the Collapsed Topics course format setting \'courseadditionalmoddatamaxstudents\'.';
$string['courseadditionalmoddatastudentsinfounlimited'] = 'Additional information will show for the enabled activities for {$a} students.';
$string['coursesectionactivityfurtherinformation'] = 'Course page further information';
$string['coursesectionactivityfurtherinformation_desc'] = 'Site level course page further information settings';
$string['coursesectionactivityfurtherinformationassign'] = 'Show assignment information';
$string['coursesectionactivityfurtherinformationassigndesc'] = 'Allow assignment information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['coursesectionactivityfurtherinformationchoice'] = 'Show choice information';
$string['coursesectionactivityfurtherinformationchoicedesc'] = 'Allow choice information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['coursesectionactivityfurtherinformationdata'] = 'Show database information';
$string['coursesectionactivityfurtherinformationdatadesc'] = 'Allow data information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['coursesectionactivityfurtherinformationfeedback'] = 'Show feedback information';
$string['coursesectionactivityfurtherinformationfeedbackdesc'] = 'Allow feedback information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['coursesectionactivityfurtherinformationforum'] = 'Show forum information';
$string['coursesectionactivityfurtherinformationforumdesc'] = 'Allow forum information to be selected to be shown on a course.  For teachers / admins, show number of contributions when whole forum grading is on.';
$string['coursesectionactivityfurtherinformationlesson'] = 'Show lesson information';
$string['coursesectionactivityfurtherinformationlessondesc'] = 'Allow lesson information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['coursesectionactivityfurtherinformationquiz'] = 'Show quiz information';
$string['coursesectionactivityfurtherinformationquizdesc'] = 'Allow quiz information to be selected to be shown on a course.  For teachers / admins, show number of submissions.';
$string['creatingsection'] = 'Creating new section';
$string['ctreset'] = 'Collapsed Topics reset options';
$string['ctreset_help'] = 'Reset to Collapsed Topics defaults.';
$string['currentsection'] = 'This section';
$string['default'] = 'Default - {$a}';
$string['defaultdisplayblocks'] = 'Blocks to display';
$string['defaultdisplayblocks_desc'] = 'Choose the blocks to display in the course when it is first created and this format is selected.  Use the \'Ctrl\' key in combination with the mouse to select more than one or none.  Note: This setting will only apply at actual course creation and no other time, i.e. changing to Collapsed Topics from another format.';
$string['defaultdisplayblocksloc'] = 'Block location for display';
$string['defaultdisplayblocksloc_desc'] = 'Choose the location for the blocks chosen above to display, pre or post side.';
$string['defaultdisplayinstructions'] = 'Display instructions to users';
$string['defaultdisplayinstructions_desc'] = 'Display instructions to users informing them how to use the toggles.  Can be yes or no.';
$string['defaultheadingsub'] = 'Defaults';
$string['defaultheadingsubdesc'] = 'Default settings that can be overridden at the course level';
$string['defaultlayoutcolumnorientation'] = 'Column orientation';
$string['defaultlayoutcolumnorientation_desc'] = 'The default column orientation: Dynamic - Number sections per \'row\' adjust to window size, \'Column\' setting not currently used.<br>Horizontal - Sections go left to right.<br>Vertical - Sections go top to bottom.';
$string['defaultlayoutcolumns'] = 'Number of columns';
$string['defaultlayoutcolumns_desc'] = 'Number of columns between one and four.';
$string['defaultlayoutelement'] = 'Layout';
$string['defaultlayoutelement_desc'] = 'The layout setting can be one of:<br />\'Default\' with everything displayed.<br />No \'Topic x\' / \'Week x\' / \'Day x\'.<br />No section number.<br />No \'Topic x\' / \'Week x\' / \'Day x\' and no section number.<br />No \'Toggle\' word.<br />No \'Toggle\' word and no \'Topic x\' / \'Week x\' / \'Day x\'.<br />No \'Toggle\' word, no \'Topic x\' / \'Week x\' / \'Day x\' and no section number.';
$string['defaultlayoutelement_descpositive'] = 'The layout setting can be one of:<br />Toggle word, \'Topic x\' / \'Week x\' / \'Day x\' and section number.<br />Toggle word and \'Topic x\' / \'Week x\' / \'Day x\'.<br />Toggle word and section number.<br />\'Topic x\' / \'Week x\' / \'Day x\' and section number.<br />Toggle word.<br />\'Topic x\' / \'Week x\' / \'Day x\'.<br />Section number.<br />No additions.';
$string['defaultlayoutstructure'] = 'Structure configuration';
$string['defaultlayoutstructure_desc'] = 'The structure setting can be one of:<br />Topic<br />Week<br />Latest Week First<br />Current Topic First<br />Day';
$string['defaultonesection'] = 'One section';
$string['defaultonesection_desc'] = 'States if only one section should be open at any given time.  Note: Ignored when editing to allow activities and resources to be moved around the sections.';
$string['defaultonesectioniconfont'] = 'One section icon font';
$string['defaultonesectioniconfont_desc'] = 'State the icon font class to use for the one section link icon, i.e. see the FontAwesome icon classes.  If empty, then default icon \'one_section\' in the format\'s \'pix\' folder will be used.';
$string['defaultshowadditionalmoddata'] = 'Default course \'Show additional information\'';
$string['defaultshowadditionalmoddatadesc'] = 'If an activity is set at site level (below) to show additional information then this setting states the default state of the course specific instance of it.';
$string['defaultshowsectionsummary'] = 'Show the section summary when collapsed';
$string['defaultshowsectionsummary_desc'] = 'States if the section summary will always be shown regardless of toggle state.';
$string['defaulttgbgcolour'] = 'Toggle background colour';
$string['defaulttgbgcolour_desc'] = 'Toggle background colour in hexidecimal RGB.';
$string['defaulttgbghvrcolour'] = 'Toggle background hover colour';
$string['defaulttgbghvrcolour_desc'] = 'Toggle background hover colour in hexidecimal RGB.';
$string['defaulttgbghvropacity'] = 'Toggle background hover opacity';
$string['defaulttgbghvropacity_desc'] = 'Toggle background on hover opacity between 0 and 1 in 0.1 increments.';
$string['defaulttgbgopacity'] = 'Toggle background opacity';
$string['defaulttgbgopacity_desc'] = 'Toggle background opacity between 0 and 1 in 0.1 increments.';
$string['defaulttgfgcolour'] = 'Toggle foreground colour';
$string['defaulttgfgcolour_desc'] = 'Toggle foreground colour in hexidecimal RGB.';
$string['defaulttgfghvrcolour'] = 'Toggle foreground hover colour';
$string['defaulttgfghvrcolour_desc'] = 'Toggle foreground hover colour in hexidecimal RGB.';
$string['defaulttgfghvropacity'] = 'Toggle foreground hover opacity';
$string['defaulttgfghvropacity_desc'] = 'Toggle foreground text on hover opacity between 0 and 1 in 0.1 increments.';
$string['defaulttgfgopacity'] = 'Toggle foreground opacity';
$string['defaulttgfgopacity_desc'] = 'Toggle foreground text opacity between 0 and 1 in 0.1 increments.';
$string['defaulttogglealignment'] = 'Toggle text alignment';
$string['defaulttogglealignment_desc'] = '\'Left\', \'Centre\' or \'Right\'.';
$string['defaulttoggleallenabled'] = 'Toggle all enabled';
$string['defaulttoggleallenabled_desc'] = 'States if the toggle all functionality should be enabled.';
$string['defaulttoggleallhover'] = 'Toggle all icon hovers';
$string['defaulttoggleallhover_desc'] = '\'No\' or \'Yes\'.';
$string['defaulttoggleborderradiusbl'] = 'Toggle bottom left border radius';
$string['defaulttoggleborderradiusbl_desc'] = 'Border bottom left radius of the toggle.';
$string['defaulttoggleborderradiusbr'] = 'Toggle bottom right border radius';
$string['defaulttoggleborderradiusbr_desc'] = 'Border bottom right radius of the toggle.';
$string['defaulttoggleborderradiustl'] = 'Toggle top left border radius';
$string['defaulttoggleborderradiustl_desc'] = 'Border top left radius of the toggle.';
$string['defaulttoggleborderradiustr'] = 'Toggle top right border radius';
$string['defaulttoggleborderradiustr_desc'] = 'Border top right radius of the toggle.';
$string['defaulttoggleiconfontclosed'] = 'Closed toggle icon font';
$string['defaulttoggleiconfontclosed_desc'] = 'When \'defaulttoggleiconset\' is set to \'Icon font\', this states the default CSS classes to use for the closed icon, i.e. see the FontAwesome icon classes.';
$string['defaulttoggleiconfontopen'] = 'Open toggle icon font';
$string['defaulttoggleiconfontopen_desc'] = 'When \'defaulttoggleiconset\' is set to \'Icon font\', this states the default CSS classes to use for the open icon, i.e. see the FontAwesome icon classes.';
$string['defaulttoggleiconposition'] = 'Icon position';
$string['defaulttoggleiconposition_desc'] = 'States if the icon should be on the left or the right of the toggle text.';
$string['defaulttoggleiconset'] = 'Toggle icon set';
$string['defaulttoggleiconset_desc'] = '<table><tbody><tr><td>Arrow</td><td>{$a->arrow}</td></tr><tr><td>Bulb</td><td>{$a->bulb}</td></tr><tr><td>Cloud</td><td>{$a->cloud}</td></tr><tr><td>Eye</td><td>{$a->eye}</td></tr><tr><td>Folder</td><td>{$a->folder}</td></tr><tr><td>Ground Signal</td><td>{$a->groundsignal}</td></tr><tr><td>Light Emitting Diode</td><td>{$a->led}</td></tr><tr><td>Point</td><td>{$a->point}</td></tr><tr><td>Power</td><td>{$a->power}</td></tr><tr><td>Radio</td><td>{$a->radio}</td></tr><tr><td>Smiley</td><td>{$a->smiley}</td></tr><tr><td>Square</td><td>{$a->square}</td></tr><tr><td>Sun / Moon</td><td>{$a->sunmoon}</td></tr><tr><td>Switch</td><td>{$a->switch}</td></tr><tr><td>Icon font</td><td>{$a->tif}</td></tr></tbody></table>';
$string['defaulttoggleiconsize'] = 'Toggle icon size';
$string['defaulttoggleiconsize_desc'] = 'Icon size: Small = 16px, Medium = 24px and Large = 32px, or Icon font: Small = 0.8em, Medium = 1.2em and Large = 1.8em.';
$string['defaulttogglepersistence'] = 'Toggle persistence';
$string['defaulttogglepersistence_desc'] = '\'On\' or \'Off\'.  Turn off for an AJAX performance increase but user toggle selections will not be remembered on page refresh or revisit.<br />Note: When turning persistence off, please remove any rows containing \'topcoll_toggle_x\' in the \'name\' field of the \'user_preferences\' table in the database.  Where the \'x\' in \'topcoll_toggle_x\' will be a course id.  This is to save space if you do not intend to turn it back on.';
$string['defaultuserpreference'] = 'Initial toggle state';
$string['defaultuserpreference_desc'] = 'States what to do with the toggles when the user first accesses the course, the state of additional sections when they are added or toggle persistence is off.';
$string['defaultviewsinglesectionenabled'] = 'View single section enabled';
$string['defaultviewsinglesectionenabled_desc'] = 'States if the view single section functionality should be enabled.';
$string['deletesection'] = 'Delete section';
$string['displayinstructions'] = 'Display instructions';
$string['displayinstructions_help'] = 'States that the instructions should be displayed to the user or not.';
$string['donotshowdate'] = 'Do not show the date';
$string['donotshowdate_help'] = 'Do not show the date when using a weekly based structure and \'Use default section name\' has been un-ticked.';
$string['duplicate'] = 'Duplicate';
$string['duplicateconfirm'] = 'Are you sure you want to duplicate the current section?  This can take a while depending on the amount of resources.';
$string['duplicating'] = 'Duplicating';
$string['editsection'] = 'Edit section';
$string['editsectionname'] = 'Edit section name';
$string['em0_0'] = '0.0em';
$string['em0_1'] = '0.1em';
$string['em0_2'] = '0.2em';
$string['em0_3'] = '0.3em';
$string['em0_4'] = '0.4em';
$string['em0_5'] = '0.5em';
$string['em0_6'] = '0.6em';
$string['em0_7'] = '0.7em';
$string['em0_8'] = '0.8em';
$string['em0_9'] = '0.9em';
$string['em1_0'] = '1.0em';
$string['em1_1'] = '1.1em';
$string['em1_2'] = '1.2em';
$string['em1_3'] = '1.3em';
$string['em1_4'] = '1.4em';
$string['em1_5'] = '1.5em';
$string['em1_6'] = '1.6em';
$string['em1_7'] = '1.7em';
$string['em1_8'] = '1.8em';
$string['em1_9'] = '1.9em';
$string['em2_0'] = '2.0em';
$string['em2_1'] = '2.1em';
$string['em2_2'] = '2.2em';
$string['em2_3'] = '2.3em';
$string['em2_4'] = '2.4em';
$string['em2_5'] = '2.5em';
$string['em2_6'] = '2.6em';
$string['em2_7'] = '2.7em';
$string['em2_8'] = '2.8em';
$string['em2_9'] = '2.9em';
$string['em3_0'] = '3.0em';
$string['em3_1'] = '3.1em';
$string['em3_2'] = '3.2em';
$string['em3_3'] = '3.3em';
$string['em3_4'] = '3.4em';
$string['em3_5'] = '3.5em';
$string['em3_6'] = '3.6em';
$string['em3_7'] = '3.7em';
$string['em3_8'] = '3.8em';
$string['em3_9'] = '3.9em';
$string['em4_0'] = '4.0em';
$string['enableadditionalmoddata'] = 'Enable additional information';
$string['enableadditionalmoddatadesc'] = 'This is a \'Site level\' switch to turn the activity information on or off.  It needs to be \'on\' for the related settings that operate at a course level to take effect.  As this functionality can be computationally expensive, then it is strongly suggested that you undertake full testing before using on a production system.  Note: Purges the cache caches when changed.';
$string['errornosectioninfo'] = 'The indicated topic have not information';
$string['eye'] = 'Eye';
$string['feedbackavailable'] = 'Feedback available';
$string['folder'] = 'Folder';
$string['formatresponsive'] = 'Format responsive';
$string['formatresponsive_desc'] = 'Turn on if you are using a non-responsive theme and the format will adjust to the screen size / device.  Turn off if you are using a responsive theme.  Bootstrap 2.3.2 support is built in, for other frameworks and versions, override the methods \'get_row_class()\' and \'get_column_class()\' in renderer.php.';
$string['formatsettings'] = 'Format reset settings';
$string['formatsettingsinformation'] = '<br />To reset the settings of the course format to the defaults, click on the icon to the right.';
$string['four'] = 'Four';
$string['groundsignal'] = 'Ground signal';
$string['hidefromothers'] = 'Hide section';
$string['information'] = 'Information';
$string['informationsettings'] = 'Information settings';
$string['informationsettingsdesc'] = 'Collapsed Topics format information';
$string['instructions'] = 'Instructions: Clicking on the section name will show / hide the section.';
$string['large'] = 'Large';
$string['layoutstructuredays'] = 'days';
$string['layoutstructuretopics'] = 'topics';
$string['layoutstructureweeks'] = 'weeks';
$string['led'] = 'Light emitting diode';
$string['left'] = 'Left';
$string['maincoursepage'] = 'Main course page';
$string['markedthissection'] = 'This section is highlighted as the current section';
$string['markthissection'] = 'Highlight this section as the current section';
$string['medium'] = 'Medium';
$string['newsectionname'] = 'New name for section {$a}';
$string['numbersections'] = 'Number of sections';
$string['off'] = 'Off';
$string['on'] = 'On';
$string['one'] = 'One';
$string['onesection'] = 'One section';
$string['onesection_help'] = 'States if only one section should be open at any given time.  Note: Ignored when editing to allow activities and resources to be moved around the sections.';
$string['page-course-view-topcoll'] = 'Any course main page in the collapsed topics format';
$string['page-course-view-topcoll-x'] = 'Any course page in the collapsed topics format';
$string['pluginname'] = 'Collapsed Topics';
$string['point'] = 'Point';
$string['power'] = 'Power';
$string['privacy:metadata:preference:toggle'] = 'The state of the toggles on a course.';
$string['privacy:request:preference:toggle'] = 'The course id "{$a->name}" has the value "{$a->value}" which represents "{$a->decoded}" for the state of the toggles.';
$string['progresscounter'] = 'Duplicating activities ({$a->current}/{$a->size})';
$string['progressfull'] = 'Duplicating topic';
$string['radio'] = 'Radio';
$string['readme_desc'] = 'Please click on \'{$a->url}\' for lots more information about Collapsed Topics.';
$string['readme_title'] = 'Collapsed Topics read-me';
$string['rebuildcoursecache'] = 'Rebuild course cache';
$string['resetactivitymeta'] = 'Additional module information';
$string['resetactivitymeta_help'] = 'Resets the additional module information to follow the site default value.';
$string['resetallactivitymeta'] = 'All additional module information';
$string['resetallactivitymeta_help'] = 'Resets all the additional module information to follow the site default value.';
$string['resetallcolour'] = 'Colours';
$string['resetallcolour_help'] = 'Resets the colours and opacities to follow the site default value.';
$string['resetalldisplayinstructions'] = 'Display instructions';
$string['resetalldisplayinstructions_help'] = 'Resets the display instructions to follow the site default value.';
$string['resetallgrp'] = 'Reset all:';
$string['resetalllayout'] = 'Layouts';
$string['resetalllayout_help'] = 'Resets the layout element, structure, columns, toggle all, view single section, icon position, one section and shown section summary to follow the site default value.';
$string['resetalltogglealignment'] = 'Toggle alignments';
$string['resetalltogglealignment_help'] = 'Resets all the toggle alignment to follow the site default value.';
$string['resetalltoggleiconset'] = 'Toggle icon sets';
$string['resetalltoggleiconset_help'] = 'Resets the toggle icon set and toggle all hover to follow the site default value.';
$string['resetcolour'] = 'Colour';
$string['resetcolour_help'] = 'Resets the colours and opacities to follow the site default value.';
$string['resetdisplayinstructions'] = 'Display instructions';
$string['resetdisplayinstructions_help'] = 'Resets the display instructions to follow the site default value.';
$string['resetgrp'] = 'Reset:';
$string['resetlayout'] = 'Layout';
$string['resetlayout_help'] = 'Resets the layout element, structure, columns, toggle all, view single section, icon position, one section and shown section summary to follow the site default value.';
$string['resettogglealignment'] = 'Toggle alignment';
$string['resettogglealignment_help'] = 'Resets the toggle alignment to follow the site default value.';
$string['resettoggleiconset'] = 'Toggle icon set';
$string['resettoggleiconset_help'] = 'Resets the toggle icon set and toggle all hover to follow the site default value.';
$string['right'] = 'Right';
$string['sctcloseall'] = 'Close all {$a}';
$string['sctopenall'] = 'Open all {$a}';
$string['section0name'] = 'General';
$string['sectionname'] = 'Section';
$string['setcolour'] = 'Colour';
$string['setcolour_help'] = 'Contains the settings to do with the colour of the format within the course.';
$string['setlayout'] = 'Set layout';
$string['setlayout_all'] = 'Toggle word, \'Topic x\' / \'Week x\' / \'Day x\' and section number';
$string['setlayout_default'] = 'Default';
$string['setlayout_help'] = 'Contains the settings to do with the layout of the format within the course.';
$string['setlayout_no_additions'] = 'No additions';
$string['setlayout_no_section_no'] = 'No section number';
$string['setlayout_no_toggle_section_x'] = 'No toggle section x';
$string['setlayout_no_toggle_section_x_section_no'] = 'No toggle section x and section number';
$string['setlayout_no_toggle_word'] = 'No toggle word';
$string['setlayout_no_toggle_word_toggle_section_x'] = 'No toggle word and toggle section x';
$string['setlayout_no_toggle_word_toggle_section_x_section_no'] = 'No toggle word, toggle section x and section number';
$string['setlayout_section_number'] = 'Section number';
$string['setlayout_toggle_section_x'] = '\'Topic x\' / \'Week x\' / \'Day x\'';
$string['setlayout_toggle_section_x_section_number'] = '\'Topic x\' / \'Week x\' / \'Day x\' and section number';
$string['setlayout_toggle_word'] = 'Toggle word';
$string['setlayout_toggle_word_section_number'] = 'Toggle word and section number';
$string['setlayout_toggle_word_section_x'] = 'Toggle word and \'Topic x\' / \'Week x\' / \'Day x\'';
$string['setlayoutcolumnorientation'] = 'Column orientation';
$string['setlayoutcolumnorientation_help'] = 'Dynamic - Number sections per \'row\' adjust to window size, \'Column\' setting not currently used.<br>Horizontal - Sections go left to right.<br>Vertical - Sections go top to bottom.';
$string['setlayoutcolumns'] = 'Columns';
$string['setlayoutcolumns_help'] = 'How many columns to use.';
$string['setlayoutelements'] = 'Elements';
$string['setlayoutelements_help'] = 'How much information about the toggles / sections you wish to be displayed.';
$string['setlayoutstructure'] = 'Structure';
$string['setlayoutstructure_help'] = 'The layout structure of the course.  You can choose between:<br />\'Topics\' - where each section is presented as a topic in section number order.<br />\'Weeks\' - where each section is presented as a week in ascending week order from the start date of the course.<br />\'Current week first\' - which is the same as weeks but the current week is shown at the top and preceding weeks in descending order are displayed below except in editing mode where the structure is the same as \'Weeks\'.<br />\'Current topic first\' - which is the same as \'Topics\' except that the current topic is shown at the top if it has been set.<br />\'Day\' - where each section is presented as a day in ascending day order from the start date of the course.';
$string['setlayoutstructurecurrenttopicfirst'] = 'Current topic first';
$string['setlayoutstructureday'] = 'Day';
$string['setlayoutstructurelatweekfirst'] = 'Current week first';
$string['setlayoutstructuretopic'] = 'Topic';
$string['setlayoutstructureweek'] = 'Week';
$string['setshowsectionsummary'] = 'Show the section summary when collapsed';
$string['setshowsectionsummary_help'] = 'States if the section summary will always be shown regardless of toggle state.';
$string['settings'] = 'Settings';
$string['settingssettings'] = 'Settings settings';
$string['settingssettingsdesc'] = 'Collapsed Topics format settings';
$string['settogglealignment'] = 'Toggle text alignment';
$string['settogglealignment_help'] = 'Sets the alignment of the text in the toggle.';
$string['settoggleallenabled'] = 'Toggle all enabled';
$string['settoggleallenabled_help'] = 'Toggle all functionality enabled.';
$string['settoggleallhover'] = 'Toggle all icon hover';
$string['settoggleallhover_help'] = 'Sets if the toggle all icons will change when the mouse moves over them.';
$string['settogglebackgroundcolour'] = 'Toggle background';
$string['settogglebackgroundcolour_help'] = 'Sets the background colour of the toggle.';
$string['settogglebackgroundhovercolour'] = 'Toggle background hover';
$string['settogglebackgroundhovercolour_help'] = 'Sets the background colour of the toggle when the mouse moves over it.';
$string['settogglebackgroundhoveropacity'] = 'Toggle background hover opacity';
$string['settogglebackgroundhoveropacity_help'] = 'Sets the opacity of the background on hover on the toggle between 0 and 1 in 0.1 increments.';
$string['settogglebackgroundopacity'] = 'Toggle background opacity';
$string['settogglebackgroundopacity_help'] = 'Sets the opacity of the background on the toggle between 0 and 1 in 0.1 increments.';
$string['settoggleforegroundcolour'] = 'Toggle foreground';
$string['settoggleforegroundcolour_help'] = 'Sets the colour of the text on the toggle.';
$string['settoggleforegroundhovercolour'] = 'Toggle foreground hover';
$string['settoggleforegroundhovercolour_help'] = 'Sets the colour of the text on the toggle when the mouse moves over it.';
$string['settoggleforegroundhoveropacity'] = 'Toggle foreground hover opacity';
$string['settoggleforegroundhoveropacity_help'] = 'Sets the opacity of the text on hover on the toggle between 0 and 1 in 0.1 increments.';
$string['settoggleforegroundopacity'] = 'Toggle foreground opacity';
$string['settoggleforegroundopacity_help'] = 'Sets the opacity of the text on the toggle between 0 and 1 in 0.1 increments.';
$string['settoggleiconfontclosed'] = 'Closed toggle icon font';
$string['settoggleiconfontclosed_help'] = 'When \'toggleiconset\' is set to \'Icon font\', this states the default CSS classes to use for the closed icon, i.e. see the FontAwesome icon classes.  If set to \'-\' then the default is used.';
$string['settoggleiconfontopen'] = 'Open toggle icon font';
$string['settoggleiconfontopen_help'] = 'When \'toggleiconset\' is set to \'Icon font\', this states the default CSS classes to use for the open icon, i.e. see the FontAwesome icon classes.  If set to \'-\' then the default is used.';
$string['settoggleiconposition'] = 'Icon position';
$string['settoggleiconposition_help'] = 'States that the icon should be on the left or the right of the toggle text.';
$string['settoggleiconset'] = 'Icon set';
$string['settoggleiconset_help'] = 'Sets the icon set of the toggle.';
$string['setviewsinglesectionenabled'] = 'View single section enabled';
$string['setviewsinglesectionenabled_help'] = 'View single section functionality enabled.';
$string['showadditionalmoddata'] = 'Show additional information for: {$a} in the course';
$string['showadditionalmoddata_help'] = 'Allow all users to see the activity deadline and users with grading permission to see the number of submissions on the course page for activities.';
$string['showfromothers'] = 'Show section';
$string['sidepost'] = 'Post';
$string['sidepre'] = 'Pre';
$string['small'] = 'Small';
$string['smiley'] = 'Smiley';
$string['square'] = 'Square';
$string['sunmoon'] = 'Sun / Moon';
$string['switch'] = 'Switch';
$string['three'] = 'Three';
$string['tif'] = 'Icon font';
$string['toggleclose'] = 'Close';
$string['toggleopen'] = 'Open';
$string['topcoll:changeactivitymeta'] = 'Change or reset the activity meta';
$string['topcoll:changecolour'] = 'Change or reset the colour';
$string['topcoll:changelayout'] = 'Change or reset the layout';
$string['topcoll:changetogglealignment'] = 'Change or reset the toggle alignment';
$string['topcoll:changetoggleiconset'] = 'Change or reset the toggle icon set';
$string['topcollall'] = 'sections.';
$string['topcollclosed'] = 'Close all';
$string['topcollopened'] = 'Open all';
$string['topcollsidewidthlang'] = 'en-28px';
$string['topcolltoggle'] = 'Toggle';
$string['two'] = 'Two';
$string['versionalpha'] = 'Alpha version - Almost certainly contains bugs.  This is a development version for developers \'only\'!  Don\'t even think of installing on a production server!';
$string['versionbeta'] = 'Beta version - Likely to contain bugs.  Ready for testing by administrators on a test server only.';
$string['versioninfo'] = 'Release {$a->release}, version {$a->version} on Moodle {$a->moodle}';
$string['versionrc'] = 'Release candidate version - May contain bugs.  Check completely on a test server before considering on a production server.';
$string['versionstable'] = 'Stable version - Could contain bugs.  Check on a test server before installing on your production server.';
$string['viewonly'] = 'View only \'{$a->sectionname}\'';
$string['xanswered'] = '{$a->completed} answered';
$string['xattempted'] = '{$a->completed} attempted';
$string['xcontributed'] = '{$a->completed} contributed';
$string['xofyanswered'] = '{$a->completed} of {$a->participants} answered';
$string['xofyattempted'] = '{$a->completed} of {$a->participants} attempted';
$string['xofycontributed'] = '{$a->completed} of {$a->participants} contributed';
$string['xofyposted'] = '{$a->completed} of {$a->participants} posted';
$string['xofysubmitted'] = '{$a->completed} of {$a->participants} submitted';
$string['xposted'] = '{$a->completed} posted';
$string['xsubmitted'] = '{$a->completed} submitted';
$string['xungraded'] = '{$a} ungraded';
