<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'groupmembers', language 'en', version '4.0'.
 *
 * @package     groupmembers
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['description'] = 'Description';
$string['groupmembers:addinstance'] = 'Add a new list of group members';
$string['groupmembers:view'] = 'View group members';
$string['groupmembersname'] = 'Name of members list';
$string['listgrouping'] = 'Grouping';
$string['mailhidden'] = 'Mail contact disabled';
$string['modulename'] = 'Group Members';
$string['modulename_help'] = 'Use the Group Members module to list the members of all groups in one selected grouping.';
$string['modulenameplural'] = 'Group Members';
$string['nogroupsavailable'] = 'There are currently no groups to be displayed.';
$string['noowngroupsavailable'] = 'You are currently not assigned to any group.';
$string['pluginadministration'] = 'Group Members administration';
$string['pluginname'] = 'Group Members';
$string['privacy:metadata'] = 'The Group Members Activity only displays information about groups, but does not effect or store any personal data. The existing groups and groupings data is stored in other locations.';
$string['setting_adminsettingsheading'] = 'Group Members settings';
$string['setting_defaultsheading'] = 'Group Members default settings';
$string['setting_showdeptinstdefault'] = 'Show department and institution';
$string['setting_showdeptinstdefault_desc'] = 'With this setting, you control the default value of the "Show department and institution" module instance setting.<br />This setting will only be processed, if the "Enable showing department and institution" is enabled.';
$string['setting_showdeptinstenable'] = 'Enable showing department and institution';
$string['setting_showdeptinstenable_desc'] = 'With this setting, you control if showing department and institution can be enabled within a module instance or not.';
$string['setting_showdescdefault'] = 'Show description';
$string['setting_showdescdefault_desc'] = 'With this setting, you control the default value of the "Show description" module instance setting.<br />This setting will only be processed, if the "Enable showing description" is enabled.';
$string['setting_showdescenable'] = 'Enable showing description';
$string['setting_showdescenable_desc'] = 'With this setting, you control if showing description can be enabled within a module instance or not.';
$string['setting_showemaildefault'] = 'Show e-mail addresses';
$string['setting_showemaildefault_desc'] = 'With this setting, you control the default value of the "Show e-mail addresses" module instance setting.<br />This setting will only be processed, if the "Enable showing e-mail addresses" is enabled.';
$string['setting_showemailenable'] = 'Enable showing e-mail addresses';
$string['setting_showemailenable_desc'] = 'With this setting, you control if showing e-mail addresses can be enabled within a module instance or not.';
$string['setting_showgroupsdefault'] = 'Show groups';
$string['setting_showgroupsdefault_desc'] = 'With this setting, you control the default value of the "Show groups" module instance setting.';
$string['setting_showphonedefault'] = 'Show phone numbers';
$string['setting_showphonedefault_desc'] = 'With this setting, you control the default value of the "Show phone numbers" module instance setting.<br />This setting will only be processed, if the "Enable showing phone numbers" is enabled.';
$string['setting_showphoneenable'] = 'Enable showing phone numbers';
$string['setting_showphoneenable_desc'] = 'With this setting, you control if showing phone numbers can be enabled within a module instance or not.';
$string['showdeptinst'] = 'Show department and institution';
$string['showdesc'] = 'Show description';
$string['showemail'] = 'Show e-mail addresses';
$string['showemail:allgroups'] = 'For all groups';
$string['showemail:no'] = 'No, only internal messages';
$string['showemail:owngroup'] = 'Only for own group';
$string['showfield:allgroups'] = 'For all groups';
$string['showfield:no'] = 'No';
$string['showfield:owngroup'] = 'Only for own group';
$string['showgroups'] = 'Show groups';
$string['showgroups:all'] = 'All groups of grouping';
$string['showgroups:own'] = 'Only own group';
$string['showphone'] = 'Show phone numbers';
$string['user:contact'] = 'Contact';
$string['user:deptinst'] = 'Department & Institution';
$string['user:desc'] = 'Description';
$string['user:descsummary'] = '{$a}\'s Description';
$string['user:fullname'] = 'First name / Surname';
$string['user:phone'] = 'Phone';
