<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'journal', language 'en', version '4.0'.
 *
 * @package     journal
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessdenied'] = 'Access denied';
$string['alwaysopen'] = 'Always open';
$string['blankentry'] = 'Blank entry';
$string['couldnotupdatejournal'] = 'Could not update your journal';
$string['countnotinsertjournalentry'] = 'Could not insert a new journal entry';
$string['crontask'] = 'Background processing for journal module';
$string['dateasc'] = 'Date Ascending';
$string['datedesc'] = 'Date Descending';
$string['daysavailable'] = 'Days available';
$string['deadline'] = 'Days Open';
$string['editingended'] = 'Editing period has ended';
$string['editingends'] = 'Editing period ends';
$string['entries'] = 'Entries';
$string['entry'] = 'Entry';
$string['evententriesviewed'] = 'Journal entries viewed';
$string['evententrycreated'] = 'Journal entry created';
$string['evententryupdated'] = 'Journal entry updated';
$string['eventfeedbackupdated'] = 'Journal feedback updated';
$string['eventjournalcreated'] = 'Journal created';
$string['eventjournaldeleted'] = 'Journal deleted';
$string['eventjournalviewed'] = 'Journal viewed';
$string['failedupdate'] = 'Failed to update the journal feedback for {$a}';
$string['feedbackupdated'] = 'Feedback updated for {$a} entries';
$string['feedbackupdatedforuser'] = 'Feedback updated for {$a}';
$string['firstnameasc'] = 'Firstname Ascending';
$string['firstnamedesc'] = 'Firstname Descending';
$string['gradeingradebook'] = 'Current grade in gradebook';
$string['incorrectcmid'] = 'Course module ID is incorrect';
$string['incorrectcourseid'] = 'Course ID is incorrect';
$string['incorrectcoursesectionid'] = 'Selected course section is incorrect';
$string['incorrectjournalentry'] = 'Selected journal entry is incorrect';
$string['incorrectjournalid'] = 'Selected journal ID is incorrect';
$string['incorrectuserid'] = 'Selected user ID is incorrect';
$string['journal:addentries'] = 'Add journal entries';
$string['journal:addinstance'] = 'Add a new journal';
$string['journal:manageentries'] = 'Manage journal entries';
$string['journalmail'] = '{$a->teacher} has posted some feedback on your
journal entry for \'{$a->journal}\'

You can see it appended to your journal entry:

    {$a->url}';
$string['journalmailhtml'] = '{$a->teacher} has posted some feedback on your
journal entry for \'<i>{$a->journal}</i>\'<br /><br />
You can see it appended to your <a href="{$a->url}">journal entry</a>.';
$string['journalname'] = 'Journal name';
$string['journalquestion'] = 'Journal question';
$string['lastnameasc'] = 'Lastname Ascending';
$string['lastnamedesc'] = 'Lastname Descending';
$string['mailsubject'] = 'Journal feedback';
$string['modulename'] = 'Journal';
$string['modulename_help'] = 'The journal activity enables teachers to obtain students feedback
 about a specific topic';
$string['modulename_link'] = 'mod/journal/view';
$string['modulenameplural'] = 'Journals';
$string['needsregrade'] = 'Entry has changed since last feedback was saved.';
$string['newjournalentries'] = 'New journal entries';
$string['nodatachanged'] = 'No data was changed.';
$string['nodeadline'] = 'Always open';
$string['noentriesmanagers'] = 'There are no teachers';
$string['noentry'] = 'No entry';
$string['noratinggiven'] = 'No rating given';
$string['notopenuntil'] = 'This journal won\'t be open until';
$string['notstarted'] = 'You have not started this journal yet';
$string['overallrating'] = 'Overall rating';
$string['pluginadministration'] = 'Journal module administration';
$string['pluginname'] = 'Journal';
$string['privacy:metadata:journal_entries'] = 'A record of journal entry';
$string['privacy:metadata:journal_entries:entrycomment'] = 'The comment received by user to journal';
$string['privacy:metadata:journal_entries:modified'] = 'The start time of the journal entries.';
$string['privacy:metadata:journal_entries:rating'] = 'The rating received by user to journl';
$string['privacy:metadata:journal_entries:text'] = 'The text written by user';
$string['privacy:metadata:journal_entries:userid'] = 'The ID of the user';
$string['rate'] = 'Rate';
$string['removeentries'] = 'Remove all entries';
$string['removemessages'] = 'Remove all Journal entries';
$string['saveallfeedback'] = 'Save all my feedback';
$string['savefeedback'] = 'Save feedback';
$string['search:activity'] = 'Journal - activity information';
$string['search:entry'] = 'Journal - entries';
$string['showoverview'] = 'Show journals overview on my moodle';
$string['showrecentactivity'] = 'Show recent activity';
$string['startoredit'] = 'Start or edit my journal entry';
$string['userswhocompletedthejournal'] = 'Users who completed the journal';
$string['userswhodidnotcompletedthejournal'] = 'Users who have not completed the journal';
$string['viewallentries'] = 'View {$a} journal entries';
$string['viewentries'] = 'View entries';
