<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'labelwithgroup', language 'en', version '4.0'.
 *
 * @package     labelwithgroup
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['buttonaddslide'] = 'Add slide (Max: 25)';
$string['configdndmedia'] = 'Offer to create a label with group when media files are dragged & dropped onto a course';
$string['configdndresizeheight'] = 'When a label with group is created from a dragged & dropped image, resize it if it is higher than this many pixels (0 for no resize)';
$string['configdndresizewidth'] = 'When a label with group is created from a dragged & dropped image, resize it if it is wider than this many pixels (0 for no resize)';
$string['content'] = 'Content';
$string['dndmedia'] = 'Media drag and drop';
$string['dndresizeheight'] = 'Resize drag and drop height';
$string['dndresizewidth'] = 'Resize drag and drop width';
$string['dnduploadlabelwithgroup'] = 'Add media to course page';
$string['dnduploadlabelwithgrouptext'] = 'Add a label with group to the course page';
$string['indicator:cognitivedepth'] = 'Label with group cognitive';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the student in a Label with resource.';
$string['indicator:cognitivedepthdef'] = 'Label with group cognitive';
$string['indicator:cognitivedepthdef_help'] = 'The participant has reached this percentage of the cognitive engagement offered by the Label with group resources during this analysis interval (Levels = No view, View)';
$string['indicator:cognitivedepthdef_link'] = 'Learning_analytics_indicators#Cognitive_depth';
$string['indicator:socialbreadth'] = 'Label with group social';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the student in a Label with group resource.';
$string['indicator:socialbreadthdef'] = 'Label with group social';
$string['indicator:socialbreadthdef_help'] = 'The participant has reached this percentage of the social engagement offered by the Label with group resources during this analysis interval (Levels = No participation, Participant alone)';
$string['indicator:socialbreadthdef_link'] = 'Learning_analytics_indicators#Social_breadth';
$string['labelwithgroup:addinstance'] = 'Add a new label with group';
$string['labelwithgroup:view'] = 'View label with group';
$string['labelwithgrouptext'] = 'Label with group text';
$string['modulename'] = 'Label with group';
$string['modulename_help'] = 'The label with group module enables text and multimedia to be inserted into the course page in between links to other resources and activities. Labels are very versatile and can help to improve the appearance of a course if used thoughtfully.

Labels may be used

* To split up a long list of activities with a subheading or an image
* To display an embedded sound file or video directly on the course page
* To add a short description to a course section';
$string['modulename_link'] = 'mod/labelwithgroup/view';
$string['modulenameplural'] = 'Label with groups';
$string['pluginadministration'] = 'Label with group administration';
$string['pluginname'] = 'Label with group';
$string['privacy:metadata'] = 'The Label with group resource plugin does not store any personal data.';
$string['search:activity'] = 'Labelwithgroup';
$string['template'] = 'Template';
$string['templatecollapse'] = 'Collapse template';
$string['templatecollapseslide'] = 'Collapse with slide template';
$string['templatenone'] = 'Without a template';
$string['templateslide'] = 'Slide template';
$string['title'] = 'Title';
