<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_annoto', language 'en', version '4.0'.
 *
 * @package     local_annoto
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['acl'] = 'ACL';
$string['acldesc'] = 'List of allowed URLs or course IDs (please, provide one per line)';
$string['aclheading'] = 'Annoto ACL and application scope';
$string['addingdashboard'] = 'Add to all the courses';
$string['addingdashboard_desc'] = 'If enabled, Annoto dashboard will be automatically added to all the courses. If disabled the Annoto dashboard can be added manually from the “+ Add an activity or resource” on the desired course';
$string['annoto:managementdashboard'] = 'Access Annoto dashboard';
$string['annoto:moderatediscussion'] = 'Moderate discussions in Annoto';
$string['annoto_dashboard_description'] = 'The Annoto Dashboard was designed in order to shed light upon learners\' video consumption and behavior within Annoto in-video collaboration widget, providing you with analytics and insights regarding their activity in the course.';
$string['appsetingsheading'] = 'Annoto settings';
$string['appuxheading'] = 'Annoto UX Preferences';
$string['appuxheadingwistia'] = 'UX Wistia player preferences';
$string['clientid'] = 'API key';
$string['clientiddesc'] = 'ClientID is provided by Annoto (keep in secret)';
$string['cta'] = 'Call to action';
$string['ctadesc'] = 'Toggle this if you want to use call to actions';
$string['custom'] = 'Custom';
$string['customdomain'] = 'Custom deployment domain';
$string['customdomaindesc'] = 'Specify a custom deployment domain. Please note that the widget data is bound to a specific region.';
$string['defaultheight'] = 'Media height';
$string['defaultheightdesc'] = 'Media player height if a height is not specified and the actual media file height cannot be determined by the player';
$string['defaultwidth'] = 'Media width';
$string['defaultwidthdesc'] = 'Media player width if a width is not specified and the actual media file width cannot be determined by the player';
$string['demomode'] = 'Demo';
$string['demomodedesc'] = 'Toggle this if you don\'t have API key and SSO secret (discussions will not be saved in demo mode)';
$string['deploymentdomain'] = 'Deployment domain';
$string['deploymentdomaindesc'] = 'Provide the region for the widgets. Please note that the widget data is bound to a specific region.';
$string['discussionscope'] = 'Discussions scope';
$string['discussionscopedesc'] = 'Choose scope of Annoto discussions: private per course (default) or site wide (if same video is used in multiple courses the discussion will be pulic across courses)';
$string['discussionscopeprivate'] = 'Private per course';
$string['discussionscopesitewide'] = 'Site wide';
$string['eurregion'] = 'EU region';
$string['externaltoolsettings'] = 'Annoto dashboard (LTI)';
$string['filtername'] = 'Annoto';
$string['locale'] = 'Locale';
$string['locale_desc'] = 'If enable will set per page and course based on Course and User preferences';
$string['localeauto'] = 'Auto detect';
$string['localedesc'] = 'Choose language (Auto will set per page and course based on Course and User preferences)';
$string['localeen'] = 'English';
$string['localehe'] = 'Hebrew';
$string['lti_activity_name'] = 'Annoto Dashboard';
$string['managementdashboard'] = 'Dashboard manager roles';
$string['managementdashboard_desc'] = 'Specify who is allowed to access Annoto dashboard';
$string['media_player_setting'] = 'Media Player Setting';
$string['mediasettingsoverride'] = 'Override Moodle media settings';
$string['mediasettingsoverridedesc'] = 'Enable overriding the Moodle Media Player settings';
$string['moderatorroles'] = 'Moderator roles';
$string['moderatorrolesdesc'] = 'Specify who is allowed to moderate discussions (only roles that at least include the following capabilities are available: local/annoto:moderatediscussion).';
$string['openonload'] = 'Widget state';
$string['openonloaddesc'] = 'Load widget state on first boot. By default the widget is loaded opened';
$string['overlayauto'] = 'Auto';
$string['overlayinner'] = 'On top of player';
$string['overlayouter'] = 'Next to player';
$string['pluginname'] = 'Annoto';
$string['positionbottomleft'] = 'Bottom left';
$string['positionbottomright'] = 'Bottom right';
$string['positionleft'] = 'Left';
$string['positionright'] = 'Right';
$string['positiontopleft'] = 'Top left';
$string['positiontopright'] = 'Top right';
$string['privacy:metadata:annoto'] = 'In order to integrate with a remote service, user data needs to be exchanged with that service.';
$string['privacy:metadata:annoto:email'] = 'Your e-mail name is sent to the remote system to allow a better user experience.';
$string['privacy:metadata:annoto:fullname'] = 'Your full name is sent to the remote system to allow a better user experience.';
$string['privacy:metadata:annoto:userid'] = 'The userid is sent from Moodle to allow you to access your data on the remote system.';
$string['scope'] = 'All site scope';
$string['scopedesc'] = 'Choose where you want to allow Annoto plugin: check - all site, uncheck - allow only for ACL list and for allowed pages using Annoto Atto plugin';
$string['scripturl'] = 'Annoto\'s script URL';
$string['scripturldesc'] = 'Provide Annoto\'s script URL here';
$string['setupheading'] = 'Annoto setup';
$string['sidepanelfullscreen'] = 'Wistia widget full screen';
$string['sidepanelfullscreendesc'] = 'If enabled, Annoto widget side panel layout will work in player fullscreen as well.';
$string['sidepanellayout'] = 'Wistia widget layout';
$string['sidepanellayoutdesc'] = 'If enabled, Annoto widget will be positioned on the side of the player instead od overlay.';
$string['ssosecret'] = 'SSO secret';
$string['ssosecretdesc'] = 'SSO secret is provided by Annoto (keep in secret)';
$string['tabs'] = 'Tabs';
$string['tabsdesc'] = 'Enables widget tabs for quickly toggling between comments and private notes';
$string['tooliconurl'] = 'Icon';
$string['tooliconurldesc'] = 'External tool icon';
$string['toolname'] = 'Name';
$string['toolnamedesc'] = 'External tool name';
$string['toolurl'] = 'URL';
$string['toolurldesc'] = 'External tool URL';
$string['usregion'] = 'US region';
$string['widgetoverlay'] = 'Overlay mode';
$string['widgetoverlaydesc'] = 'Chose the mode of widget overlay. Can be on top (inside) of player or outside of player. Auto will select the mode based on player type';
$string['widgetposition'] = 'Widget position';
$string['widgetpositiondesc'] = 'Where to place the Discussion widget relative to the player';
$string['zindex'] = 'Stack order';
$string['zindexdesc'] = 'Choose the overlay stacking order (z-index) of the discussion widget';
