<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_learningtools', language 'en', version '4.0'.
 *
 * @package     local_learningtools
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activities'] = 'activities';
$string['addbookmark'] = 'Add bookmark';
$string['after'] = 'After';
$string['allactiviies'] = 'All Activities';
$string['allcourses'] = 'All Courses';
$string['alredyenrolled'] = 'User was already enrolled';
$string['alwaysactive'] = 'Always show active tools';
$string['attachments'] = 'Attachments';
$string['baseformat'] = '%B %d, %Y, %I:%M %p';
$string['bookicon'] = 'Icon';
$string['bookmarkinfo'] = 'Bookmarks Info';
$string['bookmarks'] = 'Bookmarks';
$string['bookmarkstoolcategory'] = 'Tool Bookmarks';
$string['bookmarksusermenu'] = 'Display Bookmarks tool in user menu';
$string['bookmarksusermenu_help'] = 'bookmarks,local_learningtools|/local/learningtools/ltool/bookmarks/list.php';
$string['cancel'] = 'Cancel';
$string['cmpdate'] = 'Completion date';
$string['completeactivity'] = 'Complete activity';
$string['courseactivity'] = 'Course activity';
$string['coursebookmarks'] = 'Course Bookmarks';
$string['coursecompdate'] = 'Course completion date';
$string['coursecss'] = 'Implement Course Css';
$string['coursecustomstyle'] = 'Custom styles for {$a->name} {$a->help}';
$string['courseduedate'] = 'Course due date';
$string['courseinfo'] = 'Course Information';
$string['coursenotes'] = 'Course Notes';
$string['courseparticipants'] = 'Course Participants';
$string['courseprogress'] = 'Course progress';
$string['createnote'] = 'Create note';
$string['css'] = 'Css';
$string['customstyles'] = 'Custom styles';
$string['date'] = 'Date';
$string['days'] = 'Days';
$string['delete'] = 'Delete';
$string['deletednotmessage'] = 'Could not delete Note!';
$string['deletemessage'] = 'Delete Message';
$string['deletemsgcheckfull'] = 'Are you absolutely sure you want to completely delete the Note, including their Note and data?';
$string['deletemsgcheckfullbookmarks'] = 'Are you absolutely sure you want to completely delete the Bookmarks, including their Bookmarks and data?';
$string['disablemodules'] = 'Select Disable activities to hide Learning Tools';
$string['donotcreateusers'] = 'Do not create users';
$string['donotresumecourse'] = 'You don\'t have any pages to resume';
$string['duedate'] = 'Due date';
$string['editnote'] = 'Edit Note';
$string['email'] = 'Email';
$string['enablecompletiontrackmsg'] = 'Turn on completion tracking to use Time Management.';
$string['enabledisablemodules'] = 'Enable Learning Tools to hide activities';
$string['enrolldurationstr'] = 'Enrollment duration';
$string['enrolled'] = 'Enrolled successfully';
$string['enrolluserscourse'] = 'Please enroll at least one user to use Time Management.';
$string['eventltbookmarkscreated'] = 'Learning Tools bookmarks created';
$string['eventltbookmarksdeleted'] = 'Learning Tools bookmarks deleted';
$string['eventltbookmarksviewed'] = 'Learning Tools bookmarks viewed';
$string['eventltnotecreated'] = 'Learning Tools notes created';
$string['eventltnotedeleted'] = 'Learning Tools notes deleted';
$string['eventltnoteedited'] = 'Learning Tools notes edited';
$string['eventltnoteviewed'] = 'Learning Tools notes viewed';
$string['everywhere'] = 'Everywhere';
$string['expectdueon'] = 'should be completed';
$string['expectstarton'] = 'should be started';
$string['exuserenrollment'] = 'example user enrollment';
$string['fabbuttonvisible_desc'] = 'You can decide where the Learning Tools shall be available.';
$string['fabiconbackcolor'] = 'Learning Tools icon background color';
$string['fabiconcolor'] = 'Learning Tools icon color';
$string['focus'] = 'Focus';
$string['focusmode'] = 'Focus mode';
$string['focusmodecss'] = 'Customize Focus Mode';
$string['forceactivity'] = 'Force activity';
$string['general'] = 'General';
$string['gotocourse'] = 'Go to course';
$string['hours'] = 'Hours';
$string['iconbackcolor'] = '{$a} icon background color';
$string['iconcolor'] = '{$a} icon color';
$string['information'] = 'Information';
$string['invaildemail'] = 'User email not exists';
$string['invaildemailadderss'] = 'Email adderss should be wrong';
$string['invite'] = 'Invite';
$string['invite_maunalenrolerr'] = 'Manual enrolments are not available in this course.';
$string['invitenow'] = 'Invite Now';
$string['inviteusers'] = 'Invite Users';
$string['inviteusers_help'] = 'Please add one e-mail per line.';
$string['inviteuserslist'] = 'Invite users reports';
$string['learningtoolproducts'] = 'Learning Tools Products';
$string['learningtools'] = 'Learning Tools';
$string['learningtools:studentcontroller'] = 'Learning Tools student controller.';
$string['learningtoolsltool'] = 'Manage Learning Tools';
$string['learningtoolssettings'] = 'General settings';
$string['listemailreports'] = 'Email send reports';
$string['ltbookmarks:manageltbookmarks'] = 'User access the ltbookmarks tool.';
$string['ltnote:manageltnote'] = 'User access the ltnote tool';
$string['ltoolsettings'] = '{$a} settings';
$string['ltoolsusermenu'] = 'Display Learning Tools in usermenu bar';
$string['ltoolusermenu_help'] = 'List of menus available to display in the user menu. copy and paste the  below given menu tools path in user menu items. Go to the Appearence->Themes->Theme settings in user menu items.';
$string['managebookmarks'] = 'Manage bookmarks access the users';
$string['managedates'] = 'Manage dates';
$string['managenote'] = 'Manage note access the users';
$string['managetimemanagment'] = 'Manage dates reports';
$string['message'] = 'Message';
$string['messageerr'] = 'Missing Message';
$string['months'] = 'Months';
$string['msgemailsent'] = 'Successfully sent the mail to users';
$string['newnote'] = 'Take notes';
$string['noactivity'] = 'No force activiy';
$string['none'] = 'None';
$string['note'] = 'Notes';
$string['notes'] = 'Notes';
$string['notesusermenu'] = 'Display Notes tool in user menu';
$string['notesusermenu_help'] = 'notes,local_learningtools|/local/learningtools/ltool/note/list.php';
$string['notificationdisapperdesc'] = 'Use this option to set the notification disapper time between each Learning Tools save the notification. Value is in milliseconds (i.e 1 second = 1000 milliseconds)';
$string['notificationdisappertitle'] = 'Notification disapper';
$string['open'] = 'Open';
$string['pagenotes'] = 'Page notes';
$string['parsecustomstyles'] = 'Use this field to provide CSS code which will be injected at
the end of the style sheet for all pages in the current course.';
$string['parsecustomstyles_help'] = 'Use this field to provide CSS code which will be injected at
the end of the style sheet for all pages in the current course.';
$string['pluginname'] = 'Learning Tools';
$string['popout'] = 'Pop Out';
$string['print'] = 'Print';
$string['privacy:metadata'] = 'Learning tools parent plugin don\'t store any user-related data, The learning tool sub plugins are stores the users data individually.';
$string['products'] = 'Products';
$string['progress'] = 'Progress';
$string['receivedusers'] = 'Received Users';
$string['receivegrade'] = 'Receive grade';
$string['recipients'] = 'Recipients';
$string['recipientserr'] = 'Missing Recipient';
$string['registerandenrolled'] = 'User was registered and enrolled successfully';
$string['removebookmarkmessage'] = 'This page bookmark removed and you can view the bookmarks under profile / learning tools / bookmarks.';
$string['resume'] = 'Resume';
$string['resumecourse'] = 'Resume course';
$string['review'] = 'Review';
$string['saveandgen'] = 'Save and generate calendar entries';
$string['schedule'] = 'Schedule';
$string['sendmessage'] = 'Send message';
$string['sentemailparticipants'] = 'Send the email to course participants';
$string['sentemailuserslist'] = 'Sent the email to users list';
$string['sortbyactivity'] = 'Sort by Activity';
$string['sortbycourse'] = 'Sort by course';
$string['sortbydate'] = 'Sort by date';
$string['specificcate'] = 'Specific Categories';
$string['startdate'] = 'Start date';
$string['sticky'] = 'Sticky';
$string['strftimemonthdateyear'] = '%B, %dth %Y';
$string['strftimemonthnamedate'] = '%B %d, %Y';
$string['strftimeyearmonth'] = '%Y/%m/%d';
$string['subject'] = 'Subject';
$string['subjecterr'] = 'Missing Subject';
$string['successbookmarkmessage'] = 'This page bookmarked successfully and you can view the bookmarks under profile / learning tools / bookmarks.';
$string['successdeletemessage'] = 'Successfully deleted';
$string['successeditnote'] = 'Successfully edited';
$string['successforceactivityusers'] = 'Successfully added the force activity in the course';
$string['successinviteusers'] = 'Invite users successfully.';
$string['successnotemessage'] = 'Notes added successfully and you can view the note under profile / learning tools / note.';
$string['successtoolschedule'] = 'Schedule added the user calendar';
$string['suspended'] = 'User was suspended';
$string['time'] = 'Time';
$string['timeaccess'] = 'Time access';
$string['timemanagement'] = 'Time management';
$string['timemanagementheader'] = 'Time management for {$a->name}';
$string['today'] = 'Today';
$string['topic'] = 'Topic {$a}';
$string['uponenroll'] = 'Upon enrollment';
$string['usersemail'] = 'Users Email';
$string['view'] = 'View Bookmarks';
$string['viewactivity'] = 'View Activity';
$string['viewbookmarks'] = 'View Bookmarks';
$string['viewchildbookmarks'] = 'View Child Bookmarks';
$string['viewcourse'] = 'View course';
$string['viewownbookmarks'] = 'View Own Bookmarks';
$string['viewpage'] = 'View Page';
$string['viewprofile'] = 'View profile';
$string['viewreports'] = 'View reports';
$string['visiblecategories'] = 'Select Visible Categories';
$string['visiblelearningtools'] = 'Visibility of Learning Tools';
$string['visitpage'] = 'Visit page';
$string['years'] = 'Years';
