<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'local_qtracker', language 'en', version '4.0'.
 *
 * @package     local_qtracker
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['allissues'] = 'All issues';
$string['blockstring'] = 'Block string';
$string['cannotcreateissue'] = 'Cannot create a new question issue.';
$string['cannotdeleteissue'] = 'Cannot delete question issue with ID {$a}.';
$string['cannoteditissue'] = 'Cannot edit question issue with ID {$a}.';
$string['cannotgetissue'] = 'Cannot get question issue with ID {$a}.';
$string['cannotgetissues'] = 'Cannot get question issues.';
$string['cannotgetquestion'] = 'Cannot get question with ID {$a}.';
$string['closed'] = 'Closed';
$string['closeissue'] = 'Comment and close issue';
$string['comment'] = 'Comment';
$string['commentanddm'] = 'Comment and dm issue to creator';
$string['commentandmail'] = 'Comment and forward mail to issue creator';
$string['commentedon'] = 'commented on';
$string['comments'] = 'Comments';
$string['confirm'] = 'Confirm';
$string['confirmdeletecomment'] = 'Are you sure you want to delete this comment?';
$string['confirmsendcomment'] = 'Are you sure you want to notify the issue reporter about this comment?';
$string['createnewissue'] = 'Create new issue';
$string['deletecomment'] = 'Delete comment';
$string['descconfig'] = 'Description of the config section';
$string['descfoo'] = 'Config description';
$string['description'] = 'Description';
$string['edit'] = 'Edit';
$string['errornonexistingquestion'] = 'Please provide an valid question ID.';
$string['errorsubsumingissue'] = 'An error occurred trying to subsume issue {$a}. The issue is probably superseded by another issue.';
$string['headerconfig'] = 'Config section header';
$string['id'] = 'ID';
$string['issue'] = 'Issue';
$string['issuecreated'] = 'Issue successfully created.';
$string['issuedeleted'] = 'Issue successfully deleted.';
$string['issues'] = 'Issues';
$string['issuesubject'] = 'some subject';
$string['issuesuperseded'] = 'Issue is superseded by {$a}.';
$string['issueupdated'] = 'Issue successfully updated.';
$string['issueupdatednotify'] = 'Issue "{$a}" is updated';
$string['labelfoo'] = 'Config label';
$string['leavecomment'] = 'Leave a comment';
$string['linkedissues'] = 'Linked issues';
$string['messageprovider:issueresponse'] = 'Response on reported question issues';
$string['name'] = 'Name';
$string['new'] = 'New';
$string['newissue'] = 'New issue';
$string['newissue_questionid'] = 'Question ID';
$string['newissue_questionid_help'] = 'Please select the id for the question you want to register a new issue for. This can be found in the URL of the question page.';
$string['noitems'] = 'No items';
$string['open'] = 'Open';
$string['openedissueon'] = 'opened issue {$a} on';
$string['pluginname'] = 'Question Tracker';
$string['preview'] = 'Preview';
$string['privacy:metadata:local_qtracker_comment'] = 'Details about each question issue comment.';
$string['privacy:metadata:local_qtracker_comment:description'] = 'The description of the issue comment.';
$string['privacy:metadata:local_qtracker_comment:timecreated'] = 'The time the issue comment was created.';
$string['privacy:metadata:local_qtracker_comment:userid'] = 'The user that created the issue comment.';
$string['privacy:metadata:local_qtracker_issue'] = 'Details about each question issue.';
$string['privacy:metadata:local_qtracker_issue:description'] = 'The description of the issue.';
$string['privacy:metadata:local_qtracker_issue:timecreated'] = 'The time the issue was created.';
$string['privacy:metadata:local_qtracker_issue:title'] = 'The title of the issue.';
$string['privacy:metadata:local_qtracker_issue:userid'] = 'The user that created the issue.';
$string['qtracker'] = 'Question Tracker';
$string['qtracker:addinstance'] = 'Add a new Question Tracker block';
$string['qtracker:addissue'] = 'Add new issue';
$string['qtracker:editall'] = 'Edit all issues';
$string['qtracker:editmine'] = 'Edit your own issues';
$string['qtracker:myaddinstance'] = 'Add a new Question Tracker block to the My Moodle page';
$string['qtracker:viewall'] = 'View all issues';
$string['qtracker:viewmine'] = 'Edit your own issues';
$string['question'] = 'Question';
$string['question_help'] = 'Select the question you want to register a new issue for.';
$string['question_problem_details'] = 'If you have feedback for this question, please type it below.';
$string['questionid'] = 'Question ID';
$string['questionissues'] = 'Question issues';
$string['reopenissue'] = 'Reopen issue';
$string['sendcomment'] = 'Notify issue reporter';
$string['sendmessage'] = 'Notify issue reporter';
$string['submitnewissue'] = 'Submit new issue';
$string['subsumedescription'] = 'Subsume issues under this issue';
$string['subsumedissues'] = 'Subsumed issues';
$string['subsumeissue'] = 'Subsume issue';
$string['subsumeissueconfirm'] = 'Are you sure you want to subsume issue <b>#{$a->child}</b> under <b>#{$a->parent}</b>?<br>This will close issue <b>#{$a->child}</b>.';
$string['tags'] = 'Tags';
$string['tagsdescription'] = 'Add tags for this issue';
$string['timecreated'] = 'Created Time';
$string['title'] = 'Title';
$string['unknownqubaidnumber'] = 'Unknown question usage ID "{$a}"';
$string['unknownquestionidnumber'] = 'Unknown question ID "{$a}"';
$string['validdescription'] = 'Please provide a valid description.';
$string['validtitle'] = 'Please provide a valid title.';
