<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'minilesson', language 'en', version '4.0'.
 *
 * @package     minilesson
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action'] = 'Action';
$string['actions'] = 'Actions';
$string['activitydate:submissionsdue'] = 'Due:';
$string['activitydate:submissionsopen'] = 'Opens:';
$string['activitydate:submissionsopened'] = 'Opened:';
$string['activityisclosed'] = 'This activity is closed.';
$string['activityisnotopenyet'] = 'This activity is not open yet.';
$string['activitylink'] = 'Link to next activity';
$string['activitylink_help'] = 'To provide a link after the attempt to another activity in the course, select the activity from the dropdown list.';
$string['activitylinkname'] = 'Continue to next activity: {$a}';
$string['activityname'] = 'Lesson Name.';
$string['activityopenscloses'] = 'Activity open/close dates';
$string['adddictationchatitem'] = 'Dictation Chat';
$string['adddictationitem'] = 'Dictation';
$string['addiframe'] = 'Add iFrame';
$string['addingitem'] = 'Adding a new lesson item';
$string['additems'] = 'Add Items';
$string['addlistenrepeatitem'] = 'Listen and Speak';
$string['addmedia'] = 'Add Media';
$string['addmultiaudioitem'] = 'MC Audio';
$string['addmultichoiceitem'] = 'Multi Choice';
$string['addnewitem'] = 'Add a new lesson item';
$string['addpageitem'] = 'Content Page';
$string['addshortansweritem'] = 'Short Answer';
$string['addsmartframeitem'] = 'SmartFrame';
$string['addspeechcardsitem'] = 'Speech Cards';
$string['addtextarea'] = 'Add Text Block';
$string['addttsaudio'] = 'Add TTS Audio';
$string['addttsdialog'] = 'Add TTS Dialog';
$string['addyoutubeclip'] = 'Add YouTube Clip';
$string['adjustedgrade_p'] = 'Adj. Grade(%)';
$string['advanced'] = 'Advanced';
$string['alternatives'] = 'Alternatives';
$string['alternatives_descr'] = 'Specify matching options for specific passage words. 1 word set per line. e.g their|there|they\'re See <a href="https://support.poodll.com/support/solutions/articles/19000096937-tuning-your-read-aloud-activity">docs</a> for more details.';
$string['anim_fancy'] = 'Fancy animation';
$string['anim_plain'] = 'Plain animation';
$string['animations'] = 'Animations';
$string['animations_details'] = 'Transitions between item subtypes are animated. If fancy animation causes trouble, choose plain.';
$string['answer'] = 'Answer';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Poodll MiniLesson is authorised for this site.';
$string['appnotauthorised'] = 'Poodll MiniLesson is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['attemptresultsheading'] = '{$a->username}: Attempt({$a->attemptid}): Score: {$a->sessionscore}% : - {$a->date}';
$string['attemptsheading'] = 'Attempts Report';
$string['attemptsperpage'] = 'Attempts to show per page:';
$string['attemptsreport'] = 'Attempts Report';
$string['attemptsreport_explanation'] = 'A list of attempts';
$string['audioitemfile'] = 'item Audio(MP3)';
$string['autoplay'] = 'Autoplay';
$string['avgcorrect'] = 'Av. Correct';
$string['avgtotaltime'] = 'Av. Duration';
$string['awsregion'] = 'AWS Region';
$string['backtotop'] = 'Back to Course Page';
$string['bahrain'] = 'Bahrain';
$string['basicheading'] = 'Basic Report';
$string['basicreport'] = 'Basic Report';
$string['basicreport_explanation'] = 'A Basic Report';
$string['capetown'] = 'Capetown, South Africa';
$string['check'] = 'Check';
$string['chooselayout'] = 'Choose layout';
$string['choosemultiaudiovoice'] = 'Choose the answer reader\'s voice';
$string['choosevoice'] = 'Choose the prompt speaker\'s voice';
$string['choosevoiceoption'] = 'TTS prompt options';
$string['confirmattemptdelete'] = 'Are you sure you want to <i>DELETE</i> this attempt?';
$string['confirmattemptdeleteall'] = 'Are you sure you want to <i>DELETE ALL</i> attempts?';
$string['confirmattemptdeletealltitle'] = 'Really Delete ALL Attempts?';
$string['confirmattemptdeletetitle'] = 'Really Delete Attempt?';
$string['confirmchoice'] = 'Next <i class=\'fa fa-arrow-right\'></i>';
$string['confirmchoice_formlabel'] = 'Must attempt (no skip)';
$string['confirmitemdelete'] = 'Are you sure you want to <i>DELETE</i> item? : {$a}';
$string['confirmitemdeletetitle'] = 'Really Delete item?';
$string['containerwidth'] = 'Container width';
$string['containerwidth_details'] = 'Sets the max-width of the minilesson activity container in view mode.';
$string['containerwidth_help'] = 'Sets the max-width of the minilesson activity container in view mode.';
$string['contwidth-compact'] = 'Compact';
$string['contwidth-full'] = 'Full';
$string['contwidth-wide'] = 'Wide';
$string['correct'] = 'Correct';
$string['correctanswer'] = 'Correct answer';
$string['correctcount'] = 'No. of correct items';
$string['correctresponses'] = 'Correct responses';
$string['courseattempts'] = 'Course Attempts';
$string['courseattemptsheading'] = 'Course Attempts Report';
$string['courseattemptsreport'] = 'Course Attempts Report';
$string['courseattemptsreport_explanation'] = 'All minilesson attempts in the course';
$string['createaitem'] = 'Create a lesson item';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['d_question'] = 'Item';
$string['da-dk'] = 'Danish (DK)';
$string['dc_instructions1'] = 'Listen and type the sentences you hear.';
$string['dc_results'] = 'Results';
$string['de-at'] = 'German (AT)';
$string['de-ch'] = 'German (CH)';
$string['de-de'] = 'German (DE)';
$string['deletealluserdata'] = 'Delete all user data';
$string['deleteattemptconfirm'] = 'Are you sure that you want to delete this attempt?';
$string['deletebuttonlabel'] = 'DELETE';
$string['deleteitem'] = 'Delete Item';
$string['deleteitem_message'] = 'Really delete item:&nbsp;';
$string['deletenow'] = '';
$string['dictation'] = 'Dictation';
$string['dictation_instructions1'] = 'Listen and type each sentence that you hear.';
$string['dictationchat'] = 'Dictation Chat';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['dublin'] = 'Dublin, Ireland';
$string['duplicateitem'] = 'Duplicate item';
$string['edit'] = 'Edit';
$string['editingitem'] = 'Editing a lesson item';
$string['edititem'] = 'Edit item';
$string['en-ab'] = 'English (Scotland)';
$string['en-au'] = 'English (Aus.)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-nz'] = 'English (NZ)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['en-za'] = 'English (S.Africa)';
$string['enablesetuptab'] = 'Enable setup tab';
$string['enablesetuptab_details'] = 'Probably don\'t check this. It will show a tab containing the activity instance settings to admins. This is for a special use case and minilesson pages will show without headers,footers or blocks.';
$string['enterresponses'] = 'Enter a list of correct responses in the text area below. Place each response on a new line.';
$string['errorheader'] = 'Error';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['eu-es'] = 'Basque';
$string['exceededattempts'] = 'You have completed the maximum {$a} attempts.';
$string['exportexcel'] = 'Export to CSV';
$string['fa-ir'] = 'Farsi';
$string['fi-fi'] = 'Finnish';
$string['fil-ph'] = 'Filipino';
$string['fillcredentials'] = 'Set API user and secret with existing credentials';
$string['fr-ca'] = 'French (Can.)';
$string['fr-fr'] = 'French (FR)';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['freetrial'] = 'Get Cloud Poodll API Credentials and a Free Trial';
$string['freetrial_desc'] = 'A dialog should appear that allows you to register for a free trial with Poodll. After registering you should login to the members dashboard to get your API user and secret. And to register your site URL.';
$string['grade'] = 'Grade';
$string['grade_p'] = 'Grade(%)';
$string['gradeaverage'] = 'average score of all attempts';
$string['gradehighest'] = 'highest scoring attempt';
$string['gradelatest'] = 'score of latest attempt';
$string['gradelowest'] = 'lowest scoring attempt';
$string['gradenone'] = 'No grade';
$string['gradeoptions'] = 'Grade Options';
$string['gradereport'] = 'Grade Report';
$string['gradereport_explanation'] = 'A list of grades';
$string['gradereportheading'] = 'Grade Report';
$string['grading'] = 'Grades';
$string['gradingbyuserheading'] = 'Grades for all attempts by: {$a}';
$string['gradingheading'] = 'Grades for each user latest attempts.';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi';
$string['hu-hu'] = 'Hungarian';
$string['id'] = 'ID';
$string['id-id'] = 'Indonesian';
$string['ignorepunctuation'] = 'Ignore Punctuation';
$string['incompleteattemptsheading'] = 'Incomplete Attempts Report';
$string['incompleteattemptsreport'] = 'Incomplete Attempts Report';
$string['incompleteattemptsreport_explanation'] = 'A list of incomplete attempts';
$string['incorrectanswer'] = 'Incorrect answer';
$string['it-it'] = 'Italian (IT)';
$string['item'] = 'Item';
$string['itemcontents'] = 'Item Text';
$string['itemcount'] = 'No. of items';
$string['itemiframe'] = 'iFrame embed code';
$string['itemmedia'] = 'Image, audio or video to show';
$string['itemname'] = 'Item Name';
$string['itemorder'] = 'Item Order';
$string['itemscomplete'] = 'Items Complete';
$string['itemsperpage'] = 'Items per page';
$string['itemsperpage_details'] = 'This sets the number of rows to be shown on reports or lists of attempts.';
$string['itemtextarea'] = 'Text Block';
$string['itemtitle'] = 'Item Title';
$string['itemttsquestion'] = 'TTS prompt text';
$string['itemttsquestionvoice'] = 'TTS prompt speaker';
$string['itemtype'] = 'Item Type';
$string['itemytend'] = 'End Secs';
$string['itemytid'] = 'Youtube Video ID';
$string['itemytstart'] = 'Start Secs';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['layoutauto'] = 'Auto';
$string['layouthorizontal'] = 'Horizontal';
$string['layoutmagazine'] = 'Magazine';
$string['layoutvertical'] = 'Vertical';
$string['lessonfont'] = 'Custom font';
$string['lessonfont_help'] = 'A font name that will override site default for this minilesson when displayed. Must be exact in spelling and case. eg Andika or Comic Sans MS';
$string['lessonkey'] = 'Lesson Key';
$string['lessonkey_details'] = 'The lesson key is just a tag that will be exported to csv with some reports to make post processing those reports in a spreadsheet easier. It is fine to leave it empty.';
$string['lessonkey_help'] = 'The lesson key is just a tag that will be exported to csv with some reports to make post processing those reports in a spreadsheet easier.';
$string['letsadditems'] = 'Lets add some lesson items!';
$string['listen'] = 'Listen';
$string['listenandrepeat'] = 'Listen and Speak';
$string['listenandtype'] = 'Listen and Type';
$string['listenorread'] = 'Display options as';
$string['listenorread_listen'] = 'audio players + dots';
$string['listenorread_listenandread'] = 'audio players + plain text';
$string['listenorread_read'] = 'plain text';
$string['listenrepeat'] = 'Listen and Speak';
$string['loading'] = 'Loading...';
$string['london'] = 'London, U.K';
$string['lr_instructions1'] = 'Listen and respond to the sentences you hear.';
$string['managersquestions'] = 'Manage Lesson Items';
$string['maxattempts'] = 'Max. Attempts';
$string['mediaprompts'] = 'Media Prompts';
$string['mingrade'] = 'Minimum Grade';
$string['mingradedetails'] = 'The minimum grade required to "complete" this activity.';
$string['minilesson'] = 'Poodll MiniLesson';
$string['minilesson:addinstance'] = 'Add a new Mini Lesson';
$string['minilesson:canmanageattempts'] = 'Can manage MiniLesson attempts';
$string['minilesson:canpreview'] = 'Can preview MiniLesson activities';
$string['minilesson:evaluate'] = 'Can evaluate student MiniLesson attempts';
$string['minilesson:itemedit'] = 'Edit items';
$string['minilesson:itemview'] = 'View items';
$string['minilesson:manage'] = 'Can manage MiniLesson instances';
$string['minilesson:managequestions'] = 'Can manage lesson items';
$string['minilesson:submit'] = 'Can submit MiniLesson attempts';
$string['minilesson:tts'] = 'Can use Text To Speech(tts)';
$string['minilesson:view'] = 'Preview MiniLesson';
$string['minilessonname'] = 'Poodll MiniLesson';
$string['minilessonname_help'] = 'This is the content of the help tooltip associated with the Mini Lesson name field. Markdown syntax is supported.';
$string['mistakes'] = 'Mistakes';
$string['modulename'] = 'Poodll MiniLesson';
$string['modulename_help'] = 'MiniLesson combines several auto-graded language learning activities into a simple self guided online lesson.';
$string['modulenameplural'] = 'Poodll MiniLessons';
$string['ms-my'] = 'Malay';
$string['multiaudio'] = 'MC Audio';
$string['multichoice'] = 'Multi Choice';
$string['mumbai'] = 'Mumbai, India';
$string['name'] = 'Name';
$string['nb-no'] = 'Norwegian';
$string['newitem'] = 'Item: {$a}';
$string['nextlessonitem'] = 'Next Page';
$string['nl-be'] = 'Dutch (BE)';
$string['nl-nl'] = 'Dutch (NL)';
$string['noapisecret'] = 'No API secret entered. MiniLesson will not work correctly.';
$string['noapiuser'] = 'No API user entered. MiniLesson will not work correctly.';
$string['nocredentials'] = 'API user and secret not entered. Please enter them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['nodataavailable'] = 'No data available';
$string['noitems'] = 'There are no lesson items yet in this activity';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['notimelimit'] = 'No time limit';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['onemin'] = '1 minute';
$string['oneminxsecs'] = '1 minutes {$a} seconds';
$string['open'] = 'Open:';
$string['order'] = 'Order';
$string['ottawa'] = 'Ottawa, Canada';
$string['overview'] = 'Overview';
$string['overview_help'] = 'Overview Help';
$string['page'] = 'Content Page';
$string['pagelayout'] = 'Page layout';
$string['phraseresponses'] = 'Enter a list of items in the text area below. Each item should be a on a new line. The format is:<br> audio prompt | correct response (optional)| text prompt (optional) <br>e.g How are you?|I am fine.';
$string['pl-pl'] = 'Polish';
$string['pluginadministration'] = 'Mini Lesson Administration';
$string['pluginname'] = 'Poodll MiniLesson';
$string['postattemptheader'] = 'Post attempt options';
$string['preview'] = 'Preview';
$string['previewitem'] = 'Preview Item';
$string['privacy:metadata'] = 'The Poodll MiniLesson plugin does store personal data.';
$string['privacy:metadata:attemptid'] = 'The unique identifier of a users MiniLesson attempt.';
$string['privacy:metadata:attempttable'] = 'Stores the scores and other user data associated with a MiniLesson attempt.';
$string['privacy:metadata:cloudpoodllcom'] = 'The MiniLesson plugin stores recordings in AWS S3 buckets via cloud.poodll.com.';
$string['privacy:metadata:cloudpoodllcom:userid'] = 'The MiniLesson plugin includes the moodle userid in the urls of recordings and transcripts';
$string['privacy:metadata:errorcount'] = 'The error count of a users MiniLesson attempt.';
$string['privacy:metadata:fulltranscriptpurpose'] = 'The full transcripts of recordings.';
$string['privacy:metadata:minilessonid'] = 'The unique identifier of a MiniLesson activity instance.';
$string['privacy:metadata:moduleid'] = 'The unique identifier of a MiniLesson activity instance.';
$string['privacy:metadata:sessiondata'] = 'The session data for the attempt';
$string['privacy:metadata:sessionend'] = 'The sessionend for the attempt';
$string['privacy:metadata:sessionscore'] = 'The session score for the attempt';
$string['privacy:metadata:sessiontime'] = 'The session time(recording time) for the attempt';
$string['privacy:metadata:timemodified'] = 'The last time attempt was modified for the attempt';
$string['privacy:metadata:transcriptpurpose'] = 'The recording short transcripts.';
$string['privacy:metadata:userid'] = 'The user id for the MiniLesson attempt';
$string['processing'] = 'Processing';
$string['prompt-richtext'] = 'Rich Text';
$string['prompt-separate'] = 'Text and media separate (recommended)';
$string['prompttype'] = 'Text and Media';
$string['prompttype_help'] = 'Use plain text and separate selectors for adding media files, or a rich text editor';
$string['pt-br'] = 'Portuguese (BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['qnumber'] = 'No.';
$string['questiontext'] = 'Question';
$string['quiz_p'] = 'Quiz(%)';
$string['quizanswers'] = 'Answers';
$string['rawgrade_p'] = 'Grade(%)';
$string['reattempt'] = 'Try Again';
$string['reattemptbody'] = 'If you continue your previous attempt will be replaced with this one. OK?';
$string['reattempttitle'] = 'Really Try Again?';
$string['recordingaiheader'] = 'Recording and AI options';
$string['refreshtoken'] = 'Refresh license information';
$string['regrade'] = 'Regrade';
$string['reports'] = 'Reports';
$string['reportsmenutoptext'] = 'Review grade and attempts details using the report buttons below.';
$string['reportstable'] = 'Reports Style';
$string['reportstable_details'] = 'Ajax tables are faster to use and can sort data. Paged tables load faster but are harder to navigate with.';
$string['reporttableajax'] = 'Ajax Tables';
$string['reporttablepaged'] = 'Paged Tables';
$string['result'] = 'Result';
$string['returntogradinghome'] = 'Return to Grades Top';
$string['returntoreports'] = 'Return to Reports';
$string['review'] = 'Review';
$string['ro-ro'] = 'Romanian';
$string['rsquestions'] = 'Lesson Items';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['saveandnext'] = 'Save .... and next';
$string['saveitem'] = 'Save item';
$string['sc_instructions1'] = 'Read the phrase on each card aloud.';
$string['score'] = 'Score';
$string['sentenceprompts'] = 'Sentences (prompts)';
$string['sentences'] = 'Sentences';
$string['setup'] = 'Setup';
$string['shortanswer'] = 'Short Answer';
$string['showingattempt'] = 'Showing attempt for: {$a}';
$string['showingmachinegradedattempt'] = 'Machine evaluated attempt for: {$a}';
$string['showitemscores'] = 'See All Results';
$string['showoptionsastext'] = 'Show answers as text';
$string['showqtitles'] = 'Show item titles in lesson';
$string['showtextprompt'] = 'Show text prompt';
$string['singapore'] = 'Singapore';
$string['skip'] = 'Skip';
$string['smartframe'] = 'SmartFrame';
$string['speechcards'] = 'Speech Cards';
$string['start'] = 'Start';
$string['studentid'] = 'St. No.';
$string['studentname'] = 'Student Name';
$string['sv-se'] = 'Swedish';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['te-in'] = 'Telugu';
$string['textprompt_dots'] = 'Show dots instead of letters';
$string['textprompt_words'] = 'Show full text';
$string['thatsnotright'] = 'Something is Wrong';
$string['timecreated'] = 'Time Created';
$string['timelimit'] = 'Time Limit';
$string['title'] = 'Title';
$string['tokyo'] = 'Tokyo, Japan';
$string['totalattempts'] = 'Attempts';
$string['totalscore'] = 'Total Score:';
$string['tr-tr'] = 'Turkish';
$string['transcriber'] = 'Transcriber';
$string['transcriber_auto'] = 'Open STT (Strict)';
$string['transcriber_details'] = 'The transcription engine to use';
$string['transcriber_poodll'] = 'Guided STT (Poodll)';
$string['ttsdialog'] = 'TTS Dialog';
$string['ttsdialoginstructions'] = 'Choose the speaker voices for roles A,B and C and enter the dialog. Begin each dialog line with the speaker role + \')\'. e.g A) Hello. Sound effect lines begin with >> e.g >>seagulls';
$string['ttsdialogvisible'] = 'Dialog Visible';
$string['ttsdialogvisible_desc'] = 'Uncheck if the students should not see the dialog text.';
$string['ttsdialogvoicea'] = 'Voice A';
$string['ttsdialogvoiceb'] = 'Voice B';
$string['ttsdialogvoicec'] = 'Voice C';
$string['ttslanguage'] = 'Target/Voice Language';
$string['ttsnormal'] = 'Normal';
$string['ttsslow'] = 'Slow';
$string['ttsssml'] = 'SSML';
$string['ttsveryslow'] = 'Very Slow';
$string['type'] = 'Type';
$string['uk-ua'] = 'Ukranian';
$string['unlimited'] = 'unlimited';
$string['until'] = 'Until:';
$string['useast1'] = 'US East';
$string['username'] = 'User';
$string['view'] = 'View';
$string['viewend'] = 'Activity close';
$string['viewend_help'] = 'If set, prevents a student from entering the activity after the closing date/time.';
$string['viewgrading'] = 'View Grades';
$string['viewreports'] = 'View Reports';
$string['viewstart'] = 'Activity open';
$string['viewstart_help'] = 'If set, prevents a student from entering the activity before the start date/time.';
$string['welcomelabel'] = 'Welcome Message';
$string['welcomelabel_details'] = 'The default text to show in the welcome field when creating a new Mini Lesson activity.';
$string['whatdonow'] = 'Add lesson items to activity:';
$string['xmins'] = '{$a} minutes';
$string['xminsecs'] = '{$a->minutes} minutes {$a->seconds} seconds';
$string['xsecs'] = '{$a} seconds';
$string['ytclipdetails'] = 'Youtube Clip';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
