<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'msteams', language 'en', version '4.0'.
 *
 * @package     msteams
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['clicktoopen'] = 'Click {$a} link to open resource.';
$string['contentheader'] = 'Content';
$string['createurl'] = 'Create a MS Teams Meeting';
$string['externalurl'] = 'MS Teams URL';
$string['indicator:cognitivedepth'] = 'MS Teams cognitive';
$string['indicator:cognitivedepth_help'] = 'This indicator is based on the cognitive depth reached by the student in a MS Teams resource.';
$string['indicator:cognitivedepthdef'] = 'MS Teams cognitive';
$string['indicator:cognitivedepthdef_help'] = 'The participant has reached this percentage of the cognitive engagement offered by the MS Teams resources during this analysis interval (Levels = No view, View)';
$string['indicator:cognitivedepthdef_link'] = 'Learning_analytics_indicators#Cognitive_depth';
$string['indicator:socialbreadth'] = 'MS Teams social';
$string['indicator:socialbreadth_help'] = 'This indicator is based on the social breadth reached by the student in a MS Teams resource.';
$string['indicator:socialbreadthdef'] = 'MS Teams social';
$string['indicator:socialbreadthdef_help'] = 'The participant has reached this percentage of the social engagement offered by the MS Teams resources during this analysis interval (Levels = No participation, Participant alone)';
$string['indicator:socialbreadthdef_link'] = 'Learning_analytics_indicators#Social_breadth';
$string['invalidstoredurl'] = 'Cannot display this resource, the meeting-URL is invalid.';
$string['invalidurl'] = 'Entered MS Teams URL is invalid';
$string['meetingsapplink'] = 'Meetings App URL';
$string['meetingsapplink_desc'] = 'This is URL of meeting app location';
$string['modulename'] = 'MS Teams Meeting';
$string['modulename_help'] = 'The MS Teams module enables a teacher to provide an invitation link to an MS Teams meeting as a course resource.

At least the user creating the meeting requires a Microsoft Account. According to the configuration of the Microsoft O365-Tenant it is possible to invite users, that do not have an own Microsoft Account.';
$string['modulename_link'] = 'mod/msteams/view';
$string['modulenameplural'] = 'MS Teams Meetings';
$string['msteams:addinstance'] = 'Add a new MS Teams meeting';
$string['msteams:view'] = 'Open MS Teams meeting';
$string['page-mod-url-x'] = 'Any MS Teams module page';
$string['pluginadministration'] = 'MS Teams module administration';
$string['pluginname'] = 'MS Teams Meeting';
$string['printintro'] = 'Display MS Teams description';
$string['printintroexplain'] = 'Display MS Teams description below content? Some display types may not display description even if enabled.';
$string['privacy:metadata'] = 'The MS Teams resource plugin does not store any personal data.';
$string['privacy:metadata:msteamsapp'] = 'The MS Teams App is an external tool to connect users to O365.';
$string['privacy:metadata:msteamsapp:userlang'] = 'The users language is sent from Moodle to the MS Teams App';
$string['search:activity'] = 'MS Teams';
$string['serverurl'] = 'MS Teams URL';
$string['url'] = 'Meeting-URL';
$string['url_help'] = 'The Meeting-URL is created by using the embedded tool at the top of the form.';
$string['urlsuccessfullycreated'] = 'Your Meeting-URL was successfully created.';
