<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'observation', language 'en', version '4.0'.
 *
 * @package     observation
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['abandonobservation'] = 'Cancel session';
$string['actions'] = 'Actions';
$string['activity'] = 'Activity';
$string['allowunenrol'] = 'Allow students to remove themselves from signed up timeslots.';
$string['applyfilter'] = 'Apply filter';
$string['assignedmarkingsession'] = 'You have been assigned as an observer for the observation session at this time. Click Go to Activity below to view details.';
$string['assignedobservationsession'] = 'You are signed up to be an observee for the observation session at this time. Click Go to Activity below to view details.';
$string['assignedtimeslots'] = 'Assigned timeslots';
$string['before'] = 'before';
$string['calendarsignup'] = 'Calendar signup';
$string['cancellationalert'] = '{$a} - Timeslot cancelled.';
$string['cancelled'] = 'Cancelled';
$string['cancelledslottext'] = 'The timeslot you were registered for has been cancelled. This can happen when the course coordinator deletes the timeslot, or manually removes you from the timeslot. Click the link below to sign up to a new timeslot.';
$string['cannotpreviewslots'] = 'Could not preview timeslots: {$a}.';
$string['complete'] = 'Complete';
$string['confirmcancel'] = 'Are you sure you want to cancel the observation? This action cannot be undone.';
$string['confirmrandomlyassign'] = 'Are you sure you want to randomly assign users who have not signed up to any timeslots to unfilled timeslots? This action cannot be undone.';
$string['confirmsubmit'] = 'Are you sure you want to submit the observation?';
$string['couldnotupdategrade'] = 'Could not update grade in gradebook.';
$string['create'] = 'Create';
$string['createnew'] = 'Create new';
$string['createnotification'] = 'Create notification';
$string['creatingobservationpoint'] = 'Creating observation point';
$string['creatingtimeslot'] = 'Creating timeslot';
$string['currentpoints'] = 'Current observation points';
$string['currenttimeslots'] = 'Current timeslots';
$string['defaultmessagenoinstructions'] = 'No instructions provided.';
$string['delete'] = 'Delete';
$string['download'] = 'Download';
$string['duration'] = 'Session duration (minutes)';
$string['edit'] = 'Edit';
$string['editingobservationpoint'] = 'Editing observation point';
$string['editingobservationpoints'] = 'Editing observation points';
$string['editingtimeslot'] = 'Editing timeslot';
$string['editingtimeslots'] = 'Editing timeslots';
$string['editobservationpoints'] = 'Edit observation points';
$string['edittimeslotss'] = 'Edit timeslots';
$string['endbeforestart'] = 'End time must be after the start time.';
$string['evidencetype'] = 'Evidence';
$string['evidenceupload'] = 'Evidence upload';
$string['existsincompletepoints'] = 'Some observation points have no responses. All observation points must have a response recorded before a session can be submitted.';
$string['extracomment'] = 'Extra comment';
$string['fail'] = 'Fail';
$string['filesizebounds'] = 'File size must be an integer value between 1MB and 1000MB';
$string['filesizerequired'] = 'File size is required for evidence response type';
$string['filtertimeslots'] = 'Filter timeslots';
$string['filterwithin'] = 'Filter within';
$string['finishtime'] = 'Finish time';
$string['formincomplete'] = 'Form incomplete';
$string['friday'] = 'Friday';
$string['general'] = 'General';
$string['generatedtimeslots'] = 'Generated {$a} timeslots';
$string['go'] = 'Go';
$string['gradebookcomment'] = 'Gradebook comment';
$string['gradegiven'] = 'Grade given';
$string['gradegivenbounds'] = 'Grade given must be between the mingrade and the maxgrade specified';
$string['gradegivengreatermaxgrade'] = 'Grade given cannot be greater than the maximum grade.';
$string['gradegreatermaxgrade'] = 'One or more grades was greater than the max grade. This can happen when an observation point is edited before a session has been submitted.';
$string['gradeitemname'] = 'Observation session';
$string['grading'] = 'Grading';
$string['gradinginstructions'] = 'Grading Instructions';
$string['id'] = 'ID';
$string['image'] = 'Image';
$string['inprogress'] = 'In progress';
$string['instructions'] = 'Instructions';
$string['instructionsobservee'] = 'Instructions for observees';
$string['instructionsobserver'] = 'Instructions for observers';
$string['intgreaterthanone'] = 'Must be an integer that is greater than or equal to one';
$string['intgreaterthanorzero'] = 'Must be an integer that is greater than or equal to zero';
$string['join'] = 'Join';
$string['kickobservee'] = 'Kick observee';
$string['markingobservation'] = 'Marking observation';
$string['markingsession'] = '{$a} Observation Session (Observer)';
$string['maxfilesize'] = 'Maximum evidence file size in MB (below 1000)';
$string['maxgrade'] = 'Maximum grade';
$string['messageprovider:cancellationalert'] = 'Observation timeslot cancelled.';
$string['messageprovider:confirmsignup'] = 'Confirmation of your observation signup';
$string['messageprovider:signupreminder'] = 'Reminder of your observation signup';
$string['modulename'] = 'Observation';
$string['modulename_help'] = 'Create and manage observation assessments. This plugin is primarily designed for educational facilities as an additional method to conduct assessment tasks in courses requiring lots of practical work such as nursing and chemistry, among others.';
$string['modulenameplural'] = 'Observations';
$string['monday'] = 'Monday';
$string['moreactions'] = 'More actions';
$string['movedown'] = 'Move down';
$string['moveup'] = 'Move up';
$string['multipletimeslots'] = 'Multiple timeslots';
$string['name'] = 'Name';
$string['nextmonth'] = 'Next month';
$string['noobservationpoints'] = 'Could not start observation session as no observation points were found to assess.';
$string['noobservee'] = 'No observee';
$string['noslotsignedup'] = 'You have not registered for a timeslot yet.';
$string['notifyon'] = 'Notification time';
$string['notownnotification'] = 'Cannot delete notification. User is not the owner of the notification.';
$string['numoffiles'] = 'Maximum number of evidence files';
$string['obpointtype'] = 'Response Type';
$string['observation:addinstance'] = 'Add a new observation';
$string['observation:assignstudents'] = 'Assign students';
$string['observation:editobservationpoints'] = 'Edit observation points';
$string['observation:edittimeslots'] = 'Edit timeslots';
$string['observation:performobservation'] = 'Perform observation';
$string['observation:view'] = 'View observation';
$string['observation:viewfiles'] = 'View uploaded files';
$string['observationnotfound'] = 'Observation instance not found.';
$string['observationpoint'] = 'Observation point';
$string['observationpoints'] = 'Observation points';
$string['observationpointtype'] = 'Observation point type';
$string['observationsession'] = '{$a} Observation Session (Observee)';
$string['observationsessions'] = 'Observation sessions';
$string['observee'] = 'Observee';
$string['observee_email'] = 'Observee email';
$string['observee_fullname'] = 'Observee name';
$string['observeename'] = 'Observee name';
$string['observer'] = 'Observer';
$string['observer_email'] = 'Observer email';
$string['observer_fullname'] = 'Observer name';
$string['observer_id'] = 'Observer';
$string['openeditor'] = 'Open editor';
$string['opennewtab'] = 'Open in new tab';
$string['order'] = 'Order';
$string['otherdetails'] = 'Other details';
$string['overallgrade'] = 'Overall grade';
$string['pass'] = 'Pass';
$string['passfailtype'] = 'Pass/Fail';
$string['performobservation'] = 'Perform observation';
$string['placeholder'] = 'Placeholder';
$string['pluginadministration'] = 'Observation module administration';
$string['pluginname'] = 'Observation';
$string['previewtimeslots'] = 'Preview timeslots';
$string['previoussessions'] = 'Session history';
$string['prevmonth'] = 'Previous month';
$string['privacy:metadata:core_calendar'] = 'Calendar events created for timeslot management';
$string['privacy:metadata:core_files'] = 'Files uploaded during observation by observer';
$string['privacy:metadata:core_message'] = 'Messages sent as notifications with details about observation session signup';
$string['privacy:metadata:observation_point_responses'] = 'Observation point responses';
$string['privacy:metadata:observation_point_responses:ex_comment'] = 'Extra comment given for observation point';
$string['privacy:metadata:observation_point_responses:grade_given'] = 'Grade given for response to observation point';
$string['privacy:metadata:observation_point_responses:response'] = 'Response given (text, passfail or file)';
$string['privacy:metadata:observation_point_responses:timecreated'] = 'Time the response was first added';
$string['privacy:metadata:observation_point_responses:timemodified'] = 'Time the response was last updated';
$string['privacy:metadata:observation_sessions'] = 'Observation sessions';
$string['privacy:metadata:observation_sessions:ex_comment'] = 'Extra comment stored in gradebook after observation session';
$string['privacy:metadata:observation_sessions:finish_time'] = 'Finish time of the observation session';
$string['privacy:metadata:observation_sessions:observee_id'] = 'Observee being assessed during the observation session';
$string['privacy:metadata:observation_sessions:observer_id'] = 'Observer who created the observation session';
$string['privacy:metadata:observation_sessions:start_time'] = 'Start time of the observation session';
$string['privacy:metadata:observation_sessions:state'] = 'State of the observation session';
$string['privacy:metadata:observation_timeslots'] = 'Observation timeslots';
$string['privacy:metadata:observation_timeslots:duration'] = 'Duration of the observation timeslot';
$string['privacy:metadata:observation_timeslots:observee_id'] = 'Observee assigned to timeslot';
$string['privacy:metadata:observation_timeslots:observer_id'] = 'Observer assigned to timeslot';
$string['privacy:metadata:observation_timeslots:start_time'] = 'Start time of the observation timeslot';
$string['processnotifications'] = 'Process timeslot reminder notifications';
$string['randomassignsuccess'] = 'Successfully assigned all remaining students to timeslots.';
$string['randomassignwarning'] = 'Successfully assigned as many students to timeslots as possible, however, {$a} student(s) could not be assigned as there were no more remaining timeslots.';
$string['randomlyassign'] = 'Randomly assign students to timeslots.';
$string['receivenotification'] = 'Receive notification';
$string['refreshlist'] = 'Refresh list';
$string['registerdetailsheader'] = 'Timeslot registration details';
$string['registrationcancelled'] = 'Your registration for the timeslot below has been CANCELLED';
$string['registrationtime'] = 'Registration time';
$string['reopen'] = 'Re-open';
$string['repeatevery'] = 'Session starts every';
$string['required'] = 'Required';
$string['reregisternewslot'] = 'Click the link at the bottom of this notification to sign up to a new timeslot.';
$string['resetfilter'] = 'Clear filter';
$string['responsesaved'] = 'Response saved';
$string['responsesavedbutcannotcontinue'] = 'Response saved, but could not continue as there are no more observation points to mark. If marking is finished, press the Submit Observation button.';
$string['resume'] = 'Resume';
$string['returntosession'] = 'Return to session';
$string['returntosessionlist'] = 'Return to session list';
$string['saturday'] = 'Saturday';
$string['save'] = 'Save';
$string['saveandnext'] = 'Save and continue';
$string['selecting_observer'] = 'Selecting observers';
$string['selectingslot'] = 'Select timeslot';
$string['selectpoint'] = 'Select observation point';
$string['sessioncomplete'] = 'Observation session completed successfully';
$string['sessiondoesntexist'] = 'Session does not exist.';
$string['sessionincomplete'] = 'Error submitting session - There are {$a} observation points with no responses:';
$string['sessionlockouterror'] = 'Tried to start a session too quickly. Please wait {$a} seconds between starting new sessions';
$string['sessionsummary'] = 'Session summary';
$string['sessionviewonly'] = 'You are in view only mode.';
$string['sesssiondata'] = 'Session data';
$string['settings'] = 'Settings';
$string['setuptimeslotnotifications'] = 'Setup notifications';
$string['signedupslot'] = 'Your timeslot signup details are below.';
$string['signupconfirm'] = '{$a} - Timeslot registration confirmation';
$string['signupfortimeslot'] = 'Sign up for a new timeslot.';
$string['signupreminder'] = '{$a} - Timeslot signup reminder';
$string['signuptime'] = 'Signup time';
$string['start'] = 'Start';
$string['startnew'] = 'Start new';
$string['startobservationsession'] = 'Start observation session';
$string['starttime'] = 'Start time';
$string['state'] = 'State';
$string['submitobservation'] = 'Submit Observation';
$string['successfulcancel'] = 'Observation session cancelled successfully';
$string['sunday'] = 'Sunday';
$string['teacher'] = 'Observer';
$string['textinputtype'] = 'Text Input';
$string['thursday'] = 'Thursday';
$string['timeslotinfo'] = 'Time slot information';
$string['timeslotnotifications'] = 'Timeslot notifications';
$string['timeslots'] = 'Timeslots';
$string['timeslotsettings'] = 'Timeslot Settings';
$string['timeslotsetup'] = 'Timeslot setup';
$string['title'] = 'Title';
$string['toomanynotifications'] = 'Could not create notification, the maximum number of notifications for this user has been reached.';
$string['tuesday'] = 'Tuesday';
$string['unenrol'] = 'Unenrol';
$string['unenrolerrorempty'] = 'Could not unenroled from timeslot. Timeslot is empty.';
$string['unenrolerrornotuser'] = 'Could not unenroled from timeslot. You are not the user enrolled in this timeslot.';
$string['unenrolnotallowed'] = 'You are not allowed to remove yourself from this timeslot.';
$string['until'] = 'End time (exclusive of)';
$string['upcomingtimeslots'] = 'Upcoming timeslots';
$string['useinterval'] = 'Create multiple timeslots using intervals';
$string['viewsignup'] = 'View time slot signup';
$string['viewsummary'] = 'View summary';
$string['wednesday'] = 'Wednesday';
$string['yourtimeslot'] = 'Your time slot';
