<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'plagiarism_plagiarismsearch', language 'en', version '4.0'.
 *
 * @package     plagiarism_plagiarismsearch
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add_to_storage'] = 'Add to Storage';
$string['api_debug'] = 'API debug';
$string['api_error'] = 'PlagiarismSearch API error';
$string['api_key'] = 'API key';
$string['api_url'] = 'API url';
$string['api_user'] = 'API user';
$string['api_version'] = 'API version';
$string['auto_check'] = 'Autocheck';
$string['check_status'] = 'Check status';
$string['empty_parameter'] = 'Empty \'{$a}\' parameter';
$string['filter_chars'] = 'Only Latin characters';
$string['filter_plagiarism'] = 'Exclude self-plagiarism';
$string['filter_plagiarism_course'] = 'Exclude course plagiarism (not recommended)';
$string['filter_plagiarism_no'] = 'No (not recommended)';
$string['filter_plagiarism_user'] = 'Exclude user plagiarism';
$string['filter_plagiarism_user_course'] = 'Exclude user plagiarism within the same course';
$string['filter_quotes'] = 'Exclude in-text citations';
$string['filter_references'] = 'Exclude references';
$string['html_report'] = 'View HTML report';
$string['is_in'] = 'is in';
$string['link_title'] = 'PlagiarismSearch.com – advanced online plagiarism checker';
$string['manual_check'] = 'Manual check';
$string['no_cmid_or_id'] = 'No cmid or id';
$string['pdf_report'] = 'Download PDF report';
$string['plagiarism'] = 'Plagiarism';
$string['plagiarismsearch'] = 'PlagiarismSearch';
$string['plagiarismsearch:isstudent'] = 'Allow students only';
$string['plagiarismsearch:statuslinks'] = 'Ability to check report status';
$string['plagiarismsearch:submitlinks'] = 'Ability to submit links to PlagiarismSearch.com';
$string['plagiarismsearch:viewlinks'] = 'Ability to view links for plagiarism results';
$string['pluginname'] = 'PlagiarismSearch';
$string['processing'] = 'In progress';
$string['red'] = 'Plagiarism level red starts at';
$string['report'] = 'Report';
$string['report_language'] = 'Report language';
$string['report_language_default'] = 'Default (English)';
$string['report_language_en'] = 'English';
$string['report_language_es'] = 'Spanish';
$string['report_language_pl'] = 'Polish';
$string['report_language_ru'] = 'Russian';
$string['report_not_found'] = 'Report was not found';
$string['report_show_html'] = 'Only HTML report';
$string['report_show_no'] = 'Don\'t show';
$string['report_show_pdf'] = 'Only PDF report';
$string['report_show_pdf_html'] = 'PDF and HTML reports';
$string['report_type'] = 'Report file type';
$string['resubmit'] = 'Resubmit to PlagiarismSearch';
$string['save'] = 'Save';
$string['server_connection_error'] = 'Problem connecting to PlagiarismSearch server';
$string['settings_error'] = 'There was an error while updating the PlagiarismSearch settings';
$string['settings_error_server'] = 'PlagiarismSearch settings API error';
$string['settings_saved'] = 'PlagiarismSearch settings have been successfully saved';
$string['sources_doc_storage'] = 'Doc vs Storage';
$string['sources_doc_web'] = 'Doc vs Web';
$string['sources_doc_web_storage'] = 'Doc vs Web + Storage';
$string['sources_type'] = 'Sources';
$string['status'] = 'status';
$string['status_error'] = 'Error. Document';
$string['status_ok'] = 'Document';
$string['student_disclosure'] = 'Student disclosure';
$string['student_disclosure_default'] = 'All files uploaded will be submitted to PlagiarismSearch.com detection service.';
$string['student_error_nopermission'] = 'No permission';
$string['student_resubmit'] = 'Allow students re-submit papers';
$string['student_resubmit_numbers'] = 'The number of re-submits';
$string['student_show_percentage'] = 'Allow students view plagiarism percentage';
$string['student_show_reports'] = 'Allow students view reports';
$string['student_submit'] = 'Allow students submit papers';
$string['submit'] = 'Submit to PlagiarismSearch';
$string['submit_error'] = 'Document \'{$a}\' not submitted';
$string['submit_ok'] = 'Document \'{$a}\' submitted to PlagiarismSearch';
$string['submit_onlinetext_error'] = 'Online text was not submitted';
$string['submit_onlinetext_ok'] = 'Online text was submitted to PlagiarismSearch';
$string['temp_folder_not_exists'] = 'Temp folder does not exist';
$string['text_plain'] = 'PlagiarismSearch.com – advanced online plagiarism checker. <br/>
PlagiarismSearch.com is a leading plagiarism checking website that will provide you with an accurate report during a short timeframe. <br/>
Find out how to register <a href="https://plagiarismsearch.com/account/signup.html">here</a> and ask us for a free trial <a href="mailto:support@plagiarismsearch.com">support@plagiarismsearch.com</a><br/><br/>';
$string['unknown_error'] = 'Unknown error';
$string['use'] = 'Enable PlagiarismSearch';
$string['yellow'] = 'Plagiarism level yellow starts at';
