<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_musicinterval', language 'en', version '4.0'.
 *
 * @package     qtype_musicinterval
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['A'] = 'A';
$string['B'] = 'B';
$string['C'] = 'C';
$string['D'] = 'D';
$string['E'] = 'E';
$string['F'] = 'F';
$string['G'] = 'G';
$string['M'] = 'M';
$string['P'] = 'P';
$string['addAnswer'] = 'Add Blank for 1 More Answer';
$string['addinginterval'] = 'Adding Intervals';
$string['addmorechoiceblanks'] = 'Blanks for {no} more choices';
$string['answer'] = 'Answer';
$string['answer_cap'] = 'Answer';
$string['answerno'] = 'Answer {$a}';
$string['ascintquestiontxt'] = 'above the given note';
$string['augmented'] = 'Augmented';
$string['bass'] = 'Bass';
$string['choices'] = 'Choices';
$string['choicex'] = 'Choice {no}';
$string['clef'] = 'Clef';
$string['clef_help'] = '<p>Specifies the clef being used. Be sure that both the given note and the answer lie in the selected clef\'s range.</p><p>Clef ranges are the following:</p><ul><li>Treble clef: E3-A6</li><li>Bass clef: E1-A4</li></ul>';
$string['descintquestiontxt'] = 'below the given note';
$string['diminished'] = 'Diminished';
$string['dirasc'] = 'Above given note';
$string['dirdesc'] = 'Below given note';
$string['direction'] = 'Direction';
$string['editinginterval'] = 'Editing Intervals';
$string['feedback'] = 'Feedback';
$string['feedbackcorrectanswer'] = 'Your answer is correct.';
$string['feedbackwronganswer'] = 'The correct answer is:';
$string['group'] = 'Group';
$string['interval'] = 'Intervals';
$string['m'] = 'm';
$string['major'] = 'Major';
$string['minor'] = 'Minor';
$string['natural'] = 'Natural';
$string['orignoteaccidental'] = 'Given note accidental';
$string['orignoteaccidental_help'] = 'Specifies an accidental applying to the given note - if no accidental applies, "Natural" should be selected.';
$string['orignoteletter'] = 'Given note letter';
$string['orignoteletter_help'] = 'Specifies the letter name of the given note.';
$string['orignoteregister'] = 'Given note register';
$string['orignoteregister_help'] = 'Specifies the register where the given note lies, using the <a href="http://en.wikipedia.org/wiki/Scientific_pitch_notation" target="_blank">scientific pitch notation</a>.';
$string['perfect'] = 'Perfect';
$string['pluginname'] = 'Music Interval';
$string['pluginname_help'] = 'Flash Scale for Defining Intervals';
$string['pluginname_link'] = 'question/type/musicinterval';
$string['pluginnameadding'] = 'Adding a music interval question';
$string['pluginnameediting'] = 'Editing a music interval question';
$string['pluginnamesummary'] = 'Flash Component that enabled a music scale for defining intervals';
$string['quality'] = 'Quality';
$string['quality_help'] = 'Determines the quality of the interval to be written. The options are the following:<br /><br />&nbsp;&nbsp;&nbsp;<strong>M</strong>: Major<br />&nbsp;&nbsp;&nbsp;<strong>m</strong>: Minor<br />&nbsp;&nbsp;&nbsp;<strong>P</strong>: Perfect<br />&nbsp;&nbsp;&nbsp;<strong>A</strong>: Augmented<br />&nbsp;&nbsp;&nbsp;<strong>D</strong>: Diminished<br />';
$string['qualitymismatch'] = 'Quality doesn\'t apply to the given size';
$string['questiontext'] = 'Enter the following interval:';
$string['shuffle'] = 'Shuffle';
$string['size'] = 'Size';
$string['size10'] = '10';
$string['size11'] = '11';
$string['size12'] = '12';
$string['size13'] = '13';
$string['size2'] = '2';
$string['size3'] = '3';
$string['size4'] = '4';
$string['size5'] = '5';
$string['size6'] = '6';
$string['size7'] = '7';
$string['size8'] = '8';
$string['size9'] = '9';
$string['size_help'] = 'Specifies the size of the interval to be written - any size between seconds and thirteenths can be selected.';
$string['treble'] = 'Treble';
