<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_sc', language 'en', version '4.0'.
 *
 * @package     qtype_sc
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['answernumbering'] = 'Number the options?';
$string['checked'] = 'chosen';
$string['clearchoice'] = 'Clear my choice';
$string['configintro'] = 'Administration settings for the single choice (ETH) question type.';
$string['correct'] = 'Correct';
$string['correctvaluereset'] = 'The value for the correct answer has been reseted to option 1. Option 1 was marked as correct provisionally.';
$string['deletedchoice'] = 'This choice was deleted after the attempt was started.';
$string['deleterawswarning'] = 'Lowering the number of options will delete the last {$a} option(s). Are you sure you want to proceed?';
$string['enteroptionhere'] = '';
$string['enterstemhere'] = 'Enter the stem or question prompt here.';
$string['feedbackforoption'] = 'Feedback';
$string['generalfeedback'] = 'General feedback.';
$string['generalfeedback_help'] = 'The same general feedback is displayed regardless of the answer chosen. Use general feedback e.g. to explain the correct answers or give students a link to additional information.';
$string['incorrect'] = 'Not correct';
$string['iscrossedout'] = 'is crossed out';
$string['markascorrect'] = 'Click to choose as correct option.';
$string['markasdistractor'] = 'Click to cross out as incorrect option.';
$string['markedascorrect'] = 'This option was been chosen as correct.';
$string['markedasdistractor'] = 'This option was been marked as incorrect.';
$string['maxpoints'] = 'Max. points';
$string['mustchoosecorrectoption'] = 'You must mark one option as correct.';
$string['mustdeleteextrarows'] = 'Max allowed options are 5 options. {$a} option(s) will be deleted. If you cancel editing without saving, the surplus options will remain.';
$string['mustsupplyname'] = 'You must enter a task title.';
$string['mustsupplyvalidvalue'] = 'The selected value must be in a range between 2 and 5.';
$string['mustsupplyvalue'] = 'You must enter an option text.';
$string['numberchoicehaschanged'] = 'Number of options has changed. Can not regrade the question attempt.';
$string['numberofrows'] = 'Number of options';
$string['numberofrows_help'] = 'Specify the number of options. When changing to fewer options, surplus options will be deleted once the item is saved';
$string['oneradiobutton'] = 'You have to choose one of the options!';
$string['option'] = 'Option';
$string['optionno'] = 'Option {$a}';
$string['optionsandfeedback'] = 'Options and feedback';
$string['pluginname'] = 'Single Choice (ETH)';
$string['pluginname_help'] = 'In Single Choice ("Type A") questions the one option which is the only correct or best option has to be identified. The students can also mark options they consider as wrong to receive a fraction of the points depending on the grading method.';
$string['pluginname_link'] = 'question/type/sc';
$string['pluginnameadding'] = 'Adding a Single Choice ("Type A") question';
$string['pluginnameadding_help'] = 'In response to a question prompt the candidates must identify one answer as the only correct answer or the best answer.';
$string['pluginnameediting'] = 'Editing a Single Choice ("Type A") question';
$string['pluginnameediting_help'] = 'In response to a question prompt the candidates must identify one answer as the only correct answer or the best answer.';
$string['pluginnamesummary'] = 'In Single Choice ("Type A") questions the one option which is the only correct or best option has to be identified. The students can also mark options they consider as wrong to receive a fraction of the points depending on the grading method.';
$string['preview'] = 'Preview';
$string['privacy:metadata'] = 'The SC question type plugin does not store any personal data.';
$string['scoringaprime'] = 'Aprime';
$string['scoringaprime_help'] = 'Full points are awarded for selecting the correct answer or for selecting all distractors correctly, half of the points if one correct distractor remains sunchecked and zero points otherwise.';
$string['scoringmethod'] = 'Scoring method';
$string['scoringmethod_help'] = 'There are three alternative scoring methods:
<br/><strong>SC1/0</strong> (recommended): The student receives full points if the only correct answer is identified, and zero points otherwise.
<br/><strong>Aprime</strong>: The student receives full points for selecting the correct answer or for selecting all distractors correctly, half of the points if one correct distractor remains unchecked and zero points otherwise.
<br/><strong>Subpoints</strong>: The student receives full points for selecting the correct answer or for selecting all distractors correctly, half of the points if one correct distractor remains unchecked and a fraction of points otherwise.';
$string['scoringsconezero'] = 'SC1/0';
$string['scoringsconezero_help'] = 'Full points are awarded for selecting the correct answer, and zero points otherwise.';
$string['scoringsubpoints'] = 'Subpoints';
$string['scoringsubpoints_help'] = 'Full points are awarded for selecting the correct answer or for selecting all distractors correctly, half of the points if one correct distractor remains unchecked and a fraction of points otherwise.';
$string['selectone'] = 'Select one option:';
$string['showscoringmethod'] = 'Show scoring method';
$string['showscoringmethod_help'] = 'If this setting is enabled, students will see the scoring method in quizes';
$string['shuffleanswers'] = 'Shuffle options';
$string['shuffleanswers_help'] = 'If enabled, the order of the options is randomly shuffled for each attempt, provided that "Shuffle within questions" in the activity settings is also enabled.';
$string['stem'] = 'Stem';
$string['tasktitle'] = 'Task title';
$string['unchecked'] = 'not chosen';
$string['warningreduceoptions'] = 'When lowering the number of options surplus options will be deleted. Are you sure you want to proceed?';
