<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'qtype_shortmath', language 'en', version '4.0'.
 *
 * @package     qtype_shortmath
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['add'] = 'Add';
$string['addbtn'] = 'Add button';
$string['addbuttons'] = 'Add buttons';
$string['button'] = 'Button';
$string['cannotcreatetemplate'] = 'Cannot ShortMath template.';
$string['cannotgetshortmathoptions'] = 'Cannot get ShortMath options for question ID {$a}.';
$string['cannotgetshortmathtemplate'] = 'Cannot get ShortMath template with ID {$a}.';
$string['configchangeconfirm'] = 'I confirm that I want to change the template used for this question.';
$string['create_template'] = 'Create template';
$string['create_templates'] = 'Create templates';
$string['createbutton'] = 'Create button';
$string['createbutton_help'] = 'Write an expression in the input field. When pressing the "Add" button, a new button will be created with this input as the display text.';
$string['creator'] = 'Creator';
$string['default_config'] = 'Default configuration';
$string['default_config_desc'] = 'The default editor configuration.';
$string['defaulttemplate'] = 'Default';
$string['defaulttemplate_desc'] = 'The default template.';
$string['deletetemplate'] = 'Delete template';
$string['deltemplate'] = 'Delete template';
$string['deltemplateconfirm'] = 'Are you sure you want to delete the template <b>{$a}</b>?';
$string['edit_template'] = 'Edit template';
$string['editor_manager'] = 'Editor Manager';
$string['edittemplate'] = 'Edit template';
$string['filloutoneanswer'] = 'You must provide at least one possible answer, written in a valid latex math format. Answers left blank will not be used. \'*\' can be used as a wildcard to match any characters. The first matching answer will be used to determine the score and feedback.';
$string['manage_templates'] = 'Manage Templates';
$string['manage_templates_link_desc'] = 'Template Manager';
$string['mqbuttongroup'] = 'Create buttton';
$string['mqbuttongroup_help'] = 'In the <b>Button</b> input field you can specify what will show on the buttton. In the <b>Value</b> fild you specify what the value the button produces when clicked. When pressing the <b>Add button</b>, a new button will be created.';
$string['mqcontrolsgroup'] = 'Template button';
$string['mqcontrolsgroup_help'] = 'Here is a preview of the toolbar with the current configurations. By clicking and dragging the buttons, the ordering of the buttons can be changed. To delete a button, click and drag the button down to the trash can that appears. You may also test the buttons by just clicking them. The result will appear in the testing input below.';
$string['new_template'] = 'New template';
$string['nonetemplate'] = 'None';
$string['nonetemplate_desc'] = 'An empty template with no buttons.';
$string['pluginname'] = 'ShortMath';
$string['pluginname_help'] = 'Short answer question type for mathematical expressions using MathQuill, resulting in LaTeX answers.';
$string['pluginname_link'] = 'question/type/shortmath';
$string['pluginnameadding'] = 'Adding a ShortMath question';
$string['pluginnameediting'] = 'Editing a ShortMath question';
$string['pluginnamesummary'] = 'Short answer question type for mathematical expressions using MathQuill, resulting in LaTeX answers.';
$string['preview'] = 'Preview';
$string['privacy:metadata'] = 'The ShortMath question type plugin does not store any personal data.';
$string['shortmath:add'] = 'Add new templates';
$string['shortmath:editall'] = 'Edit all templates';
$string['shortmath:editmine'] = 'Edit your own templates';
$string['shortmath:viewall'] = 'View all templates';
$string['shortmath:viewmine'] = 'Edit your own templates';
$string['template'] = 'Template';
$string['template_editor'] = 'Template Editor';
$string['template_editor_link'] = 'Template Editor';
$string['template_manager_link'] = '<a href="{$a->link}" class="d-inline-block mb-3">Manage templates</a>';
$string['templatebutton'] = 'Template button';
$string['templateconfiguration'] = 'Template configuration';
$string['templatedescription'] = 'Description';
$string['templatedescription_help'] = 'The description to set for the template.';
$string['templatename'] = 'Name';
$string['templatename_help'] = 'The name to set for the template.';
$string['templatepreview'] = 'Template preview';
$string['templatepreview_help'] = 'Here you may test the buttons created for this template. It is purely for testing purposes.';
$string['templatetest'] = 'Test template';
$string['templatevalue'] = 'Value';
$string['templatevalue_help'] = 'In this input, you may specify a value for the button definedin the field above. Write an expression in the input field. When pressing the "Add" button, a new button will be created which produces the value according to this input.';
$string['testinput'] = 'Test input';
$string['timecreated'] = 'Time created';
$string['toolbar'] = 'Toolbar';
$string['toolbar_template'] = 'Toolbar template';
$string['toolbar_template_help'] = 'The toolbar template determines how the editor toolbar looks. When changing the toolbar configuration by changing the template, you will have to confirm the overwrite.';
$string['toolbargroup'] = 'Toolbar';
$string['toolbargroup_help'] = 'This is a preview of how the toolbar will look like.';
$string['youmustconfirm'] = 'You must confirm here.';
