<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'readaloud', language 'en', version '4.0'.
 *
 * @package     readaloud
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accadjust'] = 'Fixed adjustment.';
$string['accadjust_details'] = 'This is the number of reading errors to compensate WPM scores for. If WPM adjust is set to "Fixed" then this value will be used to compensate WPM acores. This is a method of mitigating for machine transcription mistakes.';
$string['accadjust_help'] = 'This rate should correspond as closely as possible to the estimated machine transcription mistake average for a passage.';
$string['accadjustmethod'] = 'WPM Adjust(AI)';
$string['accadjustmethod_details'] = 'Adjust the WPM score by ignoring, or discounting some, reading errors found by AI. The default \'No adjustment\' subtracts all reading errors from final WPM score.';
$string['accadjustmethod_help'] = 'For WPM adjustment we can: never adjust, adjust by a fixed amount, or ignore errors when calculating WPM';
$string['accmethod_auto'] = 'Auto audjustment';
$string['accmethod_fixed'] = 'Adjust by fixed amount';
$string['accmethod_noerrors'] = 'Ignore all errors';
$string['accmethod_none'] = 'No adjustment';
$string['accuracy'] = 'Accuracy';
$string['accuracy_p'] = 'Acc(%)';
$string['actions'] = 'Actions';
$string['activitydate:submissionsdue'] = 'Due:';
$string['activitydate:submissionsopen'] = 'Opens:';
$string['activitydate:submissionsopened'] = 'Opened:';
$string['activityisclosed'] = 'This activity is closed.';
$string['activityisnotopenyet'] = 'This activity is not open yet.';
$string['activitylink'] = 'Link to next activity';
$string['activitylink_help'] = 'To provide a link after the attempt to another activity in the course, select the activity from the dropdown list.';
$string['activitylinkname'] = 'Continue to next activity: {$a}';
$string['activityname'] = 'RA. Name.';
$string['activityopenscloses'] = 'Activity open/close dates';
$string['activitywords'] = 'No. Words in Passage';
$string['addingitem'] = 'Adding a New question';
$string['addnewitem'] = 'Add a New question';
$string['addpassage'] = 'Setup Activity';
$string['addtextpromptshortitem'] = 'Add item';
$string['adjustedaccuracy_p'] = 'Adj. Acc(%)';
$string['adjustedgrade_p'] = 'Adj. Grade(%)';
$string['adjustedwpm'] = 'Adj. WPM';
$string['admintab'] = 'Administrator';
$string['admintabinstructions'] = 'On this page you can edit the alternatives for the passage while viewing a summary of the mistranscriptions. When you save, all the attempts will be re-evaluated and the adjusted grades to the gradebook.';
$string['admintabtitle'] = 'Administrator';
$string['advancedheader'] = 'Advanced';
$string['aigradenow'] = 'AI Grade';
$string['allowearlyexit'] = 'Can exit early';
$string['allowearlyexit_defaultdetails'] = 'Sets the default setting for allow_early_exit. Can be overriden at the activity level. If true, allow_early_exit means that students can finish before the time limit, by pressing a finish button. The WPM is calculated using their recording time.';
$string['allowearlyexit_details'] = 'If checked students can finish before the time limit, by pressing a finish button. The WPM is calculated using their recording time.';
$string['alternatives'] = 'Alternatives';
$string['alternatives_descr'] = 'Specify matching options for specific passage words. 1 word set per line. e.g their|there|they\'re See <a href="https://support.poodll.com/support/solutions/articles/19000096937-tuning-your-read-aloud-activity">docs</a> for more details.';
$string['alternatives_help'] = 'Specify matching options for specific passage words. 1 word set per line. e.g their|there|they\'re See <a href="https://support.poodll.com/support/solutions/articles/19000096937-tuning-your-read-aloud-activity">docs</a> for more details.';
$string['answer'] = 'Answer';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Poodll Read Aloud is authorised for this site.';
$string['apply_activity'] = 'this activity';
$string['apply_course'] = 'this course activities';
$string['apply_site'] = 'this site activities';
$string['applysettingsrange'] = 'Apply setting to:';
$string['appnotauthorised'] = 'Poodll Read Aloud is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['attemptno'] = 'Attempt {$a}';
$string['attemptsheading'] = 'Attempts Report';
$string['attemptsperpage'] = 'Attempts to show per page:';
$string['attemptsreport'] = 'Attempts Report';
$string['attemptssummary_explanation'] = 'A summary of ReadAloud attempts per user in this activity.';
$string['attemptssummaryheading'] = 'Attempts Summary Report';
$string['attemptssummaryreport'] = 'Attempts Summary Report';
$string['audiofile'] = 'Audio';
$string['audioitemfile'] = 'item Audio(MP3)';
$string['audioresponse'] = 'Audio response';
$string['av_accuracy_p'] = 'Av. Acc(%)';
$string['av_grade_p'] = 'Av. Grade(%)';
$string['av_wpm'] = 'Av. WPM';
$string['averages'] = 'Average';
$string['avgcorrect'] = 'Av. Correct';
$string['avgtotaltime'] = 'Av. Duration';
$string['awsregion'] = 'AWS Region';
$string['awsregion_details'] = 'Choose the region closest to you. Your data will stay within that region. Capetown region only supports English and German.';
$string['backtotop'] = 'Check for Results';
$string['bahrain'] = 'Bahrain';
$string['basicheading'] = 'Basic Report';
$string['basicreport'] = 'Basic Report';
$string['beginreading'] = 'Begin Reading';
$string['cannotgradenow'] = '-';
$string['capetown'] = 'Capetown, South Africa';
$string['chartexplainer'] = 'The chart below shows your progress over time in reading this passage.';
$string['checking'] = '... checking ...';
$string['close'] = 'Close';
$string['confirmitemdelete'] = 'Are you sure you want to <i>DELETE</i> item? : {$a}';
$string['confirmitemdeletetitle'] = 'Really Delete item?';
$string['corpuspushed'] = 'Corpus guide pushed';
$string['corpusrange'] = 'Corpus range';
$string['corpusrange_course'] = 'This course';
$string['corpusrange_site'] = 'This site';
$string['correct'] = 'Correct';
$string['correctanswer'] = 'Correct answer';
$string['correcttranslationtitle'] = 'Correct Translation';
$string['courseattempts_explanation'] = 'All the attempts on ReadAloud activities within this course';
$string['courseattemptsheading'] = 'Course Attempts Report';
$string['courseattemptsreport'] = 'Course Attempts Report';
$string['createaitem'] = 'Create a question';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['currenterrorestimate'] = 'Current error estimate: {$a}';
$string['customfont'] = 'Custom font';
$string['customfont_help'] = 'A font name that will override site default for this passage when displayed. Must be exact in spelling and case. eg Andika or Comic Sans MS';
$string['da-dk'] = 'Danish (DK)';
$string['de-at'] = 'German (AT)';
$string['de-ch'] = 'German (CH)';
$string['de-de'] = 'German (DE)';
$string['defaultfeedback'] = 'Thanks for reading.';
$string['defaultrecorder'] = 'Default recorder';
$string['defaultrecorder_details'] = 'Choose the default recorder to be shown to students.';
$string['defaultwelcome'] = 'In this activity you should read a passage out loud. You may be required to test your microphone first. You should see the audio recorder below. After you have started recording the reading passage will appear. Read the passage aloud as clearly as you can.';
$string['deletealluserdata'] = 'Delete all user data';
$string['deleteattemptconfirm'] = 'Are you sure that you want to delete this attempt?';
$string['deleteitem'] = 'Delete item';
$string['deletenow'] = '';
$string['developer'] = 'Developer';
$string['disableshadowgrading'] = 'Disable Shadow Mode Grading';
$string['disableshadowgrading_details'] = 'If checked, attempts made in shadow mode will be evaluated, but no entry passed to the gradebook.';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['doclear'] = 'Clear all markers';
$string['done'] = 'Done';
$string['dublin'] = 'Dublin, Ireland';
$string['edit'] = 'Edit';
$string['editingitem'] = 'Editing a question';
$string['edititem'] = 'Edit item';
$string['en-ab'] = 'English (Scotland)';
$string['en-au'] = 'English (Aus.)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-nz'] = 'English (New Zealand)';
$string['en-ph'] = 'English (Phil.)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['en-za'] = 'English (South Africa)';
$string['enableai'] = 'Enable AI';
$string['enableai_details'] = 'Read Aloud can evaluate results from a student attempt using AI. Check to enable.';
$string['enablelandr'] = 'Enable Practice mode (Listen and Repeat)';
$string['enablelandr_details'] = 'Enables listen and repeat mode. Line by line, the student listens and reads alternately.';
$string['enablepreview'] = 'Enable Listen mode';
$string['enablepreview_details'] = 'Listen mode shows the reading and model audio to student before the activity commences.';
$string['enablesetuptab'] = 'Enable setup tab';
$string['enablesetuptab_details'] = 'Show a tab containing the activity instance settings to admins. Not super useful in most cases.';
$string['enableshadow'] = 'Enable Practice mode (Shadowing)';
$string['enableshadow_details'] = 'Enables shadowing mode. This plays the model audio as students are read the entire passage aloud. Students will need headphones for this.';
$string['enabletts'] = 'Enable TTS(experimental)';
$string['enabletts_details'] = 'TTS is currently not implemented';
$string['errorcount'] = 'No. errors';
$string['errorheader'] = 'Error';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['eu-es'] = 'Basque';
$string['evaluatedmessage'] = 'Your latest attempt has been received and the evaluation is shown below.';
$string['evaluationview'] = 'Evaluation display';
$string['evaluationview_details'] = 'What to show students after they have attempted and received an evaluation';
$string['exceededallattempts'] = 'You have used all of your attempts.';
$string['exceededattempts'] = 'You have completed the maximum {$a} attempts.';
$string['expiredays'] = 'Days to keep file';
$string['exportexcel'] = 'Export to CSV';
$string['extraslowspeed'] = 'Extra Slow';
$string['fa-ir'] = 'Farsi';
$string['feedbacklabel'] = 'Post-attempt instructions';
$string['feedbacklabel_details'] = 'The default text to show in the feedback field when creating a new Read Aloud activity.';
$string['fi-fi'] = 'Finnish';
$string['fil-ph'] = 'Filipino';
$string['fillcredentials'] = 'Set API user and secret with existing credentials';
$string['forever'] = 'Never expire';
$string['fr-ca'] = 'French (Can.)';
$string['fr-fr'] = 'French (FR)';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['freetrial'] = 'Get Cloud Poodll API Credentials and a Free Trial';
$string['freetrial_desc'] = 'A dialog should appear that allows you to register for a free trial with Poodll. After registering you should login to the members dashboard to get your API user and secret. And to register your site URL.';
$string['fullreport'] = 'View Full Report';
$string['gotnosound'] = 'We could not hear you. Please check the permissions and settings for microphone and try again.';
$string['grade'] = 'Grade';
$string['grade_p'] = 'Grade(%)';
$string['gradeaverage'] = 'average score of all attempts';
$string['gradehighest'] = 'highest scoring attempt';
$string['gradelatest'] = 'score of latest attempt';
$string['gradelowest'] = 'lowest scoring attempt';
$string['gradenone'] = 'No grade';
$string['gradenow'] = 'Grade Now';
$string['gradeoptions'] = 'Grade Options';
$string['gradeoptions_details'] = 'NB This determines the gradebook entry. The ReadAloud grading page is not affected and will display the latest attempt.';
$string['gradeoptions_help'] = 'When there are multiple attempts by a user on a reading, this setting determines which attempt to use when grading';
$string['grader'] = 'Graded by';
$string['grader_ai'] = 'AI';
$string['grader_human'] = 'Human';
$string['grader_ungraded'] = 'Ungraded';
$string['gradethisattempt'] = 'Grade this attempt';
$string['grading'] = 'Grading';
$string['gradingbutton'] = 'Grading Mode';
$string['gradingbyuserheading'] = 'Grading all attempts for: {$a}';
$string['gradingheading'] = 'Grading latest attempts for each user.';
$string['guidedtrans_corpus'] = 'Use corpus (all ReadAloud passages)';
$string['guidedtrans_passage'] = 'Use this activity passage';
$string['guidedtranscriptionadmin'] = 'Guided Transcription Admin';
$string['guidedtransinstructions'] = 'When using guided transcription the transcriber will steer the transcript towards the guide, i.e the words/phrases in this activity\'s passage, or the words/phrases in the full corpus of ReadAloud passages. Using the full corpus of ReadAloud passages will pick up more reading errors.';
$string['h_accuracy_p'] = 'Max Acc(%)';
$string['h_grade_p'] = 'Max Grade(%)';
$string['h_wpm'] = 'Max WPM';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi';
$string['highest'] = 'Highest';
$string['hu-hu'] = 'Hungarian';
$string['humanpostattempt'] = 'Evaluation display (human)';
$string['humanpostattempt_details'] = 'What to show students after they have attempted and received a human evaluation';
$string['id'] = 'ID';
$string['id-id'] = 'Indonesian';
$string['iscorrectlabel'] = 'Correct/Incorrect';
$string['it-it'] = 'Italian (IT)';
$string['item'] = 'Item';
$string['itemcontents'] = 'Question Description';
$string['itemdetails'] = 'item Details: {$a}';
$string['iteminuse'] = 'This item is part of users attempt history. It cannot be deleted.';
$string['itemname'] = 'Question Name';
$string['itemorder'] = 'Item Order';
$string['itemsperpage'] = 'Items per page';
$string['itemsperpage_details'] = 'This sets the number of rows to be shown on reports or lists of attempts.';
$string['itemsummary'] = 'item Summary: {$a}';
$string['itemtitle'] = 'Question Title';
$string['itemtype'] = 'Item Type';
$string['ja-jp'] = 'Japanese';
$string['ko-kr'] = 'Korean';
$string['landrhelp'] = 'Listen to the speaker. Repeat after each sentence and check your pronunciation.';
$string['landrreading'] = 'Practice';
$string['letsaddpassage'] = 'There is no reading passage set yet for this activity. Lets add one.';
$string['london'] = 'London, U.K';
$string['machinegradehybrid'] = 'Use human or machine eval. for grade';
$string['machinegrademachineonly'] = 'Always use machine eval. grade';
$string['machinegrademethod'] = 'Human/Machine Grading';
$string['machinegrademethod_details'] = 'Use machine evaluations or human evaluations as grades in grade book.';
$string['machinegrademethod_help'] = 'Use machine evaluations or human evaluations as grades in grade book.';
$string['machinegradenone'] = 'Never use machine eval. for grade';
$string['machinegradespushed'] = 'Successfully pushed grades to gradebook';
$string['machinegrading'] = 'Machine Evaluations';
$string['machinegradingbyuserheading'] = 'Machine evaluated attempts for: {$a}';
$string['machinegradingheading'] = 'Machine evaluated latest attempt for each user.';
$string['machinepostattempt'] = 'Evaluation display (machine)';
$string['machinepostattempt_details'] = 'What to show students after they have attempted and received a machine evaluation';
$string['machineregradeall'] = 'Save and re-evaluate all attempts';
$string['machineregraded'] = 'Successfully regraded {$a->done} attempts. Skipped {$a->skipped} attempts.';
$string['managersquestions'] = 'Manage Questions';
$string['manualbreaktiming'] = 'Manual break timing';
$string['masterinstance'] = 'Master Instance';
$string['masterinstance_details'] = 'Master instance allows the author to push the individual settings of one ReadAloud to existing copies of the same activity. They must have exactly the same name.';
$string['maxattempts'] = 'Max. Attempts';
$string['mediumspeed'] = 'Medium';
$string['mingrade'] = 'Minimum Grade';
$string['missed_count'] = 'Missed Count';
$string['missedwords'] = 'Missed Words';
$string['missedwords_explanation'] = 'The top error words in the most recent attempts';
$string['missedwordsheading'] = 'Missed Words';
$string['missedwordsreport'] = 'Missed Words';
$string['mistakes'] = 'Mistakes';
$string['mistrans_count'] = 'Count';
$string['mistranscriptions'] = 'Mistranscriptions';
$string['mistranscriptions_summary'] = 'Summary of mistranscriptions.';
$string['modelaudio'] = 'Model Audio';
$string['modelaudio_breaksinstructions'] = 'Tap words in the passage below to add a break at that point in the audio playback in preview and practive modes. The system will automatically sync the audio and the text. Check <i>manual break timing</i> to set tapped breaks to current location of playing audio.';
$string['modelaudio_breakstitle'] = 'Mark-up Model Audio';
$string['modelaudio_playerinstructions'] = 'The current model audio can be played using the player below.';
$string['modelaudio_playertitle'] = 'Play Model Audio';
$string['modelaudio_recordinstructions'] = 'Record audio here to be used as the model audio. You can optionally choose to upload audio by pressing the upload audio button. There will be a delay of a few minutes before break point text and audio are automatically synced';
$string['modelaudio_recordtitle'] = 'Record Model Audio';
$string['modelaudiobreaksclear'] = 'Clear model audio markup';
$string['modelaudiobreaksgenerate'] = 'Re-Generate Model Audio Markup';
$string['modelaudioclear'] = 'Clear Audio';
$string['modelaudiowarning'] = 'Model audio not marked up.';
$string['modulename'] = 'Poodll ReadAloud';
$string['modulename_help'] = 'ReadAloud is an activity designed to assist teachers in evaluating their students reading fluency. Students read a passage, set by the teacher, into a microphone. Later the teacher can mark words as incorrect and get the student WCPM(Words Correct Per Minute) scores.';
$string['modulenameplural'] = 'Poodll ReadAlouds';
$string['moveitemdown'] = 'Down';
$string['moveitemup'] = 'Up';
$string['ms-my'] = 'Malay';
$string['mumbai'] = 'Mumbai, India';
$string['myattemptssummary'] = 'Attempts Summary ({$a} attempts)';
$string['name'] = 'Name';
$string['nb-no'] = 'Norwegian';
$string['ng'] = 'Not OK';
$string['nl-be'] = 'Dutch (BE)';
$string['nl-nl'] = 'Dutch (NL)';
$string['noapisecret'] = 'No API secret entered. Read Aloud will not work correctly.';
$string['noapiuser'] = 'No API user entered. Read Aloud will not work correctly.';
$string['noattemptsregrade'] = 'No attempts to regrade';
$string['nocourseid'] = 'You must specify a course_module ID or an instance ID. Probably your session expired.';
$string['nocredentials'] = 'API user and secret not entered. Please enter them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['nodataavailable'] = 'No data available';
$string['noitems'] = 'This quiz contains no questions';
$string['nomistranscriptions'] = 'No mistranscriptions.';
$string['nopassage'] = 'No Reading Passage';
$string['normalhelp'] = 'Read the passage aloud. Speak at a speed that is natural for you.';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['notgradedyet'] = 'Your submission has been received, but has not been graded yet. It might take a few minutes.';
$string['notimelimit'] = 'No time limit';
$string['notmasterinstance'] = 'You can not push passage or alternatives unless master instance is checked in activity settings.';
$string['notok'] = 'Not OK';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['nottsvoice'] = 'No TTS Voice';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['numeric'] = 'Must be numeric';
$string['ok'] = 'OK';
$string['onemin'] = '1 minute';
$string['oneminxsecs'] = '1 minutes {$a} seconds';
$string['open'] = 'Open:';
$string['oralreadingscore'] = 'Oral Reading Score';
$string['oralreadingscore_p'] = 'Oral Reading Score(%)';
$string['ottawa'] = 'Ottawa, Canada';
$string['overview'] = 'Overview';
$string['overview_help'] = 'Overview Help';
$string['passage'] = 'Reading Passage';
$string['passage_descr'] = 'Enter the reading passage above. It should not be longer than 3000 characters if you wish audio to be generated for it.';
$string['passage_help'] = 'The passage that will be shown to the student to read.';
$string['passageindex'] = 'Passage Index';
$string['passagekey'] = 'Passage Key';
$string['passagekey_details'] = 'The passage key is just a tag that will be exported to csv with some reports to make post processing those reports in a spreadsheet easier. It is fine to leave it empty.';
$string['passagekey_help'] = 'The passage key is just a tag that will be exported to csv with some reports to make post processing those reports in a spreadsheet easier.';
$string['passagelabel'] = 'Reading Passage';
$string['passageword'] = 'Passage Word';
$string['pl-pl'] = 'Polish';
$string['playbutton'] = 'Play';
$string['pluginadministration'] = 'ReadAloud Administration';
$string['pluginname'] = 'Poodll ReadAloud';
$string['postattempt_eval'] = 'Show the passage, and evaluation(WPM,Acc,Grade)';
$string['postattempt_evalerrors'] = 'Show the passage, evaluation(WPM,Acc,Grade) and errors';
$string['postattempt_evalerrorsnograde'] = 'Show the passage, evaluation(WPM, Acc) and errors';
$string['postattempt_none'] = 'Show the passage. Don\'t show evaluation or errors.';
$string['postattemptheader'] = 'Post attempt options';
$string['preview'] = 'Preview';
$string['previewhelp'] = 'Listen to a speaker read the passage aloud. You do not need to read aloud.';
$string['previewitem'] = 'Preview item';
$string['previewreading'] = 'Listen';
$string['privacy:metadata'] = 'The Poodll Read Aloud plugin does store personal data.';
$string['privacy:metadata:accuracy'] = 'The accuracy score for the attempt';
$string['privacy:metadata:aitable'] = 'Stores the scores and other user data associated with a read aloud attempt as evaluated by machine.';
$string['privacy:metadata:attemptid'] = 'The unique identifier of a users Read aloud attempt.';
$string['privacy:metadata:attempttable'] = 'Stores the scores and other user data associated with a read aloud attempt.';
$string['privacy:metadata:cloudpoodllcom'] = 'The ReadAloud plugin stores recordings in AWS S3 buckets via cloud.poodll.com.';
$string['privacy:metadata:cloudpoodllcom:userid'] = 'The ReadAloud plugin includes the moodle userid in the urls of recordings and transcripts';
$string['privacy:metadata:errorcount'] = 'The reading error count for the attempt';
$string['privacy:metadata:filename'] = 'File urls of submitted recordings.';
$string['privacy:metadata:fulltranscriptpurpose'] = 'The full transcripts of recordings.';
$string['privacy:metadata:readaloudid'] = 'The unique identifier of a Read Aloud activity instance.';
$string['privacy:metadata:sessionendword'] = 'The position of last word for the attempt';
$string['privacy:metadata:sessionerrors'] = 'The reading errors for the attempt';
$string['privacy:metadata:sessionscore'] = 'The session score for the attempt';
$string['privacy:metadata:sessiontime'] = 'The session time(recording time) for the attempt';
$string['privacy:metadata:timemodified'] = 'The last time attempt was modified for the attempt';
$string['privacy:metadata:transcriptpurpose'] = 'The recording short transcripts.';
$string['privacy:metadata:userid'] = 'The user id for the Read Aloud attempt';
$string['privacy:metadata:wpm'] = 'The Words Per Minute score for the attempt';
$string['processing'] = 'Processing';
$string['progresschart'] = 'Progress Chart';
$string['pt-br'] = 'Portuguese (BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['push'] = 'Push';
$string['pushalltogradebook'] = 'Re-push evaluations to gradebook';
$string['pushalternatives'] = 'Push Alternatives';
$string['pushalternatives_desc'] = 'Push alternatives field to all clone instances.';
$string['pushalternatives_done'] = 'Alternatives have been pushed';
$string['pushcorpus_button'] = 'Update and push corpus guide';
$string['pushcorpus_details'] = 'The course/site corpus will be updated automatically, but you can use the button below to update and push the corpus if you need to. This will generate a guide from the corpus range, and it will set all ReadAloud activities(using guided transcription) within the range to use the guide.';
$string['pushgradesettings'] = 'Grade Settings';
$string['pushgradesettings_desc'] = 'Push some of grade settings (completion cond. min grade, grade calculation, human/machine grading, highest/latest attempt) from this instance to clone instances. This wont update the max grade or other settings that affect the gradebook setup nor will it force a regrade of existing attempts. It is best to only use this on not yet attempted clones.';
$string['pushgradesettings_done'] = 'Grade Settings have been pushed';
$string['pushmodes'] = 'Modes';
$string['pushmodes_desc'] = 'Push the optional activity mode settings (preview, listen and repeat and shadow) from this instance to clone instances.';
$string['pushmodes_done'] = 'Modes have been pushed';
$string['pushpage'] = 'Push Page';
$string['pushpage_explanation'] = 'Use the buttons on this page to push settings from this ReadAloud instance to clones of it (ie activities with the same name). Be careful there is no going back so be sure of your intention before using.';
$string['pushpassage'] = 'Push Passage (and related settings)';
$string['pushpassage_desc'] = 'Push passage and phonetics and segments and other elements that are unique to the passage, to clones.';
$string['pushpassage_done'] = 'Passage has been pushed';
$string['pushquestions'] = 'Push Questions';
$string['pushquestions_desc'] = 'You could push comprehension questions from here if there were any. They will be implemented soon.';
$string['pushquestions_done'] = 'Questions have been pushed';
$string['pushtargetwpm'] = 'Target WPM';
$string['pushtargetwpm_desc'] = 'Push the Target WPM setting to all clone instances.';
$string['pushtargetwpm_done'] = 'Target WPM has been pushed';
$string['pushtimelimit'] = 'Time Limit';
$string['pushtimelimit_desc'] = 'Push the Time Limit setting to all clone instances.';
$string['pushtimelimit_done'] = 'Time limit has been pushed';
$string['pushttsmodelaudio'] = 'Push TTS and Model Audio';
$string['pushttsmodelaudio_desc'] = 'Push TTS and Model Audio related settings, this will not push any uploaded/recorded audio. It will push TTS audio and meta data including audio breaks.';
$string['pushttsmodelaudio_done'] = 'TTS and Model Audio have been pushed';
$string['quickgrade'] = 'Quick Grade';
$string['quiz'] = 'Quiz';
$string['quizcompletedwarning'] = 'Quiz completed. Tap to review.';
$string['quizhelp'] = 'Read the passage silently. Then answer the questions about the passafe.';
$string['rank'] = 'Rank';
$string['rawaccuracy_p'] = 'Acc(%)';
$string['rawgrade_p'] = 'Grade(%)';
$string['rawwpm'] = 'WPM';
$string['readaloud:addinstance'] = 'Add a new Read Aloud';
$string['readaloud:itemedit'] = 'Edit questions';
$string['readaloud:itemview'] = 'View questions';
$string['readaloud:manage'] = 'Can manage Read Aloud instances';
$string['readaloud:manageattempts'] = 'Can manage Read Aloud attempts';
$string['readaloud:preview'] = 'Can preview Read Aloud activities';
$string['readaloud:pushtoclones'] = 'Can push settings to clones';
$string['readaloud:submit'] = 'Can submit Read Aloud attempts';
$string['readaloud:tts'] = 'Can use Text To Speech(tts)';
$string['readaloud:view'] = 'Preview Read Aloud';
$string['readaloud:viewreports'] = 'Can view Read Aloud grades and reports';
$string['readaloudfieldset'] = 'Custom example fieldset';
$string['readaloudname'] = 'Poodll ReadAloud';
$string['readaloudname_help'] = 'This is the content of the help tooltip associated with the readaloudname field. Markdown syntax is supported.';
$string['readaloudtask'] = 'Read Aloud Task';
$string['readingtime'] = 'Read Time (secs)';
$string['reattempt'] = 'Try Again';
$string['rec_once'] = 'Just start';
$string['rec_readaloud'] = 'Mic-test then start';
$string['rec_upload'] = 'Upload (for devs/admins)';
$string['recorder'] = 'Audio recorder type';
$string['recorder_help'] = 'Choose the audio recorder type that best suits your students and situation.';
$string['recordingaiheader'] = 'Recording and AI options';
$string['refreshtoken'] = 'Refresh license information';
$string['region'] = 'AWS Region';
$string['regrade'] = 'Regrade';
$string['reports'] = 'Reports';
$string['reportsmenutoptext'] = 'Review attempts on ReadAloud activities using the reports below.';
$string['returnmenu'] = 'Return to Menu';
$string['returntogradinghome'] = 'Return to Grading Top';
$string['returntomachinegradinghome'] = 'Return to Machine Evaluations Top';
$string['returntomenu'] = 'Return to Menu';
$string['returntoreports'] = 'Return to Reports';
$string['review'] = 'Review';
$string['ro-ro'] = 'Romanian';
$string['rsquestions'] = 'Questions';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['saveandnext'] = 'Save .... and next';
$string['saveitem'] = 'Save item';
$string['savemodelaudio'] = 'Save Recording';
$string['savemodelaudiomarkup'] = 'Save model audio markup';
$string['secs_till_check'] = 'Checking for results in:';
$string['sessionscoremethod'] = 'Grade Calculation';
$string['sessionscoremethod_details'] = 'How the value(%) for gradebook is calculated.';
$string['sessionscoremethod_help'] = 'The value(%) for gradebook is calculated as a percentage, either WPM / Target_WPM (normal) or (WPM - Errors)/ Target_WPM (strict)';
$string['sessionscorenormal'] = 'Normal: Total correct words per min / Target_WPM';
$string['sessionscorestrict'] = 'Strict: (Total correct words - errors) per min /Target WPM';
$string['setup'] = 'Setup';
$string['shadowhelp'] = 'Read the passage aloud, along with the teacher. You should wear headphones.';
$string['showingattempt'] = 'Showing attempt for: {$a}';
$string['showingmachinegradedattempt'] = 'Machine evaluated attempt for: {$a}';
$string['shuffleanswers'] = 'Shuffle Answers';
$string['shufflequestions'] = 'Shuffle Questions';
$string['singapore'] = 'Singapore';
$string['slowspeed'] = 'Slow';
$string['spotcheckbutton'] = 'Spot Check Mode';
$string['startreading'] = 'Read';
$string['startshadowreading'] = 'Shadow Practice';
$string['stopbutton'] = 'Stop';
$string['stricttranscribe'] = 'Passage Transcriber';
$string['stricttranscribe_details'] = 'The transcriber to use for full passage readings.';
$string['studentid'] = 'St. No.';
$string['studentname'] = 'Student Name';
$string['submitted'] = 'submitted';
$string['summaryexplainer'] = 'The table below shows your average and your highest scores for this activity.';
$string['sv-se'] = 'Swedish';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['targetwpm'] = 'Target WPM';
$string['targetwpm_details'] = 'The default target WPM. A students grade is calculated for the gradebook using this value as the maximum score. If their WPM score is equal to, or greater than the target WPM, they will score 100%. The target WPM can also be set at the activity instance level.';
$string['targetwpm_help'] = 'The target WPM score. A students grade is calculated for the gradebook using this value as the maximum score. If their WPM score is equal to, or greater than the target WPM, they will score 100%.';
$string['te-in'] = 'Telugu';
$string['textboxchoice'] = 'Text Box Choice';
$string['textchoice'] = 'Text Area Choice';
$string['timecreated'] = 'Time Created';
$string['timelimit'] = 'Time Limit';
$string['timelimit_help'] = 'Sets a time limit on the reading. Reading time is used in the WPM calculation. Consider also checking - Allow Early Exit';
$string['tokyo'] = 'Tokyo, Japan';
$string['total_mistranscriptions'] = 'Total mistranscriptions: {$a}';
$string['totalattempts'] = 'Attempts';
$string['tr-tr'] = 'Turkish';
$string['transcriber'] = 'Line Transcriber';
$string['transcriber_details'] = 'The transcription engine to use for line by line reading.';
$string['transcriber_guided'] = 'Guided STT (Poodll)';
$string['transcriber_none'] = 'No transcription';
$string['transcriber_strict'] = 'Open STT (Strict)';
$string['transcriber_warning'] = 'You have selected instant transcription. Note that this will <strong>only work if passage language and region are correct</strong>.';
$string['transcript'] = 'Transcript';
$string['transcriptcheckbutton'] = 'Transcript Check Mode';
$string['ttslanguage'] = 'Passage Language';
$string['ttslanguage_details'] = 'This value is used for speech recognition and text to speech.';
$string['ttslanguage_help'] = 'This value is used for speech recognition and text to speech.';
$string['ttsspeed'] = 'TTS Speed';
$string['ttsspeed_help'] = 'The machine voice reading speed. Slow or Extra Slow are good for learners, but can distort the audio.';
$string['ttsvoice'] = 'TTS Voice';
$string['ttsvoice_help'] = 'The machine voice used to read the passage aloud. You should select a voice that matches the language famly of the passage language. Use the model audio tab to record or upload an alternative model audio.';
$string['uk-ua'] = 'Ukranian';
$string['unlimited'] = 'unlimited';
$string['until'] = 'Until:';
$string['uploadconverterror'] = 'An error occured while posting your file to the server. Your submission has NOT been received. Please refresh the page and try again.';
$string['uploadmodelaudio'] = 'Upload Audio File';
$string['useast1'] = 'US East';
$string['usecorpus'] = 'Guided Transcription Type';
$string['usecorpuschanged'] = 'Guided Transcription Type Changed';
$string['username'] = 'User';
$string['view'] = 'View';
$string['viewadmintab'] = 'View Administrator Tab';
$string['viewend'] = 'Activity close';
$string['viewend_help'] = 'If set, prevents a student from entering the activity after the closing date/time.';
$string['viewgrading'] = 'View Grading';
$string['viewmachinegrading'] = 'Machine Evaluation';
$string['viewmodeltranscript'] = 'View Model Transcript';
$string['viewreports'] = 'View Reports';
$string['viewstart'] = 'Activity open';
$string['viewstart_help'] = 'If set, prevents a student from entering the activity before the start date/time.';
$string['waitforpassage'] = 'There is no reading passage set yet for this activity. You will not be able to do the activity until your teacher adds one';
$string['waiting'] = '-- waiting --';
$string['welcomelabel'] = 'Pre-attempt instructions';
$string['welcomelabel_details'] = 'The default instructions. Can be edited when creating a new Read Aloud activity.';
$string['welcomemenu'] = 'Choose from the options below.';
$string['whatdonow'] = 'What would you like to do?';
$string['wpm'] = 'WPM';
$string['xmins'] = '{$a} minutes';
$string['xminsecs'] = '{$a->minutes} minutes {$a->seconds} seconds';
$string['xsecs'] = '{$a} seconds';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
