<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'scratchpad', language 'en', version '4.0'.
 *
 * @package     scratchpad
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accessdenied'] = 'Access denied';
$string['alwaysopen'] = 'Always open';
$string['answer'] = 'Answer';
$string['blankentry'] = 'Blank entry';
$string['completionanswer'] = 'Student must answer this activity at least once';
$string['completionanswergroup'] = 'Require answers';
$string['daysavailable'] = 'Days available';
$string['deadline'] = 'Days Open';
$string['download'] = 'Download';
$string['downloadmesage'] = 'Thank you for completing the module. You will be able to download a copy of all your reflections in a PDF format from the button below.';
$string['downloadmode'] = 'Download';
$string['editingended'] = 'Editing period has ended';
$string['editingends'] = 'Editing period ends';
$string['entries'] = 'Entries';
$string['entry'] = 'Entry';
$string['evententriesviewed'] = 'Scratchpad entries viewed';
$string['evententrycreated'] = 'Scratchpad entry created';
$string['evententryupdated'] = 'Scratchpad entry updated';
$string['eventfeedbackupdated'] = 'Scratchpad feedback updated';
$string['eventscratchpadcreated'] = 'Scratchpad created';
$string['eventscratchpaddeleted'] = 'Scratchpad deleted';
$string['eventscratchpadviewed'] = 'Scratchpad viewed';
$string['feedbackupdated'] = 'Feedback updated for {$a} entries';
$string['gradeingradebook'] = 'Current grade in gradebook';
$string['mailsubject'] = 'Scratchpad feedback';
$string['mode'] = 'Mode';
$string['modulename'] = 'Scratchpad';
$string['modulename_help'] = 'The scratchpad activity enables teachers to obtain students feedback
 about a specific topic';
$string['modulename_link'] = 'mod/scratchpad/view';
$string['modulenameplural'] = 'Scratchpads';
$string['name'] = 'Name:';
$string['needsregrade'] = 'Entry has changed since last feedback was saved.';
$string['newscratchpadentries'] = 'New scratchpad entries';
$string['nodeadline'] = 'Always open';
$string['noentriesmanagers'] = 'There are no teachers';
$string['noentry'] = 'No entry';
$string['noratinggiven'] = 'No rating given';
$string['notopenuntil'] = 'This scratchpad won\'t be open until';
$string['notstarted'] = 'You have not started this scratchpad yet';
$string['overallrating'] = 'Overall rating';
$string['pluginadministration'] = 'Scratchpad module administration';
$string['pluginname'] = 'Scratchpad';
$string['preventry'] = 'Previous entry';
$string['privacy:metadata:scratchpad_entries'] = 'A record of scratchpad entry';
$string['privacy:metadata:scratchpad_entries:entrycomment'] = 'The comment received by user to scratchpad';
$string['privacy:metadata:scratchpad_entries:modified'] = 'The start time of the scratchpad entries.';
$string['privacy:metadata:scratchpad_entries:rating'] = 'The rating received by user to journl';
$string['privacy:metadata:scratchpad_entries:text'] = 'The text written by user';
$string['privacy:metadata:scratchpad_entries:userid'] = 'The ID of the user';
$string['question'] = 'Question';
$string['rate'] = 'Rate';
$string['removeentries'] = 'Remove all entries';
$string['removemessages'] = 'Remove all Scratchpad entries';
$string['saveallfeedback'] = 'Save all my feedback';
$string['scratchpad:addentries'] = 'Add scratchpad entries';
$string['scratchpad:addinstance'] = 'Add a new scratchpad';
$string['scratchpad:manageentries'] = 'Manage scratchpad entries';
$string['scratchpadmail'] = '{$a->teacher} has posted some feedback on your
scratchpad entry for \'{$a->scratchpad}\'

You can see it appended to your scratchpad entry:

    {$a->url}';
$string['scratchpadmailhtml'] = '{$a->teacher} has posted some feedback on your
scratchpad entry for \'<i>{$a->scratchpad}</i>\'<br /><br />
You can see it appended to your <a href="{$a->url}">scratchpad entry</a>.';
$string['scratchpadname'] = 'Scratchpad name';
$string['scratchpadquestion'] = 'Scratchpad question';
$string['search:activity'] = 'Scratchpad - activity information';
$string['search:entry'] = 'Scratchpad - entries';
$string['section'] = 'Section';
$string['showoverview'] = 'Show scratchpads overview on my moodle';
$string['showrecentactivity'] = 'Show recent activity';
$string['startoredit'] = 'Edit';
$string['submitted'] = 'Submitted on';
$string['title'] = 'Title';
$string['viewallentries'] = 'View {$a} scratchpad entries';
$string['viewentries'] = 'View entries';
$string['viewmode'] = 'Scratchpad';
