<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'stampcoll', language 'en', version '4.0'.
 *
 * @package     stampcoll
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['addstamp'] = 'Add a new stamp';
$string['addstampbutton'] = 'Add';
$string['confirmdel'] = 'Do you really want to delete this stamp?';
$string['deletestamp'] = 'Delete';
$string['deletestampconfirm'] = 'Do you really want to delete this stamp?';
$string['displayzero'] = 'Display users with no stamps';
$string['editstamp'] = 'Edit stamp';
$string['errtextlength'] = 'Text too long';
$string['eventstampadded'] = 'Stamp given';
$string['eventstampdeleted'] = 'Stamp deleted';
$string['eventstampgranted'] = 'Stamp received';
$string['eventstampupdated'] = 'Stamp updated';
$string['filearea_image'] = 'Stamp image';
$string['givenby'] = 'From: {$a}';
$string['givento'] = 'To: {$a}';
$string['managegivestampto'] = 'Give new stamp to {$a->fullname}';
$string['managestamps'] = 'Manage stamps';
$string['manageupdatestamp'] = 'Update stamp #{$a->number} of {$a->fullname}';
$string['modulename'] = 'Stamp collection';
$string['modulename_help'] = 'The Stamp collection module allows to give so called stamps (picture with a comment) to users so they collect these stamps. Students can be allowed to give stamps to other students and stamps may be given to teachers, too.

Teachers can setup the module to show all stamps to all students, to show stamps only to the individual student to whom it was awarded or to hide stamps completely.

The activity can be used in many ways, such as:

* motivative bonus marks
* absence marks
* certification records';
$string['modulenameplural'] = 'Stamp collections';
$string['nocollectingusers'] = 'There are no users who can collect stamps in this collection';
$string['noinstances'] = 'There are no stamp collections in this course';
$string['nostampscollected'] = 'No stamps collected';
$string['nostampsincollection'] = 'No stamps in this collection';
$string['notallowedtoviewstamps'] = 'You are not allowed to view stamps in this collection';
$string['numberofcollectedstamps'] = 'Number of collected stamps: {$a}';
$string['numberofstamps'] = 'Stamps';
$string['numberofyourstamps'] = 'Number of your stamps: {$a}';
$string['ownstamps'] = 'Own stamps';
$string['perpage'] = 'Users per page';
$string['pluginadministration'] = 'Stamp collection administration';
$string['pluginname'] = 'Stamp collection';
$string['privacy:metadata:stampcoll_stamps'] = 'Information about stamps collected by users.';
$string['privacy:metadata:stampcoll_stamps:giver'] = 'The ID of the user who gave the stamp.';
$string['privacy:metadata:stampcoll_stamps:modifier'] = 'The ID of the user who last modified the stamp text (if any).';
$string['privacy:metadata:stampcoll_stamps:stampcollid'] = 'The stamp collection ID.';
$string['privacy:metadata:stampcoll_stamps:text'] = 'The stamp comment text.';
$string['privacy:metadata:stampcoll_stamps:timecreated'] = 'When the stamp was originally given.';
$string['privacy:metadata:stampcoll_stamps:timemodified'] = 'When the stamp text was last modified.';
$string['privacy:metadata:stampcoll_stamps:userid'] = 'The ID of the user who owns the stamp.';
$string['showupdateforms'] = 'Show forms to update stamps';
$string['stampalt'] = 'Stamp image';
$string['stampcoll:addinstance'] = 'Add a new stamp collection';
$string['stampcoll:collectstamps'] = 'Collect stamps';
$string['stampcoll:givestamps'] = 'Give stamps';
$string['stampcoll:managestamps'] = 'Manage stamps';
$string['stampcoll:view'] = 'View the activity';
$string['stampcoll:viewotherstamps'] = 'View others\' stamps';
$string['stampcoll:viewownstamps'] = 'View own stamps';
$string['stampgivenby'] = 'Given by';
$string['stampgivenon'] = 'Given on';
$string['stampimage'] = 'Custom stamp image';
$string['stampimage_help'] = 'Recommended size is 35x35 pixels. If left empty, the default image will be used.';
$string['stamps'] = 'Stamps';
$string['stamptext'] = 'Text';
$string['studentsperpage'] = 'Students per page';
$string['timemodified'] = 'Last change';
$string['toggleviewmode'] = 'Toggle stamp display mode';
$string['updatestamps'] = 'Update stamps';
$string['usernotenrolled'] = 'User is not enrolled into this course';
