<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_joomdlebs', language 'en', version '4.0'.
 *
 * @package     theme_joomdlebs
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['blockbackgroundcolor'] = 'Block background colour';
$string['blockbackgroundcolordesc'] = 'Set the block background colour, use html hex code.';
$string['blockbordercolor'] = 'Block border colour';
$string['blockbordercolordesc'] = 'Set the block border colour, use html hex code.';
$string['blockborderradius'] = 'Block border radius';
$string['blockborderradiusdesc'] = 'Set the block border radius in pixels.';
$string['blockbordersize'] = 'Block border size';
$string['blockbordersizedesc'] = 'Set the block border size in pixels.';
$string['bodybgcolor'] = 'Body background colour';
$string['bodybgcolordesc'] = 'Set the body background colour applied in the full page.';
$string['choosereadme'] = '<div class="clearfix"></div><div class="theme_screenshot"><h2>Joomdle BS</h2><img src="joomdlebs/pix/screenshot.png" />
<h3>Theme Credits</h3>
<p>Fernando Acedo (Lead Developer)</p>
<p><a href="http://3-bits.com">3bits</a> Development Team</p>
<br />
<p>Contact: <a href="http://3-bits.org/contact">http://3-bits.org/contact</a></p>
<br/><div class="theme_description"><h3>Description</h3><p>Joomdlebs is a theme for moodle 3.10 based in Boost. This theme is created to be used with <a href="http://joomdle.com">Joomdle<a/> sites <b>only</b>. Some parts like the header, footer and login link have been removed deliberately.</p>
<br/><br/>
<p style="padding: 3px; background-color: #eeff41; font-size: 24px; font-weight: bolder;">IMPORTANT: DO NOT USE IN MOODLE STAND ALONE INSTALLATIONS.</p>
<br/><br/>
<h3>Settings</h3>
<p>You can change the main colours from the backend: site background, links, links hover and menu background. Ypu can use also any Google Font.
</p>
<br/>
<h3>Report a bug</h3>
<p>To report issues or bugs:<br/>
<a href="https://gitlab.com/3bits/joomdlebs/-/issues">https://gitlab.com/3bits/joomdlebs/-/issues</a>
</p>
<br/>
<p>Visit our GitHub for latest updates<br />
<a href="https://gitlab.com/3bits/joomdlebs">https://gitlab.com/3bits/joomdlebs</a>
</p>
<br/>
<h3>Tweaks</h3>
<p>If you want to modify this theme, we recommend that you first duplicate it and then rename it before making your changes.
This will prevent your customized theme from being overwritten by future upgrades, and you will still have the original files if you make a mess.</p>
<br/>
<h3>License</h3>
<p>This theme is licensed under the <a href="http://www.gnu.org/licenses/gpl.html">GNU General Public License v3</a>.<p/>
<p>Google Fonts licensed under several licenses. See <a href="https://www.google.com/fonts/attribution">https://www.google.com/fonts/attribution</a><p/>
</div></div>';
$string['configtitle'] = 'joomdlebs';
$string['customcss'] = 'Custom CSS';
$string['customcssdesc'] = 'Add your extra CSS in this box, use it to customize your theme.';
$string['fontcolor'] = 'Main font colour';
$string['fontcolordesc'] = 'Set the colour of the main font in the theme.';
$string['fontheadercolor'] = 'Headers font colour';
$string['fontheadercolordesc'] = 'Set the colour of the headers font in the theme.';
$string['fontheadername'] = 'Headers font';
$string['fontheadernamedesc'] = 'Set the headers <a href="https://www.google.com/fonts" target="_blank">Google Fonts</a> used in the Joomla template. Empty to use the default browser font.';
$string['fontheaderweight'] = 'Headers font weight';
$string['fontheaderweightdesc'] = 'Set the headers <a href="https://www.google.com/fonts" target="_blank">Google Fonts</a> weight used in the Joomla template. <span style="color: #ff0000;">Verify the value is included in the font styles or the font will not displayed correctly.</span>';
$string['fontname'] = 'Main font';
$string['fontnamedesc'] = 'Main <a href="https://www.google.com/fonts" target="_blank">Google Fonts</a> used in the Joomla template. Empty to use the default browser font.';
$string['fontsubset'] = 'Google Fonts subset';
$string['fontsubsetdesc'] = 'Select the character subset to be applied to all the fonts. Latin subset is already included by default. Visit <a href="https://www.google.com/fonts" target="_blank">Google Fonts</a> for more information about the subset available for the font selected.';
$string['fontweight'] = 'Main font weight';
$string['fontweightdesc'] = 'Set the main <a href="https://www.google.com/fonts" target="_blank">Google Fonts</a> weight used in the Joomla template. <span style="color: #ff0000;">Verify the value is included in the font styles or the font will not displayed correctly.</span>';
$string['linkcolor'] = 'Link colour';
$string['linkcolordesc'] = 'Set the colour used by links.';
$string['linkhovercolor'] = 'Link hover colour';
$string['linkhovercolordesc'] = 'Set the colour used by links when over the mouse.';
$string['menubgcolor'] = 'Menu background colour';
$string['menubgcolordesc'] = 'Set the colour used in the menu background. Enter transparent to remove the background.';
$string['menutextcolor'] = 'Menu text colour';
$string['menutextcolordesc'] = 'Set the colour used in the menu text.';
$string['notes'] = 'Joomdle Configuration page';
$string['notesdesc'] = 'Configure your theme';
$string['pluginname'] = 'JoomdleBS';
$string['privacy:metadata'] = 'JoomdleBS do not store any individual user data.';
$string['purgecaches'] = 'Purge caches';
$string['region-side-post'] = 'Right';
$string['region-side-pre'] = 'Left';
$string['settingsblocks'] = 'Blocks';
$string['settingsfonts'] = 'Fonts';
$string['settingsmaincolors'] = 'Colours';
$string['settingsother'] = 'Other settings';
$string['topmargin'] = 'Top margin';
$string['topmargindesc'] = 'Set the top margin of the moodle iframe in the Joomla template.';
