<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'theme_rebel', language 'en', version '4.0'.
 *
 * @package     theme_rebel
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['advancedsettings'] = 'Colors';
$string['alert'] = 'Login Page Alert';
$string['alert_desc'] = 'Add a special alert on your homepage such as an emergency.';
$string['backgrounds'] = 'Backgrounds';
$string['badges'] = 'Badges';
$string['badges_desc'] = 'Award your students';
$string['brandcolor'] = 'Brand colour';
$string['brandcolor_desc'] = 'The accent colour.';
$string['brandemail'] = 'Organization Email';
$string['brandemaildesc'] = 'Email address for organization that appears in footer.';
$string['brandinginfo'] = 'Branding Options';
$string['brandinginfo_desc'] = 'Use the options below to provide branding for your site.';
$string['brandingsettings'] = 'Branding Settings';
$string['brandlogo'] = 'Brand Logo Image';
$string['brandlogo_desc'] = 'This image is displayed in the header area and footer area.  It should be a small sized logo.';
$string['brandorganization'] = 'Organization Name';
$string['brandorganizationdesc'] = 'Organization name to appear in the footer.';
$string['brandphone'] = 'Organization Phone';
$string['brandphonedesc'] = 'Phone number to appear in footer.';
$string['brandwebsite'] = 'Organization Website';
$string['brandwebsitedesc'] = 'Website address to appear in footer for organization.';
$string['choosereadme'] = 'Theme rebel is a child theme of Boost. It adds the ability to upload background rebel.';
$string['cmnotestudent'] = 'Student Dashboard Message';
$string['cmnotestudent_desc'] = 'Provide a message for all students in the course management panel.';
$string['cmnoteteacher'] = 'Teacher Dashboard Message';
$string['cmnoteteacher_desc'] = 'Provide a message for all teachers in the course management panel.';
$string['cmnotetitle'] = 'Course Dashboard';
$string['cmnotetitle_desc'] = 'Course Dashboard notes';
$string['color_desc'] = 'Choose a new background color for this variable.';
$string['configtitle'] = 'Rebel Theme';
$string['courseadmininfo'] = 'Teacher Course Management Links';
$string['courseadmininfo_desc'] = 'Determine which links you would like to display to teachers in the Course Management navigation drawer.';
$string['courseadminlinktoggle'] = 'Show or hide this link in the Course Management navigation drawer.';
$string['courseadminmenusettings'] = 'Navigation Menu Settings';
$string['courseadminmenutitle'] = 'Course Management';
$string['courseadminreportinfo'] = 'Teacher Course Management Report Links';
$string['courseheaderlinktoggle'] = 'Show or hide this link in the header area.';
$string['courseinfo'] = 'Course Description';
$string['coursemanage'] = 'Course Settings';
$string['coursemanage_desc'] = 'Manage your entire course';
$string['coursemanagementbutton'] = 'Course Management';
$string['coursereportmenutitle'] = 'Course Reports';
$string['coursestaff'] = 'Course Teachers';
$string['coursetilebg'] = 'Default Course Image';
$string['coursetilebg_desc'] = 'This is the default image for course tiles on the Dashboard and the default header image for all courses where a teacher has not uploaded an image into Course Settings.  Even with Header Images turned off you can use an image here to be the default Dashboard Course Tile image.';
$string['createinfo'] = 'Special Course Creator Button';
$string['createinfodesc'] = 'This button appears on the homepage when a user can create new courses.  Those with the role of Course Creator at the site level will see this button.';
$string['customlogininfo'] = 'Enhance the Login Page';
$string['customlogininfo_desc'] = 'Use the options below to enhance the login page for Rebel.';
$string['dashboardbackgroundimage'] = 'Dashboard page background image';
$string['dashboardbackgroundimage_desc'] = 'An image that will be stretched to fill the background of the dashboard page.';
$string['dashboardiconbutton'] = 'Course Dashboard';
$string['dashboardtextbox'] = 'Dashboard Textbox';
$string['dashboardtextbox_desc'] = 'This is a custom textbox that is displayed on the site Dashboard.  Use it to welcome learners or provide instructions.';
$string['defaultbackgroundimage'] = 'Site Page Header Image';
$string['defaultbackgroundimage_desc'] = 'This image is used in the header area for all of the main Moodle pages: Dashboard, Profile, Site Home, all pages besides course pages.';
$string['easyenrol_blurp'] = 'Enter your course code below to enroll in new courses.  Your teacher provides a course code.';
$string['easyenrol_btn'] = 'Enroll in a Course';
$string['easyenrol_title'] = 'Enrollment Form';
$string['editoff'] = 'Turn Edit Off';
$string['editon'] = 'Turn Edit On';
$string['featuretext'] = 'Featured Text Box';
$string['featuretext_desc'] = 'One of three featured textboxes that appear below the login form.';
$string['footer-bg'] = 'Footer Background';
$string['footeroverlay'] = 'Footer Texture';
$string['footeroverlay_desc'] = 'Recommended overlay: Brushed.png.  You can choose to change the footer background texture.  We download transparent background images from here: <a href="https://www.transparenttextures.com/">https://www.transparenttextures.com/</a>';
$string['footnote'] = 'Footnote';
$string['footnotedesc'] = 'Footnote content editor for main footer';
$string['frontpagebackgroundimage'] = 'Front page background image';
$string['frontpagebackgroundimage_desc'] = 'An image that will be stretched to fill the background of the front page.';
$string['generalsettings'] = 'General settings';
$string['header-bg'] = 'Header Background';
$string['headerlinks-bg'] = 'Headerlinks Navbar Background';
$string['headermenuinfo'] = 'Header Menu Items';
$string['headermenuinfo_desc'] = 'Determine which links you would like to display in the header area.';
$string['headeroverlay'] = 'Header Texture';
$string['headeroverlay_desc'] = 'Recommended overlay: Brushed.png.  You can choose to change the header background texture.  We download transparent background images from here: <a href="https://www.transparenttextures.com/">https://www.transparenttextures.com/</a>';
$string['iconnavheading'] = 'Icon Navigation';
$string['iconnavinfo'] = 'Dashboard Icon Navigation';
$string['iconnavinfo_desc'] = 'Create buttons with icons for use on the homepage. These appear at the top of the page on the Dashboard.';
$string['iconwidth'] = 'Homepage Icon Width';
$string['iconwidth_desc'] = 'Width of the 8 individual icons in the icon navigation bar on the homepage.';
$string['iconwidthinfo'] = 'Icon Button Width Setting';
$string['iconwidthinfodesc'] = 'Select a width that will allow your link text to fit inside the icon navigation buttons.';
$string['incoursebackgroundimage'] = 'Course page background image';
$string['incoursebackgroundimage_desc'] = 'An image that will be stretched to fill the background of course pages.';
$string['loginbackgroundimage'] = 'Login page background image';
$string['loginbackgroundimage_desc'] = 'An image that will be stretched to fill the background of the login page.';
$string['loginbottomtext'] = 'Bottom Textbox';
$string['loginbottomtext_desc'] = 'This is a full-width textbox that appears at the very bottom of the login page.';
$string['loginiconbutton'] = 'Login to Site';
$string['loginsettings'] = 'Login Settings';
$string['logintopimage'] = 'Login Page Image';
$string['logintopimage_desc'] = 'Upload an image that will be placed to the right of the login form.';
$string['logintoptext'] = 'Top Textbox';
$string['logintoptext_desc'] = 'This is a full-width textbox that appears just below the image on the login page.';
$string['marketingurltarget'] = 'Link Target';
$string['marketingurltargetdesc'] = 'Choose how the link should be opened';
$string['marketingurltargetnew'] = 'New Page';
$string['marketingurltargetparent'] = 'Parent Frame';
$string['marketingurltargetself'] = 'Current Page';
$string['moreoptions'] = 'More Options...';
$string['mygradestext'] = 'My Grades';
$string['myprogresspercentage'] = '% Complete';
$string['myprogresstext'] = 'My Progress';
$string['navbar-bg'] = 'Top Navbar Background';
$string['navicon'] = 'Icon';
$string['navicon1'] = 'Homepage Icon One';
$string['navicon2'] = 'Homepage Icon Two';
$string['navicon3'] = 'Homepage Icon Three';
$string['navicon4'] = 'Homepage Icon Four';
$string['navicon5'] = 'Homepage Icon Five';
$string['navicon6'] = 'Homepage Icon Six';
$string['navicon7'] = 'Homepage Icon Seven';
$string['navicon8'] = 'Homepage Icon Eight';
$string['naviconbuttontext'] = 'Link Text';
$string['naviconbuttontextdesc'] = 'Text to appear below the icon.';
$string['naviconbuttonurl'] = 'Link URL';
$string['naviconbuttonurldesc'] = 'URL the button will point to. You can link to anywhere including outside websites  just enter the proper URL.  If your Moodle site is in a subdirectory the default URL will not work.  Please adjust the URL to reflect the subdirectory. Example if "moodle" was your subdirectory folder then the URL would need to be changed to /moodle/my/';
$string['navicondesc'] = 'Name of the icon you wish to use. List is <a href="https://fontawesome.com/v4.7.0/icons/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['naviconslidedesc'] = 'Suggested icon text: arrow-circle-down . Or choose from the list is <a href="https://fontawesome.com/v4.7.0/icons/" target="_new">here</a>.  Just enter what is after "fa-", e.g. "star".';
$string['nomycourses'] = 'You are not enrolled in any courses.';
$string['nothiscourse'] = 'We cannot identify any course sections or topics';
$string['pluginname'] = 'Rebel';
$string['preset'] = 'Theme preset';
$string['preset_desc'] = 'Pick a preset to broadly change the look of the theme.';
$string['presetfiles'] = 'Additional theme preset files';
$string['presetfiles_desc'] = 'Preset files can be used to dramatically alter the appearance of the theme. See <a href=https://docs.moodle.org/dev/Boost_Presets>Boost presets</a> for information on creating and sharing your own preset files. Rebel requires certain SCSS Preset variables.  You can view the Rebel theme presets here: <a href=https://github.com/dbnschools/moodle-theme_rebel/tree/master/scss/preset target=_blank>Rebel Github Presets repository</a>.';
$string['privacy:metadata'] = 'The Rebel theme does not store any individual user data.';
$string['qbank'] = 'Question Bank';
$string['qbank_desc'] = 'Create and organize quiz questions';
$string['rawscss'] = 'Raw SCSS';
$string['rawscss_desc'] = 'Use this field to provide SCSS or CSS code which will be injected at the end of the style sheet.';
$string['rawscsspre'] = 'Raw initial SCSS';
$string['rawscsspre_desc'] = '// Top Navbar area</br>
$navbar-bg: #e3eaf5 ;</br>
$navbartextcolor: #333;</br>

// Top Header area</br>
$header-bg: #eef5f9;</br>
$headerlinks-bg: #e3eaf5;</br>
$headerlinks-link: $black;</br>

// Breadcrumbs in Rebel</br>
$breadcrumbblock: #607d8b;</br>
$breadcrumbblock-darken: #213561;</br>
$breadcrumbblock-highlight: #213561;</br>
$breadcrumbblock-highlight-darken: #607d8b;</br>
$breadcrumblinkcolor: $white;</br>
$breadcrumblinkcolor-hover: $white;</br>

//Sidebar icons menu</br>
$sidebar-bg: $body-bg;</br>
$sidebar-iconcolor: $white;</br>
$sidebar-ahover-bg: #1f77b2;</br>
$sidebar-aattention: #4caf50;</br>
$sidebar-borderright-color: $white;</br>

// Bottom Footer area</br>
$footer-bg: #e5ebef;</br>
$footerlinkcolor: #333;</br>
$footertextcolor: #333;</br>

//Used to style Easy Enrollment plugin</br>
$easyenrolltextcolor: $white;</br>
$easyenroll-bg: #4caf50;</br>

//Other Important Colors</br>
$card-bg: rgba(255, 255, 255, 0.98)!default;</br>
$body-bg: #213561;</br>
$primary:       #1968BE;</br>
$success:       $green;</br>
$info:          #4caf50;</br>
$warning:       $orange;</br>
$danger:        $red;</br>
$secondary:     $gray-400;</br>

// Tabs</br>
$nav-tabs-border-color:             $gray-300;</br>
$nav-tabs-link-hover-border-color:  $gray-200 $gray-200 $nav-tabs-border-color;</br>
$nav-tabs-link-active-color:        $gray-700;</br>
$nav-tabs-link-active-bg:           $gray-200;</br>
$nav-tabs-link-active-border-color: $gray-300 $gray-300 $nav-tabs-link-active-bg;';
$string['region-side-pre'] = 'Right';
$string['sectionlayout'] = 'Section Style Chooser';
$string['sectionlayout1'] = 'Boost Moodle Default';
$string['sectionlayout2'] = 'Bold Section Title';
$string['sectionlayout3'] = 'Simple Rounded Box';
$string['sectionlayout4'] = 'Topic 0 Boxed';
$string['sectionlayout5'] = '';
$string['sectionlayout6'] = '';
$string['sectionlayout7'] = '';
$string['sectionlayout8'] = '';
$string['sectionlayout_desc'] = 'Choose from the following topic/weekly section styles.';
$string['showcoursesections'] = 'Show Course Section Navigation';
$string['showcoursesections_desc'] = 'This menu provides a drop down of course sections and allows quick navigation within a course.  It may not work with all course formats.';
$string['showcustomlogin'] = 'Use Custom Login Page';
$string['showcustomlogin_desc'] = 'Enable the features below to be displayed on the Moodle login page.';
$string['showheaderimages'] = 'Show Header Images';
$string['showheaderimages_desc'] = 'Allow Rebel to use custom images for the header area. You may still set a Course Tile image below but it will not be used as a header image within a course. This setting turns off using header images completely.';
$string['sidebar-bg'] = 'Sidebar Background';
$string['sliderinfo'] = 'Special Slide Icon Button';
$string['sliderinfodesc'] = 'This button will show/hide a special textbox which slides down from the icon navigation bar.  This is ideal for featuring courses, providing help, or listing required staff training.';
$string['slidetextbox'] = 'Slide Textbox';
$string['slidetextbox_desc'] = 'This textbox content will be displayed when the Slide Button is pressed.';
$string['studentdashbutton'] = 'Course Dashboard';
$string['thiscourse'] = 'Course Sections';
$string['userlinks'] = 'User Links';
$string['userlinks_desc'] = 'Manage your students';
