<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_certification', language 'en', version '4.0'.
 *
 * @package     tool_certification
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['actions'] = 'Actions';
$string['active'] = 'Active';
$string['activecertifications'] = 'Active certifications';
$string['afteractualcertcompletion'] = 'After current certification completion';
$string['afteractualcertcompletionwithrelativedate'] = '{$a} after current certification completion';
$string['afterallocationdate'] = 'After allocation date';
$string['afterallocationdatewithrelativedate'] = '{$a} after allocation date';
$string['aftercompletion'] = 'After completion';
$string['aftercompletionwithrelativedate'] = '{$a} after completion';
$string['afterduedate'] = 'After due date';
$string['afterduedatewithrelativedate'] = '{$a} after due date';
$string['afterlatest'] = 'After the latter of the current completion or expiration';
$string['afterlatestwithrelativedate'] = '{$a} after the latter of the current completion or expiration';
$string['afterpreviouscertexpdate'] = 'After previous certification expiry date';
$string['afterpreviouscertexpdatewithrelativedate'] = '{$a} after previous certification expiry date';
$string['afterstartdate'] = 'After start date';
$string['afterstartdatewithrelativedate'] = '{$a} after start date';
$string['allocatetocertification'] = 'Allocate to certification';
$string['allocateusers'] = 'Allocate users';
$string['allocationdate'] = 'Allocation date';
$string['allocationdateisonorafter'] = 'Allocation date on or after';
$string['allocationenddate'] = 'Allocation end date';
$string['allocationfor'] = 'Allocation for \'{$a}\'';
$string['allocationsource'] = 'Allocation source';
$string['allocationstartdate'] = 'Allocation start date';
$string['allocationwindowenddate'] = 'End date';
$string['allocationwindowenddate_help'] = 'End date for the allocation window';
$string['allocationwindowendedon'] = 'The allocation window for this certification ended on {$a}.';
$string['allocationwindowstartdate'] = 'Start date';
$string['allocationwindowstartdate_help'] = 'Start date for the allocation window';
$string['allocationwindowstartson'] = 'The allocation window for this certification starts on {$a}.';
$string['archive'] = 'Archive';
$string['archived'] = 'Archived';
$string['archivedcertifications'] = 'Archived certifications';
$string['archivedconfirmation'] = 'Are you sure you want to archive the certification \'{$a}\'? Archived certification will no longer be available for managers or learners and may only be viewed in historical reports.';
$string['archivedon'] = 'Archived on';
$string['autocreategroups'] = 'Add to course groups';
$string['autocreategroups_help'] = 'When users are enrolled in the program courses they can be automatically added to the same group. In case when "for this certification" is selected, a separate group for this certification will be used and it will be different from the other certifications using the same program.';
$string['autocreategroupsasinprogram'] = 'As defined in the program';
$string['autocreategroupscertification'] = 'Create groups for this certification';
$string['basic'] = 'Basic';
$string['basicdetails'] = 'Basic details';
$string['becamecertified'] = 'Became certified ({$a})';
$string['beforepreviouscertexpdate'] = 'before previous certification expiry date';
$string['calendarduedate'] = 'Due date for certification {$a}';
$string['calendarexpirydate'] = 'Expiry date for certification {$a}';
$string['certification'] = 'Certification';
$string['certification:allocateuser'] = 'Permission to allocate user';
$string['certification:configurecustomfields'] = 'Configure certifications custom fields';
$string['certification:edit'] = 'Permission to edit';
$string['certificationfullname'] = 'Certification full name';
$string['certificationfullname_help'] = 'Certification full name';
$string['certificationidnumber'] = 'Certification ID number';
$string['certificationidnumber_help'] = 'The ID number of a certification is only used when matching the certification against external systems and is not displayed anywhere on the site. If the certification has an official code name it may be entered, otherwise the field can be left blank.';
$string['certificationname'] = 'Certification name';
$string['certificationnamewithlink'] = 'Certification name with link';
$string['certificationprogress'] = 'Certification progress';
$string['certificationprogressexport'] = '{$a} certification progress';
$string['certificationrules'] = 'Certification rules';
$string['certifications'] = 'Certifications';
$string['certificationscustomfield'] = 'Certifications custom fields';
$string['certificationstatus'] = 'Certification status';
$string['certificationstatus_help'] = 'Status of the current certification';
$string['certificationtags'] = 'Certification tags';
$string['certificationtags_help'] = 'Tags for this certification';
$string['certificationtenant'] = 'Certification tenant';
$string['certificationuserlog'] = '{$a} activity log';
$string['certificationuserlogempty'] = 'There are no event logs for this user certification.';
$string['certificationuserlogfilename'] = '{$a->user} activity log {$a->certification}';
$string['certified'] = 'Certified';
$string['certifiedby'] = 'Certified by';
$string['certifiedcertificationslink'] = '<a href="{$a->href}">{$a->count} certified certifications</a>';
$string['certifieddate'] = 'Certified date';
$string['certifieddateisonorafter'] = 'Certification date is on or after';
$string['certifiednotification'] = 'User has been successfully certified';
$string['certifiedtype'] = 'Certified type';
$string['certify'] = 'Certify';
$string['certifyexpirydate'] = 'Expiry date';
$string['certifyexpirydate_help'] = 'Select an expiry date for this certified user between \'Default\' (shows the current certification configuration), \'Never\' or a custom date.';
$string['certifyuser'] = 'Certify user';
$string['completedtheprogram'] = 'Completed the program {$a}';
$string['conditioncertificationcertified'] = 'Certification certified';
$string['conditioncertificationcertifieddescription'] = 'Users who are certified in certification \'{$a->fullname}\'';
$string['conditioncertificationcertifieddescriptionall'] = 'Users who are certified in all of the following certifications: \'{$a->fullname}\'';
$string['conditioncertificationcertifieddescriptionallwithdate'] = 'Users who are certified in all of the following certifications: \'{$a->fullname}\'<br />
Certification date is on or after \'{$a->conditiondate}\'';
$string['conditioncertificationcertifieddescriptionany'] = 'Users who are certified in at least one of the following certifications: \'{$a->fullname}\'';
$string['conditioncertificationcertifieddescriptionanywithdate'] = 'Users who are certified in at least one of the following certifications: \'{$a->fullname}\'<br />
Certification date is on or after \'{$a->conditiondate}\'';
$string['conditioncertificationcertifieddescriptiononrecert'] = 'Execute for each re-certification';
$string['conditioncertificationcertifieddescriptionstatusonly'] = 'Execute only on status change';
$string['conditioncertificationcertifieddescriptionwithdate'] = 'Users who are certified in certification \'{$a->fullname}\'<br />
Certification date is on or after \'{$a->conditiondate}\'';
$string['conditioncertificationcertifiedonrecert'] = 'Always execute actions on all re-certifications';
$string['conditioncertificationcertifiedonrecert_help'] = 'This will effectively change the condition to <b>"User is certified and the re-certification period is not open"</b>. This will ensure that the user is marked as "unmatched" when re-certification opens, and the actions are executed for them again on program completion, even if they continue to be certified all the time.';
$string['conditioncertificationcertifiedstatusonly'] = 'Only execute actions when the user status changes from "not certified" to "certified"';
$string['conditioncertificationcertifiedstatusonly_help'] = 'In this case the actions may or may not be executed on re-certification, depending on whether the previous certification has expired or not. To make sure that actions are <b>never</b> executed during re-certification, consider setting the "Rule action limit" in the rule settings.';
$string['conditioncertificationexpired'] = 'Certification expired';
$string['conditioncertificationexpireddescription'] = 'Users whose certification \'{$a}\' has expired';
$string['conditioncertificationexpireddescriptionwithdate'] = 'Users whose certification \'{$a->fullname}\' has expired <br />
Expiry date is on or after \'{$a->conditiondate}\'';
$string['conditioncertificationnotcertified'] = 'Certification not certified';
$string['conditioncertificationnotcertifieddescription'] = 'Users who are not certified in certification \'{$a}\'';
$string['conditioncertificationoverdue'] = 'Certification overdue';
$string['conditioncertificationoverduedescription'] = 'Users who are overdue in certification \'{$a}\'';
$string['conditioncertificationoverduedescriptionwithdate'] = 'Users who are overdue in certification \'{$a->fullname}\'<br />
Due date is on or after \'{$a->conditiondate}\'';
$string['conditioncertificationsuspended'] = 'Certification suspended';
$string['conditioncertificationsuspendeddescription'] = 'Users who are suspended in certification \'{$a}\'';
$string['conditioncertificationsuspendeddescriptionwithdate'] = 'Users who are suspended in certification \'{$a->fullname}\'<br />
Suspension date is on or after \'{$a->conditiondate}\'';
$string['conditionrecertificationgraceperiod'] = 'Recertification grace period ends';
$string['conditionrecertificationgraceperiodendsdescription'] = 'Users whose grace period ends in certification \'{$a->fullname}\'';
$string['conditionrecertificationgraceperiodendsdescriptionwithdate'] = 'Users whose grace period ends in certification \'{$a->fullname}\'<br />
Recertification grace period ends on or before \'{$a->conditiondate}\'';
$string['conditionrecertificationstarted'] = 'Recertification period started';
$string['conditionrecertificationstarteddescription'] = 'Users who have started a recertification period in certification \'{$a->fullname}\'';
$string['conditionrecertificationstarteddescriptionwithdate'] = 'Users who have started a recertification period in certification \'{$a->fullname}\'<br />
Recertification started on or after \'{$a->conditiondate}\'';
$string['conditionuserallocated'] = 'Users allocated to certification';
$string['conditionuserallocateddescription'] = 'Users allocated to certification \'{$a}\'';
$string['conditionuserallocateddescriptionwithdate'] = 'Users allocated to certification \'{$a->fullname}\'<br />
Allocation date is on or after \'{$a->conditiondate}\'';
$string['conditionusernotallocated'] = 'Users not allocated to certification';
$string['conditionusernotallocateddescription'] = 'Users not allocated to certification \'{$a}\'';
$string['confirmdeallocateusers'] = 'This action will completely delete allocation and associated data for all the selected users. This action can not be undone.';
$string['confirmdeallocateusersheader'] = 'De-allocate users';
$string['confirmdeletecertification'] = 'Are you sure you want to delete the certification \'{$a}\' and associated data? This action cannot be undone.';
$string['confirmdeleteuserallocation'] = 'Are you sure you want to completely delete allocation of user \'{$a}\' and associated data? This action can not be undone.';
$string['confirmduplicate'] = 'A copy of the certification configuration will be created and you will be able to change the program and other properties. No user allocations will be carried over to the copy';
$string['content'] = 'Content';
$string['criteriaall'] = 'All of the selected certifications have been certified';
$string['criteriaany'] = 'At least one of the selected certifications is certified';
$string['criteriaany_help'] = 'When a user has already been certified in one of the certifications, certifying in the second certification does not trigger the actions again';
$string['criteriaeach'] = 'Every time a user is certified in any of the selected certifications';
$string['criteriaeach_help'] = 'Equivalent of creating multiple rules, one for each of the selected certifications';
$string['currentprogram'] = 'Current program';
$string['currentprogram_help'] = 'This is the current program this user is taking';
$string['dateoverrided'] = 'Date overridden';
$string['dayssinceallocation'] = 'Days since allocation';
$string['daystakingcertification'] = 'Days taking certification';
$string['deallocateusers'] = 'De-allocate users';
$string['default'] = 'Default';
$string['deleteallocation'] = 'Delete allocation';
$string['deleteuserallocation'] = 'Delete user allocation';
$string['displaycertificationdate'] = 'Certification date';
$string['displaycertificationduedate'] = 'Certification due date';
$string['displaycertificationid'] = 'Internal certification ID used in URLs';
$string['displaycertificationname'] = 'Certification name';
$string['displaycertificationprogramname'] = 'Initial program name for this certification';
$string['displaycertificationreopen'] = 'Recertification start date';
$string['displayexpirydate'] = 'Certification expiry date';
$string['displayexpirydatetimestamp'] = 'Certification expiry date timestamp';
$string['displaygraceperiodend'] = 'Grace period end date';
$string['displayrecertificationprogramname'] = 'Recertification program name';
$string['dontchange'] = 'Don\'t change';
$string['duedate'] = 'Due date';
$string['duedate_help'] = 'Date when the certification is due';
$string['duedateisonorafter'] = 'Due date on or after';
$string['duplicate'] = 'Duplicate';
$string['dynamic'] = 'Dynamic';
$string['dynamicrules'] = 'Dynamic rules';
$string['dynamicrulesplugincheck'] = 'Viewing the list of dynamic rules is impossible without plugin tool_dynamicrules';
$string['dynamicrulewarningdeallocation'] = 'Users can only be unallocated if they were allocated by another dynamic rule, manual allocations will not be affected.';
$string['editallocation'] = 'Edit allocation';
$string['editcertification'] = 'Edit certification \'{$a}\'';
$string['editcertificationname'] = 'Edit certification name';
$string['editcertificationsettings'] = 'Edit certification settings';
$string['editcontent'] = 'Edit content';
$string['editdetails'] = 'Edit details';
$string['editstatusanddates'] = 'Edit status and dates';
$string['editstatusanddatesbulk'] = 'Edit status and dates for multiple users';
$string['enddate'] = 'End date';
$string['entitycertification'] = 'Certification';
$string['entitycertificationusers'] = 'Certification users allocation and completion';
$string['errorallocatinguserintorelatedprogram'] = 'Can\'t allocate user into related program';
$string['errorallocationsourcenotfound'] = 'Allocation source not found';
$string['erroralreadycertified'] = 'User already certified in this certification with this start date.';
$string['errorcannotallocate'] = 'Unable to allocate user to certification (allocation already exists or is not permitted)';
$string['errorcantdeletecertification'] = 'Can\'t delete certification';
$string['errorcantdeletenotarchivedcertification'] = 'Can\'t delete a not archived certification';
$string['errorcantmanageusers'] = 'Can\'t manage users';
$string['errorcantrestorecertification'] = 'Can\'t restore certification';
$string['errorcertificationsdontexist'] = 'Some certifications do not exist';
$string['errorcouldnotallocate'] = 'Could not allocate user \'{$a->originaluserfullname}\' to certification \'{$a->certification}\'';
$string['errorevaluatinguserallocationstatus'] = 'Error evaluating user allocation status';
$string['errorexpirydatepreviousduedate'] = 'Expiry date can not be before due date';
$string['erroridnumberuniquetenant'] = 'This ID number is already used in another certification';
$string['errorinvalidcertification'] = 'Invalid certification';
$string['errorinvaliddate'] = 'Invalid date';
$string['errorinvalidpastexpirydate'] = 'Expiry date cannot be in the past';
$string['errorinvalidpaststartdate'] = 'Start date cannot be in the past';
$string['errorinvalidtimecertified'] = 'Time certified cannot be in future.';
$string['errormissingassociatedprogram'] = 'Missing associated program';
$string['errornopermissionallocateusers'] = 'No permission to allocate users to certification';
$string['errornopermissioncertifyuser'] = 'This user can\'t be marked as certified because either they are already marked as certified or you don\'t have permission to perform this action';
$string['errornopermissionmanagecertifications'] = 'No permission to manage certifications';
$string['errornopermissionviewallocatedusers'] = 'No permission to view allocated users in certification';
$string['errornopermissionviewreports'] = 'No permission to view reports';
$string['errornothingtoexportforcertifications'] = 'Nothing to export for shared certification(s): {$a}';
$string['errorrecertificationprogram'] = 'Program should be different from the intial program';
$string['errorreporttypedoesnotexist'] = 'Report type does not exist';
$string['errorsameidnumber'] = 'Certification with the same ID number already exists';
$string['erroruseralreadyallocatedincertification'] = 'User already allocated in certification';
$string['erroruseralreadyallocatedinprogram'] = 'User already allocated in program';
$string['errorusernotinsametenant'] = 'User not in same tenant';
$string['eventcertificationcompleted'] = 'Certification completed';
$string['eventcertificationcreated'] = 'Certification created';
$string['eventcertificationdeleted'] = 'Certification deleted';
$string['eventcertificationupdated'] = 'Certification updated';
$string['eventrecertificationgraceperiodended'] = 'Recertification grace period ended';
$string['eventrecertificationstarted'] = 'Recertification started';
$string['eventuserallocated'] = 'Was allocated to the certification';
$string['eventuserdeallocated'] = 'User deallocated';
$string['eventuserupdated'] = 'User allocation updated';
$string['expired'] = 'Expired';
$string['expiredcertificationslink'] = '<a href="{$a->href}">{$a->count} expired certifications</a>';
$string['expireddateisonorafter'] = 'Expired date on or after';
$string['expireson'] = 'expires on {$a}';
$string['expirydate'] = 'Expiry date';
$string['expirydate_help'] = 'Expiry date for the certification';
$string['export_content'] = 'Settings';
$string['export_content_help'] = 'Certifications, names, descriptions, dates, tags, etc.';
$string['export_dynamic_rules'] = 'Dynamic rules';
$string['export_dynamic_rules_help'] = 'All dynamic rules configuration for these certifications';
$string['export_programs'] = 'Associated programs';
$string['export_programs_help'] = 'Programs, names, descriptions, dates, tags, etc.';
$string['export_user_allocations'] = 'Certification user allocations';
$string['export_user_allocations_help'] = 'Includes user allocations to these certifications. A copy of the users themselves will not be included.';
$string['exportcertificationsdescription'] = 'Certifications with their associated programs, courses, user allocations and component dynamic rules';
$string['exportonlyallocationspostfix'] = '(only user allocations)';
$string['futureallocation'] = 'Future allocation';
$string['gotocertification'] = 'Go to certification';
$string['idnumber'] = 'ID number';
$string['import_content'] = 'Settings';
$string['import_content_help'] = 'Certifications, names, descriptions, dates, tags, etc.';
$string['import_dynamic_rules'] = 'Dynamic rules';
$string['import_dynamic_rules_help'] = 'All dynamic rules configuration for these programs.';
$string['import_programs'] = 'Associated programs';
$string['import_programs_help'] = 'Programs, names, descriptions, dates, tags, etc.';
$string['import_user_allocations'] = 'Certification user allocations';
$string['import_user_allocations_help'] = 'Includes user allocations to these certifications.';
$string['importcannotallocate'] = 'Not possible to allocate user \'{$a->originaluserfullname}\' to certification \'{$a->certification}\', allocation already exists or is not permitted';
$string['importlogfailed'] = 'Could not import certification \'{$a->fullname}\'';
$string['importlogidnumberexists'] = 'Certification with ID number \'{$a->originalidnumber}\' already exists';
$string['importlogsuccess'] = 'Created new certification \'<a href="{$a->url}">{$a->fullname}</a>\'';
$string['importlogsuccessuserallocations'] = 'Allocated user \'{$a->userfullname}\' into certification \'{$a->certification}\'';
$string['include_shared_entities'] = 'Include shared entities';
$string['include_shared_entities_help'] = 'By enabling this option, the exported file will also contain:

* All shared certifications available in the current tenant
* All shared programs linked to the selected certifications
* All program courses outside of the current tenant course category';
$string['keepcertificationdefaults'] = 'Keep certification defaults';
$string['lastallocationdate'] = 'Last allocation date: {$a}';
$string['lessthanaday'] = 'Less than a day';
$string['manageprograms'] = 'Manage programs';
$string['manual'] = 'Manual';
$string['manuallycertifieduser'] = 'Manually certified {$a->usertarget} ({$a->expirydate})';
$string['mappingerrorcertificationnotfound'] = 'Certification {$a} was not found';
$string['mappingnoticenoidnumber'] = 'The certification was located by name because ID number was empty. It is recommended to assign ID numbers to certifications';
$string['markcertificationcompletednotice'] = 'Mark certification as completed without waiting for the program completion';
$string['messageprovider:certificationcompleted'] = 'Certification completed';
$string['messageprovider:certificationuserallocated'] = 'User allocated to certification';
$string['messageprovider:certificationuserdeallocated'] = 'User deallocated from certification';
$string['missingcertification'] = 'Missing certification';
$string['missingfullname'] = 'Missing full name';
$string['missingprogram'] = 'Missing program';
$string['never'] = 'Never';
$string['neverexpires'] = 'Never expires';
$string['newcertification'] = 'New certification';
$string['newvaluefor'] = 'New value for';
$string['notavailable'] = 'Not available';
$string['notificationcertification'] = 'This program is part of the certification \'{$a->certificationname}\'.<br /><br />';
$string['notificationcertificationcompletedexpiry'] = '{$a->expirymessage}
After {$a->reopendate} you will be able to retake the program \'{$a->recertificationprogram}\' to maintain your certification.<br /><br />';
$string['notificationcertificationcompletedmanual'] = 'Hi {$a->userfullname},<br /><br />
Congratulations on achieving certification in \'{$a->certificationname}\'!<br /><br />
{$a->expirymessage}
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationcertificationcompletedprogram'] = 'Hi {$a->userfullname},<br /><br />
Congratulations on completing the program \'{$a->programname}\'. You are now certified in \'{$a->certificationname}\'!<br /><br />
You may revisit the courses within the program at any time. The full program can be found on your \'My courses\' page.<br /><br />
{$a->expirymessage}
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationcertificationdue'] = 'This program is part of the certification \'{$a->certificationname}\', which is due on {$a->duedate}.<br /><br />';
$string['notificationcertificationuserallocated'] = 'Hi {$a->userfullname},<br /><br />
Welcome to the program \'{$a->programname}\', which you can find on your \'My courses\' page.<br /><br />
{$a->certmsg}<br /><br />
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationcertificationuserdeallocated'] = 'Hi {$a->userfullname},<br /><br />
The program \'{$a->programname}\' has now closed and can no longer be accessed.<br /><br />
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationcertificationwillexpireon'] = 'Your certification will expire on {$a}.<br /><br />';
$string['notificationsubjectcertificationcompleted'] = 'Certification \'{$a}\' completed';
$string['notificationsubjectcertificationcompletedmanual'] = 'Congratulations - \'{$a}\' certification!';
$string['notificationsubjectcertificationuserallocated'] = 'Welcome to \'{$a}\'';
$string['notificationsubjectcertificationuserdeallocated'] = '\'{$a}\' closed';
$string['notset'] = 'Not set';
$string['nousersselected'] = 'Please select at least one user';
$string['ongoingcertificationslink'] = '<a href="{$a->href}">{$a->count} ongoing certifications</a>';
$string['open'] = 'Open';
$string['outcomeallocation'] = 'Allocate users to certifications';
$string['outcomeallocationdescription'] = 'Allocate users to certification {$a}<br />
Keep certification default start date';
$string['outcomeallocationdescriptionwithdate'] = 'Allocate users to certification {$a->certificationname}<br />
Certification start date: \'{$a->startdate}\'';
$string['outcomedeallocation'] = 'Deallocate users from certifications';
$string['outcomedeallocationdescription'] = 'Deallocate users from certification {$a}';
$string['overdue'] = 'Overdue';
$string['overduecertificationslink'] = '<a href="{$a->href}">{$a->count} overdue certifications</a>';
$string['pluginname'] = 'Certifications';
$string['previewcertificationname'] = 'Certification name preview';
$string['previouscertexpirydate'] = 'Previous certification expiry date';
$string['privacy:metadata:certification_completions'] = 'Information about the completion of certification.';
$string['privacy:metadata:certification_completions:certificationid'] = 'The certification the user completed.';
$string['privacy:metadata:certification_completions:certifiedby'] = 'The user that generated the certification';
$string['privacy:metadata:certification_completions:expirydate'] = 'The expiry date of this certification completion.';
$string['privacy:metadata:certification_completions:revokedby'] = 'The user that revoked the certification';
$string['privacy:metadata:certification_completions:timecertified'] = 'The time the user completed the certification.';
$string['privacy:metadata:certification_completions:timecreated'] = 'The time the completion record was created.';
$string['privacy:metadata:certification_completions:timemodified'] = 'The modified time of the certification completion.';
$string['privacy:metadata:certification_completions:userid'] = 'The user that completed the certification.';
$string['privacy:metadata:certification_users'] = 'Information about the user certification allocation.';
$string['privacy:metadata:certification_users:certificationid'] = 'The certification allocated to.';
$string['privacy:metadata:certification_users:currentprogramid'] = 'The current program user is allocated';
$string['privacy:metadata:certification_users:isrecertification'] = 'If user is in a recertification';
$string['privacy:metadata:certification_users:status'] = 'Wether the user has been suspended from the certification.';
$string['privacy:metadata:certification_users:timemodified'] = 'The modified time of the user allocation.';
$string['privacy:metadata:certification_users:userid'] = 'The allocated user.';
$string['privacy:metadata:core_tag'] = 'Tags added to certifications';
$string['program'] = 'Program';
$string['programchangewarning'] = 'Users who are currently taking this program will not be reallocated automatically. This can be done manually on per-user basis. The status of users who have already completed the program, or those who were manually marked as certified, will not change but they will be unallocated from the old program and no longer see it on their dashboard.';
$string['programcourse'] = 'Program course';
$string['programuserallocation'] = 'Program user allocation';
$string['progress'] = '{$a} completed';
$string['progressreport'] = 'Progress report';
$string['recertdifferentprogram'] = 'Select a different program';
$string['recertdifferentprogram_help'] = 'Select \'Yes\' if you want to choose a different program for the recertification than the one that is set as the initial program.';
$string['recertduedaterelative'] = 'Due date';
$string['recertduedaterelative_help'] = 'This is the date when the recertification is due';
$string['recertexpirydate'] = 'Expiry date';
$string['recertexpirydate_help'] = 'This is the date when the recertification will expire for the user.';
$string['recertexpirydatewarning'] = 'The initial certification is set to never expire, recertification will only be possible for users whose expiry date was individually set.';
$string['recertgraceperiod'] = 'Grace period';
$string['recertgraceperiod_help'] = 'Grace period is the extra period of time we give to the user to finish the program and get certified after the previous certification expires. This option is only available if the recertification program is different from the initial program.';
$string['recertgraceperiodends'] = 'Grace period ends';
$string['recertification'] = 'Recertification';
$string['recertificationgraceperiodendsonorbefore'] = 'Recertification grace period ends on or before';
$string['recertificationprogram'] = 'Recertification program';
$string['recertificationprogram_help'] = 'Select a program to be used in the recertification. This program must be different from the initial certification program.';
$string['recertificationstartdate'] = 'Recertification start date';
$string['recertificationstartedonorafter'] = 'Recertification started on or after';
$string['recertstartdaterelative'] = 'Start date';
$string['recertstartdaterelative_help'] = 'This is the date when the recertification program will start to be available for the user.';
$string['recertstartdatewarning'] = 'On this date the recertification program will be reset. Make sure users are not enrolled in the program courses elsewhere, allocated to the same program directly or allocated via other certifications because they may lose their progress.';
$string['reg_wpcertifications'] = 'Number of certifications ({$a})';
$string['reportactivecerts'] = 'System report for active certifications';
$string['reportarchivedcerts'] = 'System report for archived certifications';
$string['reportcertificationprogress'] = 'System report for certification progress';
$string['reportcertsusers'] = 'System report for certification users';
$string['reportusercerts'] = 'System report for user certification list';
$string['requirerecertification'] = 'Require recertification';
$string['requirerecertification_help'] = 'Select \'Yes\' to enable recertification for this certification.';
$string['resetadditionalcourses'] = 'Reset additional courses';
$string['resetadditionalcourses_help'] = 'Resets the courses that are part of the new program that were not part of the old program';
$string['restore'] = 'Restore';
$string['revokecertification'] = 'Revoke certification';
$string['revoked'] = 'Revoked';
$string['revokedby'] = 'Revoked by';
$string['revokednotification'] = 'The certification has been successfully revoked.';
$string['revokedon'] = 'Revoked on';
$string['revokedthisuser'] = 'Revoked {$a}\'s certification';
$string['revokewarning'] = 'Are you sure you want to revoke the certification from \'{$a}\'? Awards that might have been given on completion will not be revoked.';
$string['rolemanager'] = 'Certification manager';
$string['rolemanagerdescription'] = 'Allows to create and manage certifications within the current tenant and allocate users to them';
$string['schedule'] = 'Certification dates';
$string['selectactiveandarchivedcertifications'] = 'Select active and archived certifications';
$string['selectadifferentprogram'] = 'Select a different program';
$string['selectallactivecertifications'] = 'Select all active certifications';
$string['selectallcertificationsinthisfile'] = 'Select all certifications in this file';
$string['selectatleastonecertification'] = 'Select at least one certification';
$string['selectcertificationcondition'] = 'Certification';
$string['selectcertificationcondition_help'] = 'Select the certification where this condition will be applied';
$string['selectcertificationoutcome'] = 'Certification';
$string['selectcertificationoutcome_help'] = 'Select the certification where this action will be applied';
$string['selectcertificationstoallocate'] = 'Certifications';
$string['selectcertificationstoallocate_help'] = 'Select the certifications where users will be allocated';
$string['selectdate'] = 'Select date';
$string['selectmanually'] = 'Select manually...';
$string['selectprogram'] = 'Select program';
$string['selectprogram_help'] = 'Select a program to be associated to this certification';
$string['separatetenantsingroupswarning'] = 'In courses shared between tenants, users from each tenant will be added to separate groups.';
$string['startdate'] = 'Start date';
$string['startdate_help'] = 'Date when certification starts';
$string['status'] = 'Status';
$string['suspended'] = 'Suspended';
$string['suspendeddateisonorafter'] = 'Suspended date on or after';
$string['system'] = 'System';
$string['tagarea_tool_certification'] = 'Certifications';
$string['tags'] = 'Tags';
$string['timecreated'] = 'Created on';
$string['timemodified'] = 'Last modified on';
$string['timesuspended'] = 'Suspended on';
$string['toomanycertificationstoshow'] = 'Too many certifications to show';
$string['uponcompletion'] = 'Upon completion';
$string['userallocation'] = 'User allocation';
$string['usercompletion'] = 'User completion';
$string['userduedate'] = 'Due date';
$string['userduedate_help'] = 'Select the certification due date for this user.';
$string['usergotsuspended'] = 'User was suspended';
$string['userlist'] = 'Select users';
$string['userlist_help'] = 'Select users to allocate to this certification';
$string['users'] = 'Users';
$string['usersallocationnotavailable'] = 'Users allocation is not available';
$string['usersdeallocatedsuccess'] = '{$a} user(s) were succesfully de-allocated';
$string['userseditedsuccess'] = '{$a} user(s) were succesfully modified';
$string['usersskipped'] = '{$a} user(s) skipped because this option is not available to them';
$string['userstartdate'] = 'Start date';
$string['userstartdate_help'] = 'Select the date when this user will be able to start the certification. This date will only be applied to this user.';
$string['userstatus'] = 'Status';
$string['userstatus_help'] = 'Suspended status will hide this certification from this user whereas Default status will show it.';
$string['viewcertificationuserlog'] = 'Certification activity log';
