<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_ischolarsync', language 'en', version '4.0'.
 *
 * @package     tool_ischolarsync
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['config:createtoken'] = 'Moodle access token.';
$string['config:createuser'] = 'Integration user.';
$string['config:customfields'] = 'Custom fields.';
$string['config:exception'] = 'Exception.';
$string['config:manageauth'] = 'Authentication method activation.';
$string['config:plugindisabled'] = 'Plugin disabled.';
$string['config:pluginenabled'] = 'Plugin activation.';
$string['config:selectservice'] = 'iScholar service.';
$string['config:servicefunctions'] = 'iScholar service functions.';
$string['config:servicetest'] = 'Configuration in your iScholar system.';
$string['config:servicetestfail'] = 'Communication failure to iScholar.';
$string['config:serviceuser'] = 'Service user.';
$string['config:timezone'] = 'Timezones.';
$string['config:usercapability'] = 'Integration user permissions.';
$string['config:webservice'] = 'Moodle permission to connect to external systems.';
$string['config:webservicedocs'] = 'Documentation setup in Moodle.';
$string['config:webserviceprotocols'] = 'Communication protocol.';
$string['configerror:communication'] = 'The iScholar server was unable to communicate with Moodle.';
$string['configerror:escoladesconhecida'] = 'The school associated with the iScholar Token is unknown.';
$string['configerror:escolainvalida'] = 'The school associated with the iScholar Token is different from the School Code provided.';
$string['configerror:fixbutton'] = 'Fix configuration';
$string['configerror:general'] = 'Communication failure to iScholar:';
$string['configerror:integracaodesconhecida'] = 'The integration associated with the provided iScholar Token is unknown.';
$string['configerror:timezone'] = 'Check and adjust the time zone settings as described in this <a target="_blank" href="https://ajuda.ischolar.com.br/pt-BR/articles/5668326-sincronizacao-ischolar-moodle">help page</a>.';
$string['configerror:tokenexpirado'] = 'The iScholar Token provided has expired. Access your iScholar to generate a new token.';
$string['configerror:tokeninvalido'] = 'The iScholar Token provided is invalid for this application.';
$string['configerror:tokennaoencontrado'] = 'iScholar token not found.';
$string['customfield:ischolar_aluno'] = 'Student code';
$string['customfield:ischolar_curso'] = 'Course code';
$string['customfield:ischolar_disciplina'] = 'Discipline code';
$string['customfield:ischolar_modalidade'] = 'Modality code';
$string['customfield:ischolar_professor'] = 'Teacher code';
$string['ischolarsettings'] = 'iScholar <> Moodle Synchronization';
$string['pluginname'] = 'iScholar <> Moodle Synchronization';
$string['privacy:metadata:core_group'] = 'iScholar <> Moodle Synchronization plugin can create a new group or use an existing group to add all the members of a iScholar class';
$string['privacy:metadata:core_user'] = 'iScholar <> Moodle Synchronization plugin can create or update accounts for students and teachers';
$string['privacy:metadata:enrol_manual'] = 'iScholar <> Moodle Synchronization plugin can enrol students and teachers in courses';
$string['settings:enabled'] = 'Enabled';
$string['settings:enabledinfo'] = 'Enable / disable the this plugin.';
$string['settings:healthcheck'] = 'Configuration status:';
$string['settings:initialsetupinfo'] = '';
$string['settings:schoolcode'] = 'School code:';
$string['settings:schoolcodeinfo'] = 'School code in your iScholar.';
$string['settings:tokenischolar'] = 'Token from iScholar:';
$string['settings:tokenischolarinfo'] = 'Access token from your iScholar system. Click <a href="https://ajuda.ischolar.com.br/pt-BR/articles/5668326-sincronizacao-ischolar-moodle" target="_blank">here</a> to know more.';
$string['settings:userdescription'] = 'DO NOT MODIFY OR DELETE THIS USER! Changing or removing this user will cause iScholar plugins to malfunction.';
$string['settings:userlastname'] = 'Integrations';
