<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_program', language 'en', version '4.0'.
 *
 * @package     tool_program
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['aboutthefile'] = 'About the file';
$string['actions'] = 'Actions';
$string['active'] = 'Active';
$string['activeprograms'] = 'Active programs';
$string['activeprogramslink'] = '<a href="{$a->href}">{$a->count} active programs</a>';
$string['addcourses'] = 'Add courses';
$string['addcourseslist'] = 'Select courses';
$string['addcourseslist_help'] = 'One or more courses may be selected.';
$string['addset'] = 'Add set';
$string['addsetorcourse'] = 'Add a set or a course';
$string['afterallocationwindowstarts'] = 'After allocation starts';
$string['afterallocationwindowstartswithrelativedate'] = '{$a} after allocation starts';
$string['afterduedate'] = 'After due date';
$string['afterduedatewithrelativedate'] = '{$a} after due date';
$string['afterstartdate'] = 'After start date';
$string['afterstartdatewithrelativedate'] = '{$a} after start date';
$string['afteruserallocationdate'] = 'After user allocation date';
$string['afteruserallocationdatewithrelativedate'] = '{$a} after user allocation date';
$string['all'] = 'All';
$string['allinanyorder'] = 'All in any order';
$string['allinorder'] = 'All in order';
$string['allocatetoprogram'] = 'Allocate to program';
$string['allocateusers'] = 'Allocate users';
$string['allocationdate'] = 'Allocation date';
$string['allocationdateonorafter'] = 'Allocation date on or after';
$string['allocationenddate'] = 'Allocation end date';
$string['allocationenddate_help'] = 'End date to allocate users into this program';
$string['allocationfor'] = 'Allocation for \'{$a}\'';
$string['allocationsource'] = 'Allocation source';
$string['allocationstartdate'] = 'Allocation start date';
$string['allocationstartdate_help'] = 'Start date to allocate users into this program';
$string['allocationwindow'] = 'Allocation window';
$string['allocationwindowendedon'] = 'The allocation window for this program ended on {$a}.';
$string['allocationwindowstartson'] = 'The allocation window for this program starts on {$a}.';
$string['allowdirectallocation'] = 'Allow direct allocation';
$string['allowdirectallocation_help'] = 'Allows direct allocation of users into this program';
$string['archive'] = 'Archive';
$string['archived'] = 'Archived';
$string['archivedconfirmation'] = 'Are you sure you want to archive the program \'{$a}\'? The archived program will no longer be available for managers or learners and may only be viewed in historical reports.';
$string['archivedon'] = 'Archived on';
$string['archivedprograms'] = 'Archived programs';
$string['assfirstchildof'] = 'As the first child of "{$a}"';
$string['associatedcertification'] = 'Associated certification';
$string['associatedcertifications'] = 'Associated certifications';
$string['associatedcertificationswithlinks'] = 'Associated certifications with links';
$string['atleast'] = 'At least';
$string['autocreategroups'] = 'Add to course groups';
$string['autocreategroups_help'] = 'When users are enrolled in the program courses they can be automatically added to the same group. Group with the same name as the program will be created automatically in each course. For courses that are shared between tenants the tenant name will also be added to the group name';
$string['autocreategroupsnone'] = 'No';
$string['autocreategroupsprogram'] = 'Create groups for this program';
$string['availability'] = 'Availability';
$string['available'] = 'Available';
$string['baseset'] = 'Base set';
$string['beforeenddate'] = 'Before end date';
$string['beforeenddatewithrelativedate'] = '{$a} before end date';
$string['calendar'] = 'Schedule';
$string['calendarduedate'] = 'Due date for program {$a}';
$string['calendarenddate'] = 'End date for program {$a}';
$string['certification'] = 'Certification';
$string['certificationduedate'] = 'Certification due date';
$string['certificationmsgactive'] = 'Certification <strong>"{$a->fullname}"</strong> must be completed by <strong>{$a->date}</strong>';
$string['certificationmsgcompleted'] = 'Certification <strong>"{$a->fullname}"</strong> is completed';
$string['certificationmsgcompletedexpired'] = 'Certification <strong>"{$a->fullname}"</strong> is completed. It will expire on <strong>{$a->date}</strong>';
$string['certificationmsgduedatenotset'] = 'Certification <strong>"{$a->fullname}"</strong> has no due date set';
$string['certificationmsgexpired'] = 'Certification <strong>"{$a->fullname}"</strong> expired on <strong>{$a->date}</strong>';
$string['certificationmsgoverdue'] = 'Certification <strong>"{$a->fullname}"</strong> was due on <strong>{$a->date}</strong>';
$string['certifications'] = 'Certifications';
$string['close'] = 'Close';
$string['closetoduedate'] = 'Upcoming due date';
$string['collapsed'] = 'Collapsed';
$string['completeallinanyorder'] = 'Complete all in any order';
$string['completeallinorder'] = 'Complete all in order';
$string['completeatleast'] = 'Complete at least';
$string['completed'] = 'Completed';
$string['completedprogramslink'] = '<a href="{$a->href}">{$a->count} completed programs</a>';
$string['completion'] = 'Completion';
$string['completion_help'] = 'Type of completion to apply to the set:

* <strong>All in order:</strong> The user must complete all courses in the order specified
* <strong>All in any order:</strong> The user must complete all courses in any order
* <strong>At least X:</strong> The user must complete at least the specified number of courses in any order';
$string['completionatleast'] = 'Completion at least';
$string['completioncriteria'] = 'Completion criteria';
$string['completioncriteriagroup'] = 'Completion';
$string['completioncriteriagroup_help'] = 'Please select a completion criteria for this specific set';
$string['completiondate'] = 'Completion date';
$string['completiondateonorafter'] = 'Completion date on or after';
$string['conclusiondate'] = 'Conclusion date';
$string['conditionprogramcompleted'] = 'Program completed';
$string['conditionprogramcompletedalldescription'] = 'Users who have status \'Completed\' in all of the following programs: \'{$a->programname}\'';
$string['conditionprogramcompletedalldescriptionwithdate'] = 'Users who have status \'Completed\' in all of the following programs: \'{$a->programname}\'<br />
Completion date is on or after \'{$a->conditiondate}\'';
$string['conditionprogramcompletedanydescription'] = 'Users who have status \'Completed\' in at least one of the following programs: \'{$a->programname}\'';
$string['conditionprogramcompletedanydescriptionwithdate'] = 'Users who have status \'Completed\' in at least one of the following programs: \'{$a->programname}\'<br />
Completion date is on or after \'{$a->conditiondate}\'';
$string['conditionprogramcompleteddescription'] = 'Users who have status \'Completed\' in program \'{$a}\'';
$string['conditionprogramcompleteddescriptionwithdate'] = 'Users who have status \'Completed\' in program \'{$a->programname}\'<br />
Completion date is on or after \'{$a->conditiondate}\'';
$string['conditionprogramnotcompleted'] = 'Program not completed';
$string['conditionprogramnotcompleteddescription'] = 'Users who do not have status \'Completed\' in program \'{$a}\'';
$string['conditionprogramoverdue'] = 'Program overdue';
$string['conditionprogramoverduedescription'] = 'Users who have status \'Overdue\' in program \'{$a}\'';
$string['conditionprogramoverduedescriptionwithdate'] = 'Users who have status \'Overdue\' in program \'{$a->programname}\'<br />
Due date is on or after \'{$a->conditiondate}\'';
$string['conditionprogramsuspended'] = 'Program suspended';
$string['conditionprogramsuspendeddescription'] = 'Users who have status \'Suspended\' in program \'{$a}\'';
$string['conditionprogramsuspendeddescriptionwithdate'] = 'Users who have status \'Suspended\' in program \'{$a->programname}\'<br />
Suspended date is on or after \'{$a->conditiondate}\'';
$string['conditionuserallocated'] = 'Users allocated to program';
$string['conditionuserallocateddescription'] = 'Users allocated to program \'{$a}\'';
$string['conditionuserallocateddescriptionwithdate'] = 'Users allocated to program \'{$a->programname}\'<br />
Allocation date is on or after \'{$a->conditiondate}\'';
$string['conditionusernotallocated'] = 'Users not allocated to program';
$string['conditionusernotallocateddescription'] = 'Users not allocated to program \'{$a}\'';
$string['confirmdeallocateusers'] = 'This action will completely delete allocation and associated data for all the selected users. This action can not be undone.';
$string['confirmdeallocateusersheader'] = 'De-allocate users';
$string['confirmdeletecourse'] = 'Are you sure you want to remove the course \'{$a}\' from the program?';
$string['confirmdeleteprogram'] = 'Are you sure you want to delete the program \'{$a}\' and all associated data? This action cannot be undone.';
$string['confirmdeleteset'] = 'Are you sure you want to delete the set \'{$a}\' and remove any courses in it?';
$string['confirmdeleteuserallocation'] = 'Are you sure you want to completely delete allocation of user \'{$a}\' and associated data? This action can not be undone.';
$string['confirmduplicate'] = 'A copy will be made including program content and schedule but excluding users. The program ID number field will be removed.';
$string['confirmrecalculateprogress'] = 'Normally if program settings are changed after some students have already completed the program, their program remains in the \'Completed\' status even if they no longer satisfy completion requirements. This action allows you to reset and recalculate the program completion. This will not affect any program courses or linked certifications.
<br />This action can not be undone. Are you sure you want to continue?';
$string['confirmresetprogress'] = 'Are you sure you want to reset the progress of \'{$a}\'? This action will:<br /><br />
<ul>
<li>reset the program</li>
<li>reset all courses inside this program</li>
<li>remove all completion data</li>
</ul>
This action could take some minutes to be completed and can not be undone.';
$string['confirmresetusersprogramusers'] = 'For all the selected users, this action will:<br /><br />
<ul>
<li>reset the program</li>
<li>reset all courses inside this program</li>
<li>remove all completion data</li>
</ul>
This action could take some minutes to be completed and can not be undone.';
$string['containscourse'] = 'Contains course';
$string['content'] = 'Content';
$string['continue'] = 'Continue';
$string['copy'] = 'Copy';
$string['course'] = 'Course';
$string['coursealreadyinset'] = 'Course is already in this set';
$string['coursecompletiondisabled'] = 'Completion tracking for this course is not enabled. It will appear on the learners dashboards as not completed and, as a result, it may make it impossible for them to complete the program.';
$string['courseenddate'] = 'End date: {$a}';
$string['courseinformation'] = 'Course information';
$string['coursenotavailable'] = 'Course not available';
$string['courses'] = 'Courses';
$string['coursesinset'] = 'Courses in set (comma separated)';
$string['coursesinsetlines'] = 'Courses in set (one per line)';
$string['coursesinsetlineslinks'] = 'Courses in set with links (one per line)';
$string['coursesinsetlinks'] = 'Courses in set with links (comma separated)';
$string['coursestartdate'] = 'Start date: {$a}';
$string['criteriaall'] = 'All of the selected programs have been completed';
$string['criteriaany'] = 'At least one of the selected programs is completed';
$string['criteriaany_help'] = 'When a user has already completed one program, completing the second program does not trigger the actions again';
$string['criteriaeach'] = 'Every time a user completes any of the selected programs';
$string['criteriaeach_help'] = 'Equivalent of creating multiple rules, one for each of the selected programs';
$string['dateoverriden'] = 'Date overridden';
$string['datetypeabsolute'] = 'Select date';
$string['datetypenone'] = 'Not set';
$string['dayssinceallocation'] = 'Days since allocation';
$string['daystakingprogram'] = 'Days taking program';
$string['deallocateusers'] = 'De-allocate users';
$string['default'] = 'Default';
$string['deleteallocation'] = 'Delete allocation';
$string['deleteuserallocation'] = 'Delete user allocation';
$string['description'] = 'Description';
$string['directallocationdisabled'] = 'Direct allocation to this program is disabled';
$string['display'] = 'Display';
$string['displaycompletedcourses'] = 'Courses completed in program';
$string['displaycompletiondate'] = 'Program completion date';
$string['displayprogramduedate'] = 'Program due date';
$string['displayprogramid'] = 'Internal program ID used in URLs';
$string['displayprogramname'] = 'Program name';
$string['dontchange'] = 'Don\'t change';
$string['duedate'] = 'Due date';
$string['duedate_help'] = 'Due date for this program';
$string['duedateonorafter'] = 'Due date on or after';
$string['duplicate'] = 'Duplicate';
$string['dynamic'] = 'Dynamic';
$string['dynamicrules'] = 'Dynamic rules';
$string['dynamicrulesplugincheck'] = 'Viewing the list of dynamic rules is impossible without plugin tool_dynamicrule';
$string['dynamicrulewarningdeallocation'] = 'Users can only be unallocated if they were allocated by another dynamic rule, manual allocations will not be affected.';
$string['editallocation'] = 'Edit allocation';
$string['editcontent'] = 'Edit content';
$string['editdetails'] = 'Edit details';
$string['editprogram'] = 'Edit program \'{$a}\'';
$string['editprogramname'] = 'Edit program name';
$string['editprogramsettings'] = 'Edit program settings';
$string['editsetname'] = 'Edit set name';
$string['editstatusanddates'] = 'Edit status and dates';
$string['editstatusanddatesbulk'] = 'Edit status and dates for multiple users';
$string['enddate'] = 'End date';
$string['enddate_help'] = 'End date for this program';
$string['enrol'] = 'Enrol';
$string['enrolled'] = 'Enrolled';
$string['entityprogram'] = 'Program';
$string['entityprogramcompletion'] = 'User completion';
$string['entityprogramcontent'] = 'Program content';
$string['entityprogramitem'] = 'Program item';
$string['entityprogramusers'] = 'User allocation';
$string['errorallocationenddatenostartdate'] = 'Allocation end date can not be a relative date if allocation start date is not set';
$string['errorallocationenddatepreviousstartdate'] = 'Allocation end date can not be before allocation start date';
$string['errorbasesetnotfound'] = 'Base set not found';
$string['errorcannotallocate'] = 'Unable to allocate user to a program (allocation already exists or is not permitted)';
$string['errorcannotresetprogram'] = 'Can\'t reset program';
$string['errorcantallocateusers'] = 'Can\'t allocate users';
$string['errorcantcreateset'] = 'Can\'t create set';
$string['errorcantdeletenotarchivedprogram'] = 'Can\'t delete a not archived program';
$string['errorcantselfenrol'] = 'Can\'t self enrol';
$string['errorcertificationnotfound'] = 'Certification not found';
$string['errorcouldnotallocate'] = 'Could not allocate user \'{$a->originaluserfullname}\' to program \'{$a->program}\'';
$string['errorduedatepreviousstartdate'] = 'Due date can not be before start date';
$string['errorenddatepreviousduedate'] = 'End date can not be before due date';
$string['errorenddatepreviousstartdate'] = 'End date can not be before start date';
$string['errorhelperactionnotallowed'] = 'Helper action not allowed';
$string['erroridnumberuniquetenant'] = 'This ID number is already used in another program';
$string['errorinvaliddate'] = 'Invalid date';
$string['errorinvalidprogram'] = 'Invalid program';
$string['errorinvalidprogramitemmove'] = 'Invalid program item move';
$string['errorloadingprogram_mobile'] = 'Error loading program';
$string['errormissingenrolprogramplugin'] = 'Enrol program plugin is missing';
$string['errornopermissionallocateusers'] = 'No permission to allocate users to program';
$string['errornopermissionmanageprograms'] = 'No permission to manage programs';
$string['errornopermissionmanageusers'] = 'No permission to manage users';
$string['errornopermissionviewallocatedusers'] = 'No permission to view allocated users in program';
$string['errornopermissionviewprograms'] = 'No permission to view programs';
$string['errornopermissionviewreports'] = 'No permission to view reports';
$string['errornostudentsrolefound'] = 'No student roles have been found';
$string['errornothingtoexportforprograms'] = 'Nothing to export for shared program(s): {$a}';
$string['errorprogramnotfound'] = 'Program not found';
$string['errorreporttypedoesnotexist'] = 'Report type does not exist';
$string['errorsameidnumber'] = 'Program with the same ID number already exists';
$string['errorsomeprogramsdontexist'] = 'Some programs do not exist';
$string['errorusercantbeallocated'] = 'User can\'t be allocated';
$string['eventcourseadded'] = 'Course added';
$string['eventcourseremoved'] = 'Course removed';
$string['eventcourseupdated'] = 'Course updated';
$string['eventprogramcompleted'] = 'Program completed';
$string['eventprogramcreated'] = 'Program created';
$string['eventprogramdeleted'] = 'Program deleted';
$string['eventprogramupdated'] = 'Program updated';
$string['eventsetcompleted'] = 'Set completed';
$string['eventsetcreated'] = 'Set created';
$string['eventsetdeleted'] = 'Set deleted';
$string['eventsetupdated'] = 'Set updated';
$string['eventuserallocated'] = 'User allocated';
$string['eventuserdeallocated'] = 'User deallocated';
$string['expanded'] = 'Expanded';
$string['export_content'] = 'Settings';
$string['export_content_help'] = 'Programs, names, descriptions, dates, tags, etc.';
$string['export_dynamic_rules'] = 'Dynamic rules';
$string['export_dynamic_rules_help'] = 'All dynamic rules configuration for these programs.';
$string['export_user_allocations'] = 'Program user allocations';
$string['export_user_allocations_help'] = 'Includes user allocations to these programs. A copy of the users themselves will not be included.';
$string['exportonlyallocationspostfix'] = '(only user allocations)';
$string['exportprogramsdescription'] = 'Programs with their courses, user allocations and component dynamic rules';
$string['futureallocation'] = 'Future allocation';
$string['gotocourse'] = 'Go to course';
$string['gotoprogram'] = 'Go to program';
$string['hidden'] = 'Hidden';
$string['hiddenfromlearners'] = 'Hidden from learners';
$string['idnumber'] = 'ID number';
$string['import_content'] = 'Settings';
$string['import_content_help'] = 'Programs, names, descriptions, dates, tags, etc.';
$string['import_dynamic_rules'] = 'Dynamic rules';
$string['import_dynamic_rules_help'] = 'All dynamic rules configuration for these programs.';
$string['import_user_allocations'] = 'Program user allocations';
$string['import_user_allocations_help'] = 'Includes user allocations to these programs.';
$string['importcannotallocate'] = 'Not possible to allocate user \'{$a->originaluserfullname}\' to program \'{$a->program}\', allocation already exists or is not permitted';
$string['importlogfailed'] = 'Could not import program \'{$a->fullname}\'';
$string['importlogidnumberexists'] = 'Program with ID number \'{$a->originalidnumber}\' already exists';
$string['importlogsuccess'] = 'Created new program \'<a href="{$a->url}">{$a->fullname}</a>\' with {$a->setscount} sets, {$a->coursescount} courses';
$string['importlogsuccessuserallocations'] = 'Allocated user \'{$a->userfullname}\' into program \'{$a->program}\'';
$string['include_shared_entities'] = 'Include shared entities';
$string['include_shared_entities_help'] = 'By enabling this option, the exported file will also contain:

* All shared programs available in the current tenant
* All program courses outside of the current tenant course category';
$string['inprogress'] = 'In progress';
$string['keepprogramdefaults'] = 'Keep program defaults';
$string['lastaccessed'] = 'Last accessed';
$string['learning'] = 'Learning';
$string['lessthanaday'] = 'Less than a day';
$string['locked'] = 'Locked';
$string['lockedreasonparent'] = 'Not available unless: set {$a} is available.';
$string['lockedreasonpreviouscourse'] = 'Not available unless: previous course {$a} is marked as completed.';
$string['lockedreasonpreviousset'] = 'Not available unless: previous set {$a} is marked as completed.';
$string['maincompletion'] = 'Main completion';
$string['manual'] = 'Manual';
$string['mappingerrorprogramnotfound'] = 'Program {$a} was not found';
$string['mappingnoticenoidnumber'] = 'The program was located by name because ID number was empty. It is recommended to assign ID numbers to programs';
$string['messageprovider:programcompleted'] = 'Program completed';
$string['messageprovider:programuserallocated'] = 'User allocated to program';
$string['messageprovider:programuserdeallocated'] = 'User deallocated from program';
$string['missingcompletion'] = 'Completion criteria is missing';
$string['missingcourse'] = 'Course is missing';
$string['missingfullname'] = 'Missing program name.';
$string['missingprogram'] = 'Missing program';
$string['missingsetname'] = 'Set name is missing';
$string['name'] = 'Name';
$string['never'] = 'Never';
$string['newnameforset'] = 'New name for \'{$a}\'';
$string['newprogram'] = 'New program';
$string['notarchived'] = 'Not archived';
$string['notavailable'] = 'Not available';
$string['notcompleted'] = 'Not completed';
$string['notenrolledprograms_mobile'] = 'You\'re not enrolled into any program';
$string['notificationduedate'] = 'This program is due on {$a}<br /><br />';
$string['notificationprogramcompleted'] = 'Hi {$a->userfullname},<br /><br />
Congratulations on completing the program \'{$a->programname}\'!<br /><br />
You may revisit the courses within the program at any time. The full program can be found on your \'My courses\' page.<br /><br />
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationprogramuserallocated'] = 'Hi {$a->userfullname},<br /><br />
Welcome to the program \'{$a->programname}\', which you can find on your \'My courses\' page.<br /><br />
{$a->duedatemsg}
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationprogramuserdeallocated'] = 'Hi {$a->userfullname},<br /><br />
The program \'{$a->programname}\' has now closed and can no longer be accessed.<br /><br />
{$a->sitename}<br />
{$a->siteurl}';
$string['notificationsubjectprogramcompleted'] = 'Congratulations - \'{$a}\' complete!';
$string['notificationsubjectprogramuserallocated'] = 'Welcome to \'{$a}\'';
$string['notificationsubjectprogramuserdeallocated'] = '\'{$a}\' closed';
$string['notset'] = 'Not set';
$string['notsuspended'] = 'Not suspended';
$string['notvisible'] = 'Not visible';
$string['nousersselected'] = 'You need to select at least one user';
$string['numbercoursesinprogramunique'] = 'Number of courses (unique)';
$string['numbercoursesinset'] = 'Number of courses in set';
$string['numbercurrentallocatedusers'] = 'Number of currently allocated users';
$string['open'] = 'Open';
$string['outcomeallocation'] = 'Allocate users to programs';
$string['outcomeallocationdescription'] = 'Allocate users to program \'{$a}\'<br />
Keep program default start date';
$string['outcomeallocationdescriptionwithdate'] = 'Allocate users to program \'{$a->programname}\'<br />
Program start date: \'{$a->startdate}\'';
$string['outcomedeallocation'] = 'Deallocate users from programs';
$string['outcomedeallocationdescription'] = 'Deallocate users from program \'{$a}\'';
$string['overdue'] = 'Overdue';
$string['overdueprogramslink'] = '<a href="{$a->href}">{$a->count} overdue programs</a>';
$string['parentname'] = 'Parent name';
$string['pending'] = 'Pending';
$string['pendingreasonhiddencourse'] = 'Some courses that are required to unlock this course are not available. Please contact the site administrator.';
$string['pendingreasonparent'] = 'Will be automatically marked as completed when: set {$a} is available.';
$string['pendingreasonpreviouscourse'] = 'Will be automatically marked as completed when: previous course {$a} is marked as completed.';
$string['pendingreasonpreviousset'] = 'Will be automatically marked as completed when: previous set {$a} is marked as completed.';
$string['percentcompleted'] = '{$a}% completed';
$string['pluginname'] = 'Program';
$string['previewprogramname'] = 'Program name preview';
$string['privacy:metadata:core_tag'] = 'Tags added to programs';
$string['privacy:metadata:preference:tool_program_program_sort_filter'] = 'Stores user selection for program sort filter';
$string['privacy:metadata:preference:tool_program_program_status_filter'] = 'Stores user selection for program status filter';
$string['privacy:metadata:preference:tool_program_program_view_filter'] = 'Stores user selection for program view filter';
$string['privacy:metadata:program_set_completion'] = 'Information about the completion of a program set.';
$string['privacy:metadata:program_set_completion:completeddate'] = 'The date the user completed the set.';
$string['privacy:metadata:program_set_completion:setid'] = 'The completed set.';
$string['privacy:metadata:program_set_completion:timemodified'] = 'The modified time of the set completion.';
$string['privacy:metadata:program_set_completion:userid'] = 'The user that completed the set.';
$string['privacy:metadata:program_users'] = 'Information about the user program allocation.';
$string['privacy:metadata:program_users:allocationtype'] = 'The source from which the user was allocated from.';
$string['privacy:metadata:program_users:certificationid'] = 'The certification allocated to (if applicable).';
$string['privacy:metadata:program_users:duedate'] = 'Program due date.';
$string['privacy:metadata:program_users:duedatelocked'] = 'Wether the default program due date is overriden.';
$string['privacy:metadata:program_users:enddate'] = 'Program end date for this user.';
$string['privacy:metadata:program_users:enddatelocked'] = 'Wether the default program end date is overriden.';
$string['privacy:metadata:program_users:programid'] = 'The program allocated to.';
$string['privacy:metadata:program_users:startdate'] = 'Program start date for this user.';
$string['privacy:metadata:program_users:startdatelocked'] = 'Wether the default program start date is overriden.';
$string['privacy:metadata:program_users:status'] = 'Wether the user has been suspended from the program.';
$string['privacy:metadata:program_users:timemodified'] = 'The modified time of the user allocation.';
$string['privacy:metadata:program_users:userid'] = 'The ID of the user allocated to the program.';
$string['program:allocateuser'] = 'Allocate users to programs';
$string['program:configurecustomfields'] = 'Configure program custom fields';
$string['program:coursereset'] = 'Reset program courses';
$string['program:edit'] = 'Edit programs';
$string['programdescription'] = 'Program description';
$string['programdescription_help'] = 'The program description is displayed on the Dashboard.';
$string['programduedate'] = 'Program due date';
$string['programfullname'] = 'Program name';
$string['programfullname_help'] = 'The name of the program is displayed on the Dashboard and in the list of programs.';
$string['programidnumber'] = 'Program ID number';
$string['programidnumber_help'] = 'The ID number of a program is only used when matching the program against external systems and is not displayed anywhere on the site. If the program has an official code name it may be entered, otherwise the field can be left blank.';
$string['programimage'] = 'Program image';
$string['programimage_help'] = 'The program image is displayed on the Dashboard.';
$string['programinformation'] = 'Program information';
$string['programname'] = 'Program name';
$string['programnamewithimage'] = 'Program name with image';
$string['programnamewithimageandlink'] = 'Program name with image and link';
$string['programnamewithlink'] = 'Program name with link';
$string['programparentsetname'] = 'Parent set name';
$string['programprogress'] = 'Program progress';
$string['programprogressexport'] = '{$a} program progress';
$string['programprogresswithreportlinks'] = 'Program progress with report links';
$string['programreset'] = 'Program reset';
$string['programrules'] = 'Program rules';
$string['programs'] = 'Programs';
$string['programscustomfield'] = 'Programs custom fields';
$string['programsetname'] = 'Set name';
$string['programsoverview_mobile'] = 'Programs overview';
$string['programstatus'] = 'Program status';
$string['programtags'] = 'Program tags';
$string['programtags_help'] = 'Tags for this program';
$string['programtenant'] = 'Program tenant';
$string['programuserallocations'] = 'Program user allocations';
$string['programvisibility'] = 'Program visibility';
$string['programvisibility_help'] = 'This setting determines whether the program is shown on a user\'s Dashboard and whether they can access it.';
$string['progress'] = '{$a} completed';
$string['progressoverview'] = 'Progress overview';
$string['progresspercent'] = 'Progress';
$string['progressreport'] = 'Progress report';
$string['recalculateprogramcompletion'] = 'Re-calculate program completion';
$string['recalculateprogramcompletion_help'] = 'Program completion will be re-calculated for all program users. Please, be aware that if a user has completed the program and new content has been added to the program, the user might have to complete the program again. This action could take some minutes to be completed and can not be undone.';
$string['reg_wpprograms'] = 'Number of programs ({$a})';
$string['reportactiveprograms'] = 'System report for active programs';
$string['reportarchivedprograms'] = 'System report for archived programs';
$string['reportprogramprogress'] = 'System report for program progress';
$string['reportprogramsallocationcompletion'] = 'Program users allocation and completion';
$string['reportprogramusers'] = 'System report for program users';
$string['reportuserprogram'] = 'System report for user program progress';
$string['reportuserprograms'] = 'System report for user programs list';
$string['reset'] = 'Reset';
$string['resetprogress'] = 'Reset program';
$string['resetusersprogram'] = 'Reset users program';
$string['restore'] = 'Restore';
$string['review'] = 'Review';
$string['rolemanager'] = 'Program manager';
$string['rolemanagerdescription'] = 'Allows to create and manage programs within the current tenant and allocate users to them';
$string['scheduleupdatesuccess'] = 'Schedule successfully updated';
$string['seecontent_mobile'] = 'See content';
$string['selectactiveandarchivedprograms'] = 'Select all active and archived programs';
$string['selectallactiveprograms'] = 'Select all active programs';
$string['selectallprogramsinthisfile'] = 'Select all the programs in this file';
$string['selectatleastoneprogram'] = 'Select at least one program';
$string['selectcourses'] = 'Select courses';
$string['selectmanually'] = 'Select manually...';
$string['selectprogramcondition'] = 'Program';
$string['selectprogramcondition_help'] = 'Select a program to be associated to this condition';
$string['selectprogramoutcome'] = 'Program';
$string['selectprogramoutcome_help'] = 'Select a program to be associated to this action';
$string['selectprogramstoallocate'] = 'Programs';
$string['selectprogramstoallocate_help'] = 'Select the programs where users will be allocated';
$string['separatetenantsingroupswarning'] = 'In courses shared between tenants, users from each tenant will be added to separate groups.';
$string['set'] = 'Set';
$string['setname'] = 'Name';
$string['setname_help'] = 'Please choose a name for the set';
$string['setofcourses'] = 'Set of courses';
$string['setsandcoursesnotfound_mobile'] = 'No sets or courses found';
$string['start'] = 'Start';
$string['startdate'] = 'Start date';
$string['startdate_help'] = 'Start date for this program';
$string['status'] = 'Status';
$string['status_help'] = 'Suspended status will hide this program from this user.';
$string['suspended'] = 'Suspended';
$string['suspendeddateonorafter'] = 'Suspended date on or after';
$string['tagarea_tool_program'] = 'Programs';
$string['tags'] = 'Tags';
$string['timecreated'] = 'Created on';
$string['timemodified'] = 'Last modified on';
$string['timesuspended'] = 'Suspended on';
$string['toomanyprogramstoshow'] = 'Too many programs to show';
$string['type'] = 'Type';
$string['userduedate'] = 'Due date';
$string['userduedate_help'] = 'Select the program due date for this user.';
$string['userenddate'] = 'End date';
$string['userenddate_help'] = 'Select the date when this program will not be visible for this user.';
$string['userlist'] = 'Select users';
$string['userlist_help'] = 'Select users to allocate to this program';
$string['users'] = 'Users';
$string['usersallocatedsuccess'] = '{$a} user allocations were succesfully created';
$string['usersallocationnotavailable'] = 'Users allocation is not available';
$string['usersdeallocatedsuccess'] = '{$a} user(s) were succesfully de-allocated';
$string['userseditedsuccess'] = '{$a} user(s) were succesfully modified';
$string['usersrecalculationcompletion'] = 'The program completion was recalculated for {$a} user(s)';
$string['usersresetprogramsuccess'] = 'The program was reset for {$a} user(s)';
$string['usersskipped'] = '{$a} user(s) skipped because this option is not available to them';
$string['userstartdate'] = 'Start date';
$string['userstartdate_help'] = 'Select the date when this user will be able to start the program. This date will only be applied to this user.';
$string['visible'] = 'Visible';
$string['warningcourseinvisible'] = 'Warning: This course is invisible to students.';
