<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'tool_reportbuilder', language 'en', version '4.0'.
 *
 * @package     tool_reportbuilder
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['accesstab'] = 'Access';
$string['actions'] = 'Actions';
$string['addacondition'] = 'Add a condition...';
$string['addafilter'] = 'Add a filter...';
$string['addaudience'] = 'Add audience';
$string['addaudiences'] = 'Add an audience to this report';
$string['addcolumn'] = 'Add column';
$string['adddefault'] = 'Add default configuration';
$string['adddefault_help'] = 'Each report source also defines default columns, conditions and filters. If you want to create the report using these defaults, select this field';
$string['addemails'] = 'Add emails manually';
$string['addfieldbyname'] = 'Add field \'{$a}\' to the report';
$string['addreport'] = 'New report';
$string['addschedule'] = 'New schedule';
$string['addusers'] = 'Add users manually';
$string['addusers_help'] = 'All users added manually will receive this report despite their position or department';
$string['aggregation_avg'] = 'Average';
$string['aggregation_count'] = 'Count';
$string['aggregation_countdistinct'] = 'Count unique';
$string['aggregation_groupconcat'] = 'Comma separate values';
$string['aggregation_groupconcatdistinct'] = 'Comma separate distinct values';
$string['aggregation_max'] = 'Maximum';
$string['aggregation_min'] = 'Minimum';
$string['aggregation_percent'] = 'Percentage';
$string['aggregation_sum'] = 'Sum';
$string['aggregation_unique'] = 'Unique values';
$string['allusers'] = 'All users';
$string['allusersdesc'] = 'Add all users to this report';
$string['and'] = 'And';
$string['asc'] = 'The column \'{$a}\' has ascending sort direction';
$string['audience'] = 'Audience';
$string['audiencejobadd'] = 'Add job';
$string['audiencejobremove'] = 'Remove job';
$string['audiencejobs'] = 'Jobs';
$string['audiencejobs_help'] = 'Users can view this report if they belong to one of the selected jobs below';
$string['audiencejobsempty'] = 'No jobs added';
$string['audiencemultiselectpostix'] = 'plus {$a} more';
$string['audiencenotsaved'] = 'Audience not saved';
$string['audiences'] = 'Audiences';
$string['authmethod'] = 'Authentication method';
$string['availableinalltenants'] = 'Available in all tenants';
$string['availableinalltenants_help'] = 'When enabled, users (with appropriate permissions) in all tenants will be able to view this report. Most report sources will automatically limit the displayed users and other entities (programs, certifications, courses) to those visible inside the tenant.';
$string['backtoreport'] = 'Back to report';
$string['basicinformation'] = 'Basic information';
$string['cachedef_userreports'] = 'Custom reports that user can access';
$string['canviewallreports'] = 'Can view all reports';
$string['cardview'] = 'Card view';
$string['cardview_help'] = 'The report will automatically switch to card view when displayed on small screens or in narrow blocks';
$string['certificatesissues'] = 'Certificates issues';
$string['certificatetemplates'] = 'Certificate templates';
$string['checkboxanyvalue'] = 'Any value';
$string['checkboxischecked'] = 'Yes';
$string['checkboxisnotchecked'] = 'No';
$string['choose'] = 'Choose...';
$string['columncannotbeconverted'] = 'Column \'{$a}\' can not be converted';
$string['conditioncannotbeconverted'] = 'Condition \'{$a}\' can not be converted';
$string['conditionoptioncannotbeconverted'] = 'Option \'{$a->option}\' in the condition \'{$a->condition}\' can not be converted';
$string['conditionshelp'] = 'Conditions';
$string['conditionshelp_help'] = 'List of predefined conditions that always apply when viewing this report.';
$string['conditionstab'] = 'Conditions';
$string['confirm'] = 'Confirm';
$string['confirmdeletecondition'] = 'Are you sure you want to delete condition \'{$a}\'?';
$string['confirmdeleteschedule'] = 'Are you sure you want to delete the schedule \'{$a}\' and all associated data? This action cannot be undone.';
$string['confirmresetallconditions'] = 'Are you sure you want to reset all conditions?';
$string['confirmresetconditions'] = 'Are you sure you want to reset \'{$a}\' condition?';
$string['confirmsendschedule'] = 'Are you sure you want to queue \'{$a}\' for sending?';
$string['contentvisibility'] = 'Number of columns always visible';
$string['convertingreport'] = 'Converting report \'{$a}\'';
$string['convertnotimplementeddesc'] = 'The report could not be converted. The developer needs to specify the conversion rules. You can also try to create the same report in the new version of the report builder from scratch and remove this one.';
$string['convertnotpossibledesc'] = 'The report could not be converted automatically. Please see the error message below. It is possible that some columns or other attributes of this report do not have an exact match in the new data sources. In this case you may edit the report and remove elements that can not be converted automatically, then try to convert again. Note that if there are several errors during report conversion only the first one is displayed here.';
$string['convertocore'] = 'Convert to latest version';
$string['course_completion_days_course'] = 'Days taking course';
$string['course_completion_days_enrolled'] = 'Days enrolled';
$string['course_completion_daysuntilcompletion'] = 'Days until completion';
$string['course_completion_progress'] = 'Progress';
$string['course_completion_progress_percent'] = 'Progress (%)';
$string['course_completion_reaggregate'] = 'Time reaggregated';
$string['course_completion_reaggregated'] = 'Time reaggregated';
$string['course_completion_timecompleted'] = 'Time completed';
$string['course_completion_timeenrolled'] = 'Time enrolled';
$string['course_completion_timestarted'] = 'Time started';
$string['course_enrolment_method'] = 'Method';
$string['course_enrolment_status'] = 'Enrolment status';
$string['course_enrolment_timeended'] = 'Enrolment ended';
$string['course_enrolment_timestarted'] = 'Enrolment started';
$string['coursefullnamewithlink'] = 'Course full name with link';
$string['courseidnumberewithlink'] = 'Course ID number with link';
$string['courseshortnamewithlink'] = 'Course short name with link';
$string['customessage'] = 'Custom message';
$string['customfieldcolumn'] = '{$a}';
$string['customizecondition'] = 'Edit condition name';
$string['customizefilter'] = 'Edit filter name';
$string['customizeheader'] = 'Edit header for the column \'{$a}\'';
$string['customreports'] = 'Custom reports';
$string['customreportsdesc'] = 'Custom reports, including audience and schedule data';
$string['customreportslimit'] = 'Custom reports limit';
$string['customreportslimit_desc'] = 'The number of custom reports may be limited for performance reasons. If set to zero, then there is no limit.';
$string['customreportsliveediting'] = 'Custom reports live editing';
$string['customreportsliveediting_desc'] = 'If enabled, users can view report data while editing the report. This may be disabled for performance reasons.';
$string['customreportsliveeditingdisabled'] = 'Viewing of report data while editing is disabled by the site administrator. Switch to preview mode to view the report.';
$string['customreportssettings'] = 'Custom reports settings';
$string['dateanyvalue'] = 'Any value';
$string['datecreated'] = 'Created';
$string['datecurrent'] = 'Current';
$string['dateinthefuture'] = 'In the future';
$string['dateinthepast'] = 'In the past';
$string['dateisempty'] = 'Is empty';
$string['dateisnotempty'] = 'Is not empty';
$string['datelast'] = 'Last ... days';
$string['datenext'] = 'Next ... days';
$string['dateprevious'] = 'Previous';
$string['daterange'] = 'Date range';
$string['daterangefrom'] = 'From';
$string['daterangeto'] = 'To';
$string['datetostart'] = 'Date';
$string['dateupcoming'] = 'Upcoming';
$string['debugsqlparams'] = 'Parameters';
$string['debugsqlquery'] = 'Current query';
$string['deleteaudience'] = 'Delete audience \'{$a}\'';
$string['deletecolumn'] = 'Delete column \'{$a}\'';
$string['deletecondition'] = 'Delete condition \'{$a}\'';
$string['deletefilter'] = 'Delete filter';
$string['deletereport'] = 'Delete report';
$string['deletereportmsg'] = 'Are you sure you want to delete the report \'{$a}\' and all associated data? This action cannot be undone.';
$string['deletereportsuccess'] = 'Report was deleted';
$string['deleteschedule'] = 'Delete schedule';
$string['desc'] = 'The column \'{$a}\' has descending sort direction';
$string['description'] = 'Description';
$string['description_help'] = 'Provide a description about the objective of the report.';
$string['duplicate'] = 'Duplicate';
$string['duplicatereport'] = 'Duplicate report';
$string['editaudience'] = 'Edit audience';
$string['editinglegacywarning'] = 'You are editing a report from the outdated version of Report builder. It is recommended that you convert it to the latest version.';
$string['editmode'] = 'Switch to edit view';
$string['editreport'] = 'Edit content';
$string['editreportdetails'] = 'Edit details';
$string['editreportname'] = 'Edit report name';
$string['editschedule'] = 'Edit schedule';
$string['edittitle'] = 'Edit report \'{$a}\'';
$string['enablesortingon'] = 'Enable sorting on column \'{$a}\'';
$string['enteremail'] = 'Please enter a valid email and hit \\u0027enter\\u0027';
$string['entity_course_enrolment'] = 'Enrolment';
$string['entitycertificate'] = 'Certificate';
$string['entitycertificateissue'] = 'Certificate issue';
$string['entitycourse'] = 'Course';
$string['entitycourseaccess'] = 'Course access';
$string['entitycoursecompletion'] = 'Course completion';
$string['entitycourseenrolment'] = 'Course enrolment';
$string['entitydatastorecoursecompletion'] = 'Data store course completion';
$string['entityreportbuilder'] = 'Custom reports';
$string['entityschedule'] = 'Schedule';
$string['entityuser'] = 'User';
$string['error:mustselectformat'] = 'You must select a format.';
$string['error:mustselectsource'] = 'You must select a report source.';
$string['errormanageschedules'] = 'You don\'t have permission to manage schedules';
$string['errormissingreportsource'] = 'Couldn\'t find configured report source';
$string['errornorecipients'] = 'You must select some recipients for this schedule';
$string['errorunavailablereportsource'] = 'Configured report source is not available';
$string['eventreportcreated'] = 'Report created';
$string['eventreportdeleted'] = 'Report deleted';
$string['eventreportschedulecreated'] = 'Report schedule created';
$string['eventreportscheduledeleted'] = 'Report schedule deleted';
$string['eventreportscheduleupdated'] = 'Report schedule updated';
$string['eventreportupdated'] = 'Report updated';
$string['eventreportviewed'] = 'Report viewed';
$string['expandcardview'] = 'Expand card view';
$string['expandconditions'] = 'Expand conditions';
$string['expandfilters'] = 'Expand filters';
$string['expandsorting'] = 'Expand sorting';
$string['exportselectall'] = 'Export all custom reports';
$string['exportselectlimit'] = 'Export specific custom reports...';
$string['filtercannotbeconverted'] = 'Filter \'{$a}\' can not be converted';
$string['filternotvalid'] = 'The filter must be a subclass of filter_base.';
$string['filtersbutton'] = 'Show/hide filters sidebar';
$string['filtershelp'] = 'Filters';
$string['filtershelp_help'] = 'List of filters that do not apply automatically but are available for users.';
$string['filterstab'] = 'Filters';
$string['format'] = 'Format';
$string['fullnamewithlink'] = 'Full name with profile link';
$string['fullnamewithpicture'] = 'Full name with picture';
$string['fullnamewithpicturelink'] = 'Full name with picture and link';
$string['gotocorerb'] = 'Go to custom reports';
$string['hascurrentjobs'] = 'Has current jobs';
$string['hassystemrole'] = 'Assigned system role';
$string['importaudiencelogerror'] = 'Couldn\'t import audience record';
$string['importaudiencelogsuccess'] = 'Audience record imported';
$string['importexportreportdefinition'] = 'Report definitions';
$string['importexportreportdefinition_help'] = 'Include report columns, conditions and filters';
$string['importlogconversionfailure'] = 'Imported custom report \'{$a->name}\' was made in the outdated version of report builder and it could not be converted automatically. Please visit <a href="{$a->url}">Report Builder</a> page to proceed with manual conversion: \'{$a->message}\'';
$string['importlogconversionsuccess'] = 'Imported custom report \'{$a->name}\' was converted from the outdated version of report builder';
$string['importlogerror'] = 'Couldn\'t import report \'{$a}\'';
$string['importlogerrorinvalidaudience'] = 'Missing or invalid audience';
$string['importlogerrorinvalidformat'] = 'Missing or invalid schedule format';
$string['importlogerrorinvalidsource'] = 'Missing or invalid report source';
$string['importlogerrorinvalidtype'] = 'Invalid report type';
$string['importlogerrorlegacyemails'] = 'Email addresses no longer supported as schedule recipients';
$string['importlogerrorlegacyemailsimport'] = 'Import without email addresses';
$string['importlogerrorlegacyemailslog'] = 'Email addresses are no longer supported as schedule recipients, please refer to <a href="{$a->docslink}">upgrade notes</a>';
$string['importlogerrornorecipients'] = 'Missing or invalid schedule recipients';
$string['importlogsuccess'] = 'Created new report \'<a href="{$a->url}">{$a->name}</a>\' with {$a->columncount} columns, {$a->conditioncount} conditions and {$a->filtercount} filters';
$string['importschedulelogerror'] = 'Couldn\'t import schedule record';
$string['importschedulelogsuccess'] = 'Schedule record imported';
$string['importselectall'] = 'Import all custom reports';
$string['importselectlimit'] = 'Import specific custom reports...';
$string['invalidcolumn'] = 'Invalid column';
$string['invalidcondition'] = 'Invalid condition';
$string['invalidemail'] = 'This email address \'{$a}\' is invalid';
$string['invalidfilter'] = 'Invalid filter';
$string['ismemberofcohort'] = 'Member of cohort';
$string['isnotempty'] = 'Is not empty';
$string['lastcourseaccess'] = 'Last course access';
$string['lastmodified'] = 'Last modified';
$string['lastsenton'] = 'Last sent on';
$string['legacyreportsview'] = 'View reports';
$string['legacyreportswarning'] = 'Some reports were not converted to the latest version.';
$string['lessthanaday'] = 'Less than a day';
$string['managereports'] = 'Manage custom reports';
$string['manuallyaddedusers'] = 'Manually added users';
$string['message'] = 'Message';
$string['modifiedby'] = 'Modified by';
$string['movecolumn'] = 'Move column {$a}';
$string['movefilter'] = 'Move filter \'{$a}\'';
$string['movesorting'] = 'Move sorting order of column \'{$a}\'';
$string['never'] = 'Never';
$string['newaggregationfor'] = 'New aggregation for the column \'{$a}\'';
$string['newschedule'] = 'New schedule';
$string['newvaluefor'] = 'New value for \'{$a}\'';
$string['noaggregation'] = 'No aggregation';
$string['noaudiences'] = 'There are no audiences';
$string['noaudiencesalert'] = 'Scheduling this report will be possible only if one or more audiences are added to it. Please go to the "Audiences" tab and create at least one audience to continue.';
$string['noavailablecohorts'] = 'No available cohorts';
$string['nocolumnsselected'] = 'Add a column to the report';
$string['noconditions'] = 'There are no conditions selected.';
$string['nofilters'] = 'There are no filters selected.';
$string['nosortablecolumns'] = 'Sortable columns not yet added.';
$string['numberanyvalue'] = 'Any value';
$string['numberbetween'] = 'In a range between';
$string['numberequalorgreaterthan'] = 'Greater than or equal';
$string['numberequalorlessthan'] = 'Less than or equal';
$string['numberequalto'] = 'Equal';
$string['numbergreaterthan'] = 'Greater than';
$string['numberisempty'] = 'Is empty';
$string['numberisnotempty'] = 'Is not empty';
$string['numberlessthan'] = 'Less than';
$string['or'] = 'OR';
$string['pluginname'] = 'Report builder - outdated version';
$string['preview'] = 'Preview';
$string['previewmode'] = 'Switch to preview view';
$string['privacy:metadata:preference:filters_report'] = 'Stores user filter properties for a report';
$string['privacy:metadata:reportbuilder'] = 'Information about custom reports';
$string['privacy:metadata:reportbuilder:name'] = 'The name of the report';
$string['privacy:metadata:reportbuilder:source'] = 'The data source for the report';
$string['privacy:metadata:reportbuilder:tenantid'] = 'The ID of the tenant the report belongs to';
$string['privacy:metadata:reportbuilder:timecreated'] = 'The time the report was created';
$string['privacy:metadata:reportbuilder:timemodified'] = 'The time the report was last modified';
$string['privacy:metadata:reportbuilder:usercreated'] = 'The ID of the user who created the report';
$string['privacy:metadata:reportbuilder:usermodified'] = 'The ID of the user who last modified the report';
$string['privacy:metadata:reportbuilder_audience'] = 'Information about custom report audiences';
$string['privacy:metadata:reportbuilder_audience:classname'] = 'The class used for this audience';
$string['privacy:metadata:reportbuilder_audience:configdata'] = 'The configuration of the audience';
$string['privacy:metadata:reportbuilder_audience:reportid'] = 'The ID of the report the audience belongs to';
$string['privacy:metadata:reportbuilder_audience:timecreated'] = 'The time the audience was created';
$string['privacy:metadata:reportbuilder_audience:timemodified'] = 'The time the audience was modified';
$string['privacy:metadata:reportbuilder_audience:usercreated'] = 'The ID of the user who created the audience';
$string['privacy:metadata:reportbuilder_audience:usermodified'] = 'The ID of the user who modified the audience';
$string['privacy:metadata:reportbuilder_schedule'] = 'Information about custom report schedules';
$string['privacy:metadata:reportbuilder_schedule:format'] = 'The format of the scheduled report data';
$string['privacy:metadata:reportbuilder_schedule:lastsenton'] = 'The time the schedule was last sent';
$string['privacy:metadata:reportbuilder_schedule:message'] = 'The content of the scheduled message';
$string['privacy:metadata:reportbuilder_schedule:name'] = 'The name of the schedule';
$string['privacy:metadata:reportbuilder_schedule:recurrence'] = 'How often the schedule reoccurs';
$string['privacy:metadata:reportbuilder_schedule:reportid'] = 'The ID of the report the schedule belongs to';
$string['privacy:metadata:reportbuilder_schedule:scheduled'] = 'The time the schedule is due to begin';
$string['privacy:metadata:reportbuilder_schedule:subject'] = 'The subject included in the scheduled message';
$string['privacy:metadata:reportbuilder_schedule:timecreated'] = 'The time the schedule was created';
$string['privacy:metadata:reportbuilder_schedule:timemodified'] = 'The time the schedule was last updated';
$string['privacy:metadata:reportbuilder_schedule:usercreated'] = 'The ID of the user who created the schedule';
$string['privacy:metadata:reportbuilder_schedule:usermodified'] = 'The ID of the user who last modified the schedule';
$string['privacywarning'] = 'WARNING: before adding any email make sure you have the legal basis to do so and this is compliant with the relevant Privacy Law applicable to your organization.';
$string['profiledepartment'] = 'Profile department';
$string['quarter'] = 'Quarter';
$string['recipients'] = 'Recipients';
$string['recurrence'] = 'Recurrence';
$string['recurrenceannualy'] = 'Annually';
$string['recurrencedaily'] = 'Daily';
$string['recurrencedailyweekday'] = 'Daily - Weekdays';
$string['recurrencedonorepeat'] = 'Does not repeat';
$string['recurrencemonthly'] = 'Monthly';
$string['recurrenceweekly'] = 'Weekly';
$string['reg_wpreports'] = 'Number of custom reports ({$a})';
$string['removechedulesuccess'] = 'The schedule has been deleted.';
$string['removeconditionsuccess'] = 'The condition \'{$a}\' has been deleted.';
$string['report'] = 'Report';
$string['report_access_list'] = 'System report for listing users with access to a given report';
$string['reportbuilder:edit'] = 'Edit a report configuration';
$string['reportbuilder:read'] = 'View reports';
$string['reportconverted'] = 'Report has been successfully converted.';
$string['reportcoursecompletion'] = 'Course completion from datastore';
$string['reportcourseenrolmentcompletion'] = 'Course enrolment and completion';
$string['reportcourseenrolments'] = 'Course enrolments';
$string['reportcourseparticipants'] = 'Course participants';
$string['reportlimitreachedsite'] = 'The maximum number of custom reports for this site has been reached. Please remove some reports or contact an administrator';
$string['reportlimitreachedtenant'] = 'You can only create {$a} custom report(s) on this site. Please remove some reports or contact an administrator';
$string['reportlimitreachedtitle'] = 'Report limit reached';
$string['reportlists'] = 'System report for report lists';
$string['reportliveeditingdisabled'] = 'Data pre-visualization is disabled by the site administrator<br />Click on the "Preview" button to see the report content';
$string['reportname'] = 'Report name';
$string['reportname_help'] = 'Enter a name for the report';
$string['reportschedules'] = 'System report for schedules list';
$string['reportsource'] = 'Report source';
$string['reportsource_help'] = 'The report source defines where the data for the report will come from';
$string['reportstab'] = 'Reports';
$string['reportuserslist'] = 'Users list';
$string['resetall'] = 'Reset all';
$string['resetallconditions'] = 'Reset all conditions';
$string['resetcondition'] = 'Reset condition';
$string['resetfield'] = 'Reset \'{$a}\' field';
$string['resettable'] = 'Reset table';
$string['rolemanager'] = 'Report builder manager';
$string['rolemanagerdescription'] = 'Allows to create and manage custom reports within the current tenant';
$string['saveandcontinue'] = 'Save and continue';
$string['schedule'] = 'Schedule';
$string['scheduleaddedastask'] = 'The schedule will be sent as soon as possible';
$string['scheduled'] = 'Scheduled';
$string['schedulename'] = 'Schedule name';
$string['schedulenotifyupgrade'] = 'Upgraded report schedules';
$string['schedulenotifyupgrademessage'] = 'As part of your recent Moodle Workplace upgrade, the custom report schedule \'{$a->schedulename}\' that you created for the report \'<a href="{$a->reportlink}">{$a->reportname}</a>\' has been modified.
<br /><br />
Because of security considerations, Moodle Workplace no longer supports email addresses of unregistered users being used as schedule recipients. For reference, the removed emails are as follows:
<br /><br />
{$a->emails}
<br /><br />
For more details please refer to the <a href="{$a->docslink}">audience and schedule upgrade notes</a>.';
$string['schedules'] = 'Schedules';
$string['selectacondition'] = 'Select a condition';
$string['selectafilter'] = 'Select a filter';
$string['selectaggregation'] = 'Select an aggregation for the column \'{$a}\'';
$string['selectcohorts'] = 'Select cohorts';
$string['selectcourses'] = 'Select courses';
$string['selectsource'] = 'Select a report source';
$string['send'] = 'Send';
$string['send_schedulestask'] = 'Send schedules';
$string['settings'] = 'Settings';
$string['shared'] = 'Shared';
$string['showfirstcolumntitle'] = 'Show the first column title';
$string['sidebarbutton'] = 'Show/hide sidebar';
$string['sortingshelp'] = 'Sorting';
$string['sortingshelp_help'] = 'Default sorting for the report';
$string['sortingtab'] = 'Sorting';
$string['subject'] = 'Subject';
$string['tabletab'] = 'Table';
$string['teststring2'] = 'Test string 2';
$string['timecreated'] = 'Time created';
$string['userconfirmed'] = 'Registration confirmed';
$string['userpicture'] = 'User picture';
$string['usersuspended'] = 'Registration suspended';
$string['userviewreportas'] = 'View report data as';
$string['userviewreportas_help'] = 'The report data will be included as if viewed by the selected user. If left empty, the current user will be used as default';
$string['userviewreportasnotice'] = 'Report may contain data from all tenants';
$string['viewconvertedreport'] = 'View converted report';
$string['viewreports'] = 'Report builder';
$string['warningonlegacypage'] = 'You are browsing outdated version of reportbuilder.';
