<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'wordcards', language 'en', version '4.0'.
 *
 * @package     wordcards
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['activitycompleted'] = 'Activity completed';
$string['activitydate:submissionsdue'] = 'Due:';
$string['activitydate:submissionsopen'] = 'Opens:';
$string['activitydate:submissionsopened'] = 'Opened:';
$string['activityisclosed'] = 'This activity is closed.';
$string['activityisnotopenyet'] = 'This activity is not open yet.';
$string['activityopenscloses'] = 'Activity open/close dates';
$string['addnewterm'] = 'Add New';
$string['addtomywords'] = 'Click to add to My Words';
$string['addwords'] = 'Add Words';
$string['alternates'] = 'Acceptable mistranscribes';
$string['alternates_help'] = 'Enter a comma separated list of acceptable speech recognition mistranscriptions here. eg For the word \'seventy\' , \'70\' and \'seven tea\' would be ok so you might enter <i>\'70, seven tea\'</i>. Only use this if recognition is failing for the term.';
$string['anim_fancy'] = 'Fancy animation';
$string['anim_plain'] = 'Plain animation';
$string['animations'] = 'Animations';
$string['animations_details'] = 'Transitions between item subtypes are animated. If fancy animation causes trouble, choose plain.';
$string['apisecret'] = 'Poodll API Secret';
$string['apisecret_details'] = 'The Poodll API secret. See <a href= "https://support.poodll.com/support/solutions/articles/19000083076-cloud-poodll-api-secret">here</a> for more details';
$string['apiuser'] = 'Poodll API User';
$string['apiuser_details'] = 'The Poodll account username that authorises Poodll on this site.';
$string['appauthorised'] = 'Poodll Word Cards is authorised for this site.';
$string['appnotauthorised'] = 'Poodll Word Cards is NOT authorised for this site.';
$string['ar-ae'] = 'Arabic (Gulf)';
$string['ar-sa'] = 'Arabic (Modern Standard)';
$string['attempts'] = 'Attempts';
$string['attemptsheading'] = 'All Attempts Report';
$string['attemptsreport'] = 'All Attempts Report';
$string['audioandimages'] = 'Audio and Images';
$string['audiofile'] = 'Audio file';
$string['audiofile_help'] = 'Upload an audio file illustrating the pronunciation of the word/phrase. Ths will be used in place of machine voices in dication and when students use the audio player icons for the word.';
$string['awsregion'] = 'AWS Region';
$string['backtocourse'] = 'Back to Course';
$string['bahrain'] = 'Bahrain';
$string['basicheading'] = 'Basic Report';
$string['cancelattempt'] = 'Quit Attempt';
$string['cancelattemptbody'] = 'This will quit your attempt and take you back to the start. Really quit?';
$string['cancelattempttitle'] = 'Quit Attempt?';
$string['cancelbuttontext'] = 'Quit Attempt';
$string['capetown'] = 'Capetown, South Africa';
$string['completionwhenfinish'] = 'The student has finished the activity.';
$string['congrats'] = 'Congratulations!';
$string['congratsitsover'] = '<div  style="text-align: center;">You have finished this activity. Thank you!</div>';
$string['continue'] = 'Continue';
$string['correct'] = 'Correct';
$string['credentialsinvalid'] = 'The API user and secret entered could not be used to get access. Please check them.';
$string['de-at'] = 'German (AT)';
$string['de-ch'] = 'German (CH)';
$string['de-de'] = 'German (DE)';
$string['def_wordstoshow'] = 'Max words to show (free mode)';
$string['def_wordstoshow_details'] = 'How many words to show the user from the wordpool when in free mode.';
$string['definition'] = 'Definition';
$string['definition_help'] = 'Enter definition of the term(word/phrase) here. It should be short but still tell the student what the term means.';
$string['deflanguage'] = 'Definitions Language';
$string['deflanguage_help'] = 'This is choosed to preselect the correct language when using the dictionary in teh Word Wizard. (Only some langs are aavailable ..sorry)';
$string['delete'] = 'Delete';
$string['deleteallentries'] = 'Delete all user attempts and stats (keep the terms/definitions)';
$string['deleteattemptconfirm'] = 'Really delete this attempt?';
$string['deletenow'] = 'Delete';
$string['deleteterm'] = 'Delete term \'{$a}\'';
$string['delim_comma'] = 'Comma';
$string['delim_pipe'] = 'Pipe';
$string['delim_tab'] = 'Tab';
$string['delimiter'] = 'Delimiter Character';
$string['description'] = 'Description';
$string['dictation'] = 'Dictation';
$string['dismiss'] = 'Dismiss';
$string['displaysubs'] = '{$a->subscriptionname} : expires {$a->expiredate}';
$string['done'] = 'Next';
$string['dublin'] = 'Dublin, Ireland';
$string['editterm'] = 'Edit term \'{$a}\'';
$string['empty'] = 'empty';
$string['en-ab'] = 'English (Scotland)';
$string['en-au'] = 'English (AU)';
$string['en-gb'] = 'English (GB)';
$string['en-ie'] = 'English (Ireland)';
$string['en-in'] = 'English (IN)';
$string['en-us'] = 'English (US)';
$string['en-wl'] = 'English (Wales)';
$string['enablesetuptab'] = 'Enable setup tab';
$string['enablesetuptab_details'] = 'Show a tab containing the activity instance settings to admins. Not super useful in most cases.';
$string['enabletts_details'] = 'TTS is currently not implemented';
$string['es-es'] = 'Spanish (ES)';
$string['es-us'] = 'Spanish (US)';
$string['eu-es'] = 'Basque';
$string['exitfreemode'] = 'Exit free mode';
$string['expiredays'] = 'Days to keep file';
$string['exportexcel'] = 'Export to Excel';
$string['fa-ir'] = 'Farsi';
$string['fi-fi'] = 'Finnish';
$string['fil-ph'] = 'Filipino';
$string['fillcredentials'] = 'Set API user and secret with existing credentials';
$string['finishscatterin'] = '<h4 style="text-align: center;">Congratulations!</h4><br><br><p style="text-align: center;">Your score is [[totalgrade]]%</p>';
$string['flashcards'] = 'Flashcards';
$string['flip'] = 'Flip';
$string['forever'] = 'Never expire';
$string['fr-ca'] = 'French (CA)';
$string['fr-fr'] = 'French (FR.)';
$string['frankfurt'] = 'Frankfurt, Germany';
$string['freemode'] = 'Free mode';
$string['freemodeintropara1'] = 'Choose the words and practice type from the menu. Practice as often as you wish, your scores are not recorded. Tap the [+m] button to add a word to your \'my words\' set.';
$string['freemodenotavailable'] = 'The Site Administrator has not enabled free mode.';
$string['freetrial'] = 'Get Cloud Poodll API Credentials and a Free Trial';
$string['freetrial_desc'] = 'A dialog should appear that allows you to register for a free trial with Poodll. After registering you should login to the members dashboard to get your API user and secret. And to register your site URL.';
$string['frontfaceflip'] = 'Front face on flip cards';
$string['frontfaceflip_details'] = 'Show the term or definition on the front face of the wordcards.';
$string['gotit'] = 'Got it';
$string['grade'] = 'Grade';
$string['grade1_p'] = 'Step1(%)';
$string['grade2_p'] = 'Step2(%)';
$string['grade3_p'] = 'Step3(%)';
$string['grade4_p'] = 'Step4(%)';
$string['grade5_p'] = 'Step5(%)';
$string['grade_p'] = 'Total Grade(%)';
$string['gradehighest'] = 'highest scoring attempt';
$string['gradelatest'] = 'most recent attempt';
$string['gradeoptions'] = 'Grade Options';
$string['gradeoptions_details'] = 'NB This determines the gradebook entry. The activity grading report will display the attempt selected here.';
$string['gradeoptions_help'] = 'When there are multiple attempts by a user, this setting determines which attempt to use when grading';
$string['grades'] = 'Grades';
$string['gradesadmin'] = 'Grades Administration';
$string['gradesheadinghighest'] = 'Grades Report (highest scoring attempt)';
$string['gradesheadinglatest'] = 'Grades Report (latest attempt)';
$string['gradespushed'] = 'Grades pushed to gradebook';
$string['gradesreport'] = 'Grades Report';
$string['grid'] = 'Grid';
$string['he-il'] = 'Hebrew';
$string['hi-in'] = 'Hindi (IN)';
$string['hu-hu'] = 'Hungarian';
$string['id'] = 'ID';
$string['id-id'] = 'Indonesian';
$string['imagefile'] = 'Image file';
$string['imagefile_help'] = 'Upload an image file to be displayed on the cards.';
$string['import'] = 'Import';
$string['importdata'] = 'Import Data';
$string['importinstructions'] = 'You can import lists of words using the \'import data\' text area below. Each line should contain one term(word/phrase) and it\'s definition separated by a delimiter. Optionally specify 3rd and 4th fields for TTS voice and model sentence. You can choose a delimiter from the dropdown box below. The format of each line should be:<br><br> new-word | definition | TTS Voice | Model Sentence<br><br> Each line therefore should look something like this:<br> <i>Bonjour | Hello| Celine | Bonjour Monsieur</i>';
$string['importresults'] = 'Successfully imported {$a->imported} rows. {$a->failed} rows failed.';
$string['instructions_dictation'] = 'Listen and type the word(s) that you hear. Tap the blue button to hear the word(s).';
$string['instructions_matchselect'] = 'Tap the best match from the choices below for the highlighted word.';
$string['instructions_matchtype'] = 'Type the best match for the highlighted word.';
$string['instructions_speechcards'] = 'Tap the blue button and speak the word(s) shown on the card. Speak slowly and clearly.';
$string['instructions_vocablist'] = 'Review the words that will be used in this activity. Tap the word card or the \'Flip\' button to show the other side of the cards. When you are ready, tap \'Begin\' to test your knowledge of these words.';
$string['introduction'] = 'Introduction';
$string['it-it'] = 'Italian(IT)';
$string['itemsperpage'] = 'Items per Page';
$string['itemsperpage_details'] = '';
$string['ja-jp'] = 'Japanese';
$string['journeymode'] = 'Mode';
$string['ko-kr'] = 'Korean';
$string['lc_termdef'] = 'Audio: term, Options: definitions';
$string['lc_termterm'] = 'Audio: term, Options: terms';
$string['lcoptions'] = 'Listen and Choose options';
$string['lcoptions_details'] = 'Display multi-choice options as word terms , or word definitions';
$string['learnactivity'] = 'New Words';
$string['letsaddwords'] = 'Lets add some words..';
$string['listen'] = 'Listen';
$string['loading'] = 'Loading';
$string['london'] = 'London, U.K';
$string['m'] = 'm';
$string['managewords'] = 'Manage Words';
$string['managewordsinstructions'] = 'Use the \'Add New\' button to add new words for the activity. You can view, edit and delete previously added words from the table at the bottom of the page. Only the term and definition are required.';
$string['markasseen'] = 'Mark as seen';
$string['matchselect'] = 'Choose match';
$string['matchtype'] = 'Type match';
$string['maxattempts'] = 'Maximum Attempts';
$string['meaning'] = 'Meaning';
$string['mode_free'] = 'Free mode';
$string['mode_freeaftersteps'] = 'Steps mode then Free mode';
$string['mode_steps'] = 'Steps mode';
$string['model'] = 'Model';
$string['model_sentence'] = 'Model sentence';
$string['model_sentence_audio'] = 'Model sentence audio';
$string['model_sentence_help'] = 'Enter model sentence of the term(word/phrase) here. It should be short but still tell the student what the term means.';
$string['modulename'] = 'Poodll Wordcards';
$string['modulename_help'] = 'The wordcards activity module enables a teacher to create custom wordcards games for encouraging students learning new words.';
$string['modulenameplural'] = 'Poodll Wordcards';
$string['morepractice'] = 'More Practice';
$string['ms-my'] = 'Malay';
$string['mumbai'] = 'Mumbai, India';
$string['mywords'] = 'My words';
$string['name'] = 'Name';
$string['nb-no'] = 'Norwegian';
$string['next_step'] = 'Next';
$string['nl-be'] = 'Dutch (BE)';
$string['nl-nl'] = 'Dutch (NL)';
$string['noapisecret'] = 'No API secret entered. Word Cards will not work correctly.';
$string['noapiuser'] = 'No API user entered. Word Cards will not work correctly.';
$string['nocredentials'] = 'API user and secret not entered. Please enter them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['nodataavailable'] = 'No  data available';
$string['nodefinitionfound'] = 'No definition found';
$string['nodefinitions'] = 'No words were added yet.';
$string['nosubscriptions'] = 'There is no current subscription for this site/plugin.';
$string['noteaboutseenforteachers'] = 'Note: Teachers\' seen status are not saved.';
$string['notokenincache'] = 'Refresh to see license information. Contact Poodll support if there is a problem.';
$string['novalidcredentials'] = 'API user and secret were rejected and could not gain access. Please check them on <a href="{$a}">the settings page.</a> You can get them from <a href="https://poodll.com/member">Poodll.com.</a>';
$string['open'] = 'Open:';
$string['ottawa'] = 'Ottawa, Canada';
$string['pl-pl'] = 'Polish';
$string['pluginadministration'] = 'Wordcards administration';
$string['pluginname'] = 'Poodll Wordcards';
$string['practice'] = 'Practice';
$string['practicetype'] = 'Practice type';
$string['pt-br'] = 'Portuguese (BR)';
$string['pt-pt'] = 'Portuguese (PT)';
$string['pushalltogradebook'] = 'Re-push grades to gradebook';
$string['reallydeleteterm'] = 'Are you sure you want to delete the term \'{$a}\'?';
$string['reattempt'] = 'Try Again';
$string['reattemptbody'] = 'If you continue your previous attempt will be replaced with this one. OK?';
$string['reattempttitle'] = 'Really Try Again?';
$string['refreshtoken'] = 'Refresh license information';
$string['removefrommywords'] = 'Click to remove from My Words';
$string['removeuserdata'] = 'Remove Wordcards user data';
$string['reports'] = 'Reports';
$string['reportsmenutop'] = 'Choose from the reports available below. You can export the data to CSV using the button on the lower right of the report when displayed.';
$string['reportstable'] = 'Reports Style';
$string['reportstable_details'] = 'Ajax tables are faster to use and can sort data. Paged tables load faster but are harder to navigate with.';
$string['reporttableajax'] = 'Ajax Tables';
$string['reporttablepaged'] = 'Paged Tables';
$string['returntoreports'] = 'Return to Reports';
$string['review'] = 'Review';
$string['reviewactivity'] = 'Review';
$string['ro-ro'] = 'Romanian';
$string['ru-ru'] = 'Russian';
$string['saopaulo'] = 'Sao Paulo, Brazil';
$string['saving'] = 'Saving';
$string['scatter'] = 'Scatter';
$string['seenwords'] = 'Seen words';
$string['selectedpoolhasnowords'] = 'The selected set of words is empty. Please add words, or choose another set of words';
$string['selectwordstolearn'] = 'Select words to learn';
$string['setup'] = 'Setup';
$string['shortdefinition'] = 'Def:';
$string['showimagesonflipscreen'] = 'Show images on flip cards';
$string['showimagesonflipscreen_desc'] = 'If the wordcards set has images, and this property is true, the image will be displayed under the word on the flip cards screen before a practice activity.';
$string['singapore'] = 'Singapore';
$string['skip'] = 'Skip';
$string['speechcards'] = 'Speech Cards';
$string['startintropara1'] = 'Review the words below. When you are ready press the continue button to practice the words. You must finish each practice step to complete the activity. Tap the [+m] button to add a word to your \'my words\' set.';
$string['starttest'] = 'Begin';
$string['step1practicetype'] = 'Step 1 activity';
$string['step1termcount'] = 'Step 1 word set size';
$string['step2practicetype'] = 'Step 2 activity';
$string['step2termcount'] = 'Step 2 word set size';
$string['step3practicetype'] = 'Step 3 activity';
$string['step3termcount'] = 'Step 3 word set size';
$string['step4practicetype'] = 'Step 4 activity';
$string['step4termcount'] = 'Step 4 word set size';
$string['step5practicetype'] = 'Step 5 activity';
$string['step5termcount'] = 'Step 5 word set size';
$string['stepsmode'] = 'Steps mode';
$string['sv-se'] = 'Swedish';
$string['sydney'] = 'Sydney, Australia';
$string['ta-in'] = 'Tamil';
$string['tabdefinitions'] = 'Start';
$string['tabimport'] = 'Import';
$string['tabmanagewords'] = 'Words Admin';
$string['tabreports'] = 'Reports';
$string['tabsetup'] = 'Setup';
$string['te-in'] = 'Telugu';
$string['term'] = 'Term';
$string['term_help'] = 'Enter the word or phrase to be learned here.';
$string['termadded'] = 'The term \'{$a}\' has been added.';
$string['termdeleted'] = 'The term has been deleted.';
$string['termnotseen'] = 'Term not seen';
$string['termsaved'] = 'The term \'{$a}\' has been saved.';
$string['termseen'] = 'Term seen';
$string['timecreated'] = 'Created';
$string['title_dictation'] = 'Listen and Type';
$string['title_dictation_rev'] = 'Listen and Type (Review)';
$string['title_listenchoose'] = 'Listen and Choose';
$string['title_listenchoose_rev'] = 'Listen and Choose (Review)';
$string['title_matchselect'] = 'Choose the Answer';
$string['title_matchselect_rev'] = 'Choose the Answer (Review)';
$string['title_matchtype'] = 'Type the Answer';
$string['title_matchtype_rev'] = 'Type the Answer (Review)';
$string['title_noactivity'] = 'None';
$string['title_speechcards'] = 'Say the Words';
$string['title_speechcards_rev'] = 'Say the Words (Review)';
$string['title_vocablist'] = 'Get Ready';
$string['tokyo'] = 'Tokyo, Japan';
$string['totalscore'] = 'Total Score';
$string['tr-tr'] = 'Turkish';
$string['transcriber'] = 'Transcriber';
$string['transcriber_auto'] = 'Open STT (Strict)';
$string['transcriber_details'] = 'The transcription engine to use';
$string['transcriber_poodll'] = 'Guided STT (Poodll)';
$string['try_again'] = 'Try again';
$string['ttslanguage'] = 'Target Language';
$string['ttsvoice'] = 'TTS Voice';
$string['ttsvoice_help'] = 'These are the machine voices that will read your words when users press the listen icons or do dictation activity. TTS is not used if you have uploaded an audio file for the word. The voices are limited to those for the language and dialect specified in the \'target language\' setting for the activity.';
$string['uk-ua'] = 'Ukranian';
$string['unlimited'] = 'Unlimited';
$string['until'] = 'Until:';
$string['use'] = 'Use';
$string['useast1'] = 'US East';
$string['userattemptsheading'] = 'User Attempts Report';
$string['username'] = 'Username';
$string['viewend'] = 'Activity close';
$string['viewend_help'] = 'If set, prevents a student from entering the activity after the closing date/time.';
$string['viewstart'] = 'Activity open';
$string['viewstart_help'] = 'If set, prevents a student from entering the activity before the start date/time.';
$string['wizardinstructions'] = 'Word Wizard will search a dictionary for a list of words and return a list of dictionary entries. Choose the definition language, enter a comma separated list of words and press the \'Fetch Definitions\' button. From the entries returned, edit the entry content and press the \'use\' button to add the word to the wordcards activity.';
$string['word'] = 'Word';
$string['word_wizard'] = 'Word Wizard';
$string['wordcards:addinstance'] = 'Add an instance';
$string['wordcards:manage'] = 'Manage';
$string['wordcards:manageattempts'] = 'Manage Attempts';
$string['wordcards:preview'] = 'Can preview Wordcards activities';
$string['wordcards:view'] = 'View the module';
$string['wordcards:viewreports'] = 'View reports';
$string['words'] = 'Words';
$string['wordwizard'] = 'Word Wizard';
$string['ww_langdef'] = 'Definitions Language';
$string['ww_words'] = 'Enter Words separated by commas, e.g cat,dog';
$string['ww_words_fetch'] = 'Fetch Definitions';
$string['ww_words_instructions'] = 'Wordcards will fetch a list of definitions for the words you entered.';
$string['zh-cn'] = 'Chinese (Mandarin-Mainland)';
